Mon Dec  9 00:49:22 GMT 2013  Colin Watson  <cjwatson@debian.org>

	* .bzrignore: Move to ...
	* .gitignore: ... here, adjusting for differences between bzr and
	  git.
	* Makefile.am (EXTRA_DIST): Replace .bzrignore with .gitignore.
	* gnulib: Add --no-vc-files.

Wed Nov 27 11:54:17 GMT 2013  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Only call AC_PROG_AR if it is defined, to restore
	  compatibility with Automake 1.10.
	* NEWS: Document this.

Wed Nov 27 11:48:29 GMT 2013  Colin Watson  <cjwatson@debian.org>

	Upgrade to Automake 1.14 and Gnulib 20130805.

Sat Nov  9 16:21:05 GMT 2013  Colin Watson  <cjwatson@debian.org>

	* src/tests/man-4: Remove non-portable uses of "echo -n".  Reported
	  by TheSin.

Mon Jul  8 03:00:20 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/check_mandirs.c (gripe_rwopen_failed, update_db_time):
	  Downgrade EAGAIN/EWOULDBLOCK errors from attempts to open a
	  database read-write to debug messages (Debian bug #684235).

Mon Jul  8 02:26:07 BST 2013  Colin Watson  <cjwatson@debian.org>

	* man/man1/whatis.man1 (NAME): Clarify that whatis displays one-line
	  descriptions, rather than e.g. the contents of DESCRIPTION
	  sections (Debian bug #713992).

Mon Jul  8 02:15:52 BST 2013  Colin Watson  <cjwatson@debian.org>

	Reimplement 'apropos --and' in a way that works with the
	optimisations introduced in 2.6.2 (Debian bug #678670).

	* src/whatis.c (any_set, all_set): New functions.
	  (parse_name, parse_whatis): Take an additional found_here
	  parameter and set its elements.  Return void.
	  (do_apropos): Combine results from parse_name and parse_whatis
	  properly according to whether --and is set, rather than relying on
	  counters that will only ever coincidentally match the number of
	  search keywords.
	  (main): Remove apropos_seen hash table.
	* NEWS: Document this.

Mon Jul  8 01:30:56 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/man.c (format_display): Simplify using xasprintf.
	* src/whatis.c (do_apropos): Likewise.

Mon Jul  8 00:29:00 BST 2013  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/zh_CN.po: Fix po4a syntax errors.

Sun Jul  7 22:53:02 BST 2013  Wylmer Wang  <wantinghard@gmail.com>

	* man/po4a/po/zh_CN.po: Update from Translation Project.

Fri Jun 28 06:13:17 BST 2013  Colin Watson  <cjwatson@debian.org>

	* lib/encodings.c (find_charset_locale): Attempt fallback locales
	  even if /usr/share/i18n/SUPPORTED exists.  (It may exist but none
	  of the UTF-8 locales mentioned it in may be present; nevertheless,
	  C.UTF-8 may be available.)

Thu Jun 27 11:38:56 BST 2013  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.5.

Thu Jun 27 11:34:40 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (xcopy): Allocate buf on the heap, as 32768 bytes may
	  be too large for some stacks.  Reported by Coverity via Peter
	  Schiffer.

Thu Jun 27 10:47:13 BST 2013  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING: Mention that xasprintf may be more readable than
	  appendstr.
	* include/manconfig.h.in (mkdbname): Rephrase using xasprintf.
	* lib/decompress.c (decompress_open): Likewise.
	* lib/pathsearch.c (pathsearch): Likewise.
	* lib/tempfile.c (create_tempdir): Likewise.
	* lib/util.c (remove_directory): Likewise.
	* src/check_mandirs.c (add_dir_entries, mkcatdirs): Likewise.
	* src/compression.c (comp_file): Likewise.
	* src/convert_name.c (convert_name): Likewise.
	* src/globbing.c (make_pattern, match_in_directory, look_for_file):
	  Likewise.
	* src/man.c (parse_opt, display_filesystem, display_database,
	  do_global_apropos_section): Likewise.
	* src/manconv_client.c (add_manconv): Likewise.
	* src/mandb.c (mandb, process_manpath, purge_catsubdirs,
	  purge_catdirs, main): Likewise.
	* src/manp.c (pathappend, get_nls_manpath, get_manpath,
	  read_config_file, has_mandir): Likewise.
	* src/ult_src.c (ult_hardlink): Likewise.
	* src/whatis.c (simple_convert, use_grep, display, main): Likewise.
	* src/zsoelim.l (zsoelim_open_file): Likewise.

	* src/accessdb.c (parse_opt): Use mkdbname to construct default
	  database path.

Thu Jun 27 09:43:35 BST 2013  Peter Schiffer  <pschiffe@redhat.com>

	* lib/encodings.c (get_locale_charset): Free saved_locale.
	* src/check_mandirs.c (testmandirs): Close directory handle on
	  early-return paths.
	* src/man.c (local_man_loop): Free locale_manpath's argument after
	  call.
	  (main): Likewise.  Free cwd, internal_locale, and program_name
	  before calling gripe_no_name.  Free database before exiting.
	  (format_display) [TROFF_IS_GROFF]: Free old_cwd.
	  (display) [TROFF_IS_GROFF]: Free page_lang.
	  (display): Free formatted_encoding.
	  (find_cat_file): Free cat_dir.
	  (try_section): Free info and info_buffer if they weren't added to
	  the candidates.
	  (display_filesystem): Free title and filename.
	  (try_db): Free database before setting it.
	  (man): Free each candidate using free_candidate, not free.
	* src/manp.c (get_nls_manpath): Free manpathlist_copy.
	  (add_nls_manpaths): Free locales_copy.
	  (add_to_dirlist): Free buf before returning.
	* src/whatis.c (suitable_manpath): Free locale_manpath's argument
	  after call.
	  (do_whatis): Free page on early-continue path.

Thu Jun 27 09:38:35 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (add_nls_manpaths): Duplicate manpathlist in the case
	  where locales is NULL or empty, allowing the manpathlist parameter
	  to be made const.
	* src/manp.h (add_nls_manpaths): Update prototype.
	* src/man.c (locale_manpath): Make manpath parameter const.
	* src/whatis.c (locale_manpath): Likewise.

Thu Jun 27 09:25:19 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/man.c (get_preprocessors_from_file): Return a non-const string
	  rather than keeping a static copy.
	  (get_preprocessors): Return a non-const string.
	  (make_roff_command): Free the return value of get_preprocessors
	  before returning.

Thu Jun 27 08:39:26 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/manconv_client.c (add_manconv): Don't allocate codes until
	  after checking for the UTF-8/UTF-8 early-return case.

Thu Jun 27 00:09:48 BST 2013  Colin Watson  <cjwatson@debian.org>

	* lib/encodings.c (find_charset_locale): Fix memory leaks.

Thu Jun 27 00:07:09 BST 2013  Peter Schiffer  <pschiffe@redhat.com>

	* src/check_mandirs.c (testmandirs): Check return value of chdir.

Wed Jun 26 22:41:22 BST 2013  Peter Schiffer  <pschiffe@redhat.com>

	* lib/encodings.c (find_charset_locale): Fall back to C.UTF-8 then
	  en_US.UTF-8 if /usr/share/i18n/SUPPORTED does not exist, the
	  requested character set is UTF-8, and the current LC_CTYPE locale
	  is not UTF-8 (Fedora bug #657409).
	* src/tests/man-6: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add man-6.
	* NEWS: Document this.

Wed Jun 26 22:33:00 BST 2013  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Move check for whether nroff supports warning
	  control down below check for whether troff is groff, otherwise it
	  always returns false.  Reported by Niels Thykier.
	* NEWS: Document this.

Sun Jun 23 22:50:24 BST 2013  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.4.

Sun Jun 23 22:44:19 BST 2013  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20130623.

Sun Jun 23 21:21:13 BST 2013  Peter Schiffer  <pschiffe@redhat.com>
                              Colin Watson  <cjwatson@debian.org>

	Search the full manpath when expanding manual pages that consist
	only of a .so directive (Fedora bug #693458).

	* src/ult_src.c (find_include): New function, handling manpath
	  search where necessary.
	  (ult_src): Call it when a .so directive is found.
	* src/Makefile.am (lexgrog_SOURCES): Add globbing.c and globbing.h.
	* src/tests/man-5: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add man-5.
	* NEWS: Document this.

Sun Jun 23 21:15:45 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/tests/mandb-3: Don't rely on ".so test.1" not working.

Sun Jun 23 14:35:51 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (def_path): Expand wildcards in MANDATORY_MANPATH.

Sun Jun 23 14:29:34 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (guess_manpath): Honour MAN_TEST_DISABLE_PATH
	  environment variable, allowing the test suite to disable PATH
	  handling.  (May change without notice.)
	  (read_config_file): Honour MAN_TEST_DISABLE_SYSTEM_CONFIG
	  environment variable, allowing the test suite to disable reading
	  the system configuration file.  (May change without notice.)
	* src/tests/testlib.sh: Set MAN_TEST_DISABLE_SYSTEM_CONFIG=1.
	* src/tests/man-4: Set MAN_TEST_DISABLE_PATH=1.

Sun Jun 23 12:28:19 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/ult_src.c (test_for_include): Return NULL immediately if
	  buffer is NULL.
	  (ult_src): Use this to remove a level of indentation.

Sun Jun 23 11:14:27 BST 2013  Colin Watson  <cjwatson@debian.org>

	Upgrade to Automake 1.13.3.

Fri Jun 14 09:53:47 BST 2013  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: Update from Translation Project.

Tue Jun 11 12:44:24 BST 2013  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/zh_CN.po: New from Translation Project (thanks, Wylmer
	  Wang).
	* configure.ac (AC_CONFIG_FILES): Add man/zh_CN/Makefile.
	* man/LINGUAS.po4a: Add zh_CN.
	* man/Makefile.am (DIST_SUBDIRS): Add zh_CN.
	* man/zh_CN/Makefile.am, man/zh_CN/translator.add: New files.
	* man/po4a/Makefile.am (POFILES): Add po/zh_CN.po.
	* man/po4a/po4a.cfg (po4a_langs): Add zh_CN.
	* man/THANKS: Add translator credit.
	* .bzrignore: Add man/zh_CN/man1, man/zh_CN/man5, and
	  man/zh_CN/man8.

Thu Jun  6 12:24:27 BST 2013  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Check whether tbl supports the 'x' format character
	  (e.g. versions of groff before 1.20), and substitute TBL_X_FORMAT
	  accordingly.
	* man/replace.sin.in: Replace "l lx." with "l l." if tbl does not
	  support the 'x' format character.

Thu Jun  6 12:03:59 BST 2013  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Add a check for whether 'nroff -wmac' works.
	* src/man.c (default_roff_warnings, roff_warnings): Define if
	  NROFF_WARNINGS is defined, rather than TROFF_IS_GROFF.
	  (options): Hide the --warnings option unless NROFF_WARNINGS is
	  defined.
	  (parse_opt, make_roff_command): Handle the --warnings option if
	  NROFF_WARNINGS is defined, rather than TROFF_IS_GROFF.

Thu Jun  6 11:11:36 BST 2013  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Set MANDIR_LAYOUT using AC_SUBST as well as
	  AC_DEFINE/AC_DEFINE_UNQUOTED.
	* src/tests/Makefile.am (TESTS_ENVIRONMENT): Export MANDIR_LAYOUT.
	* src/tests/testlib.sh (skip): New function.
	* src/tests/man-3: Skip unless the GNU layout is in use.

Thu Jun  6 10:57:17 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/tests/man-1, src/tests/man-2, src/tests/man-3,
	  src/tests/man-4, src/tests/mandb-1, src/tests/mandb-2,
	  src/tests/mandb-3, src/tests/mandb-4, src/tests/mandb-5,
	  src/tests/mandb-6, src/tests/whatis-1, src/tests/zsoelim-1: Export
	  MANPATH separately rather than trying to set it just for the 'run'
	  function.  The latter approach does not seem to work reliably in
	  FreeBSD's /bin/sh.
	* src/tests/testlib.sh: Stop exporting MANPATH here.

Thu Jun  6 09:37:46 BST 2013  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Use BSD layout on *-*bsd* (e.g. FreeBSD), not just
	  *-bsd*.
	  Test for Berkeley DB in libc, as is the case on FreeBSD.

Thu Jun  6 09:36:09 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/check_mandirs.c (purge_missing) [NDBM]: Check for the
	  existence of DATABASE.dir rather than DATABASE.

Thu Jun  6 09:32:24 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/catman.c (add_arg): MYDBM_DSIZE may return size_t; cast (for
	  the cases where it returns int instead) and format using %zu
	  rather than %d.

Thu Jun  6 09:01:46 BST 2013  Trần Ngọc Quân  <vnwildman@gmail.com>

	* po/vi.po: Update from Translation Project.

Thu Jun  6 02:51:15 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/tests/testlib.sh: Export LC_ALL and MANPATH, for the benefit
	  of shells that do not automatically re-export variables they
	  receive in their environment.

Thu Jun  6 02:50:25 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/descriptions_store.c (store_description): Format size_t using
	  %zu, not %d.

Thu Jun  6 02:40:10 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/tests/manconv-2, src/tests/manconv-3: Use octal escapes rather
	  than hexadecimal escapes; the latter are not portable to all
	  printf(1) implementations.

Thu Jun  6 01:49:32 BST 2013  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man (TESTS_ENVIRONMENT): Quote variable assignments.

Thu Jun  6 01:43:29 BST 2013  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man (TESTS_ENVIRONMENT): Move environment variable
	  settings here, rather than using non-portable 'export'.

Thu Jun  6 01:39:29 BST 2013  Colin Watson  <cjwatson@debian.org>

	* docs/INSTALL.quick: Reformat external package requirements as a
	  bullet list.  Add flex >= 2.5.30.

Thu Jun  6 01:32:19 BST 2013  Colin Watson  <cjwatson@debian.org>

	* tools/config.guess: Update to 2013-05-16.
	* tools/config.sub: Update to 2013-04-24.

Tue Jun  4 09:38:08 BST 2013  David Prévot  <david@tilapin.org>

	* man/po4a/po/fr.po: Update from Translation Project.

Mon Jun  3 22:59:03 BST 2013  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po: Update from Translation Project.

Mon Jun  3 13:06:43 BST 2013  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.4-pre1.

Mon Jun  3 12:39:22 BST 2013  Colin Watson  <cjwatson@debian.org>

	* NEWS: Document changes since 2.6.3.

Mon Jun  3 12:18:55 BST 2013  Colin Watson  <cjwatson@debian.org>

	* manual/files.me (NLS manual pages): Wrap a table cell to avoid a
	  line-width warning from nroff.

Mon Jun  3 12:07:35 BST 2013  Colin Watson  <cjwatson@debian.org>

	Quieten most warnings from compiling Gnulib (Debian bug #668429).

	* configure.ac: Add gl_WARN_ADD results to WARN_CFLAGS rather than
	  CFLAGS.
	* lib/Makefile.am (AM_CFLAGS): Add $(WARN_CFLAGS).
	* libdb/Makefile.am (AM_CFLAGS): Likewise.
	* src/Makefile.am (AM_CFLAGS): Likewise.  Move $(libpipeline_CFLAGS)
	  here from AM_CPPFLAGS.

Mon Jun  3 00:01:47 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/tests/Makefile.am (AM_LOG_FLAGS): Force each test to run with
	  the configure-detected shell.

Thu May 30 12:57:50 BST 2013  Peter Schiffer  <pschiffe@redhat.com>
                              Colin Watson  <cjwatson@debian.org>

	Add support for wildcards in MANPATH (Fedora bug #677669).

	* src/Makefile.am (catman_SOURCES, manpath_SOURCES, whatis_SOURCES):
	  Add globbing.c and globbing.h.
	* src/globbing.c (expand_path): New function.
	* src/globbing.h (expand_path): Add prototype.
	* src/manp.c (add_dir_to_list): Rename to ...
	  (add_expanded_dir_to_list): ... this.
	  (add_dir_to_list): New function, expanding wildcards and wrapping
	  add_expanded_dir_to_list.
	  (add_dir_to_path_list): Expand wildcards.
	* src/tests/man-4: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add man-4.

Thu May 30 11:51:54 BST 2013  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Remove gnulib/gets.patch.

Thu 30 May 11:42:29 BST 2013  Colin Watson  <cjwatson@debian.org>

	Upgrade to Automake 1.13.2 and Gnulib 20130529.

	* .bzrignore: Add gnulib/lib/locale.h, man/**/*.log, man/**/*.trs,
	  src/tests/*.log, and src/tests/*.trs.
	* autogen.sh: Drop gnulib/gets.patch backport.
	* gnulib/gets.patch: Remove.
	* configure.ac (AM_INIT_AUTOMAKE): Set minimum Automake version to
	  1.11.  Add parallel-tests option for compatibility with 1.11.
	* man/Rules.man (TESTS_ENVIRONMENT): Move to ...
	  (LOG_COMPILER): ... this.
	* src/tests/Makefile.am (TESTS_ENVIRONMENT): Rewrite as a list of
	  variable exports rather than as a command prefix, for
	  compatibility with parallel-tests.

Tue May 14 22:55:09 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l: Define YY_NO_INPUT, suppressing a -Wunused-function
	  warning from GCC (thanks, Bjarni Ingi Gislason).
	* src/zsoelim.l: Likewise.

Tue May  7 15:27:28 BST 2013  Colin Watson  <cjwatson@debian.org>

	* src/man.c (escape_less): Revert handling of incompatible option
	  string escaping in less 456.  That change was reverted upstream in
	  less 457.

Sun Mar  3 14:22:32 GMT 2013  Felipe Castro  <fefcas@gmail.com>

	* po/eo.po: New from Translation Project.
	* po/LINGUAS: Add eo.
	* man/THANKS: Add translator credit.

Sun Mar  3 14:19:38 GMT 2013  Robert Luberda  <robert@debian.org>

	* po/pl.po: Update from Translation Project.
	* man/po4a/po/pl.po: Likewise.

Tue Jan 29 13:15:26 GMT 2013  Will  <cwr@netcom.co.uk>

	* src/manp.c (add_to_dirlist): Increase key length to handle buried
	  binutils manual page paths.

Mon Jan 21 11:20:48 GMT 2013  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AC_HEADER_SYS_WAIT): Remove; no longer used.

Mon Jan 21 11:04:44 GMT 2013  Colin Watson  <cjwatson@debian.org>

	Upgrade to Libtool 2.4.2-1.2 (from Debian).

Sat Dec 22 13:59:14 GMT 2012  Colin Watson  <cjwatson@debian.org>

	Document default section list in manual pages (Debian bug #611007).

	* man/replace.sin.in: Substitute %sections%.
	* man/man1/man.man1 (DESCRIPTION): Fix misplaced comma.  Document
	  configured list of sections rather than simply saying "a
	  pre-defined order".
	  (ENVIRONMENT): Document default for $MANSECT.
	* man/man8/catman.man8 (ENVIRONMENT): Likewise.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.

Fri Dec 21 21:29:27 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* src/man.c (main): Use $MANLESS as the default for prompt_string if
	  the -r option was not used.
	  (setenv_less): Remove code to copy $MANLESS verbatim into $LESS.
	* man/man1/man.man1 (Controlling formatted output, ENVIRONMENT):
	  Describe new behaviour of $MANLESS.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.

Sun Dec 16 12:00:55 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* src/man.c (escape_less): Handle incompatible change to option
	  string escaping in less 456.  Reported by Vincent Lefevre.

Sat Dec 15 10:49:46 GMT 2012  Joe Hansen  <joedalton2@yahoo.dk>

	* man/po4a/po/da.po: Update from Translation Project.

Sat Nov 24 22:42:01 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/da.po: New from Translation Project (thanks, Joe
	  Hansen).
	* configure.ac (AC_CONFIG_FILES): Add man/da/Makefile.
	* man/LINGUAS.po4a: Add da.
	* man/Makefile.am (DIST_SUBDIRS): Add da.
	* man/da/Makefile.am, man/da/translator.add: New files.
	* man/po4a/Makefile.am (POFILES): Add po/da.po.
	* man/po4a/po4a.cfg (po4a_langs): Add da.
	* man/THANKS: Credit Joe Hansen with man/da as well as da.po.
	* .bzrignore: Add man/da/man1, man/da/man5, and man/da/man8.

Mon Sep 17 23:22:48 BST 2012  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.3.

Mon Sep 17 23:20:19 BST 2012  Colin Watson  <cjwatson@debian.org>

	Stop distributing .tar.gz, as promised in the release notes for
	2.6.2.

	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist-gzip.
	* docs/man-db.lsm (Primary-site): Drop .tar.gz size.

Mon Sep 17 22:53:40 BST 2012  Colin Watson  <cjwatson@debian.org>

	* autogen.sh, release.sh: Use 'set -e' rather than '#! /bin/sh -e',
	  to avoid accidents when debugging with 'sh -x'.

Mon Sep 17 22:53:14 BST 2012  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Add gnulib/gets.patch.

Mon Sep 17 22:33:41 BST 2012  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Use AM_PROG_AR before LT_INIT, for compatibility
	  with Automake 1.12.
	* NEWS: Document this.

Mon Sep 17 22:28:27 BST 2012  Colin Watson  <cjwatson@debian.org>

	Backport Gnulib commit 66712c23388e93e5c518ebc8515140fa0c807348 to
	stop assuming gets (Savannah bug #37255).

	* gnulib/gets.patch: New file.
	* autogen.sh: Apply gnulib/gets.patch.
	* NEWS: Document this.

Mon Sep 17 22:07:02 BST 2012  Colin Watson  <cjwatson@debian.org>

	Upgrade to Automake 1.11.6.

Thu Aug 16 12:08:48 BST 2012  Trần Ngọc Quân  <vnwildman@gmail.com>

	* po/vi.po: Update from Translation Project.
	* man/THANKS: Update.

Mon Jun 18 13:37:45 BST 2012  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.2.
	* man/po4a/po/man-db-manpages.pot, po/man-db.pot, po/*.po: Update.

Mon Jun 18 13:34:31 BST 2012  Ville Skyttä  <ville.skytta@iki.fi>

	* configure.ac: Add elinks and w3m to list of HTML browsers to
	  search for.

Mon Jun 18 13:02:06 BST 2012  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Adjust indentation.  Set unlzma to empty if xz is
	  found.

Mon Jun 18 12:56:56 BST 2012  Ville Skyttä  <ville.skytta@iki.fi>

	* configure.ac: Only check for lzma if xz is not found.
	* include/comp_src.h.in (comp_list): Likewise.

Mon Jun 18 11:40:27 BST 2012  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AM_INIT_AUTOMAKE): Distribute tarballs compressed
	  using xz as well as gzip.

Mon Jun 18 11:24:30 BST 2012  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (main): Make the global configuration file optional
	  if a user configuration file was supplied.  Fixes test suite.

Mon Jun 18 10:59:41 BST 2012  Colin Watson  <cjwatson@debian.org>

	* README (Copyright and licensing): Update FSF copyright years.

Mon Jun 18 10:55:53 BST 2012  Colin Watson  <cjwatson@debian.org>

	Upgrade to Autoconf 2.69, Automake 1.11.5, and Gnulib
	20120404-stable.

Mon Jun 18 04:20:41 BST 2012  Colin Watson  <cjwatson@debian.org>

	Avoid fatal errors when opening a 64-bit GDBM database from a 32-bit
	process (Ubuntu bug #1001189).

	* libdb/db_gdbm.c (trap_error): New function.
	  (man_gdbm_open_wrapper): Rearrange interface to call gdbm_open
	  rather than taking its return value as an argument.  Fetch a test
	  value from the database after opening it, inside a setjmp/longjmp
	  guard to prevent GDBM from exiting.
	* include/mydbm.h (man_gdbm_open_wrapper): Update prototype.
	  (MYDBM_CTRWOPEN, MYDBM_CRWOPEN, MYDBM_RWOPEN, MYDBM_RDOPEN):
	  Update man_gdbm_open_wrapper calls, since it now calls gdbm_open
	  itself.
	* NEWS: Document this.

Mon May 14 16:40:00 PDT 2012  Colin Watson  <cjwatson@debian.org>

	* NEWS: The fix for Ubuntu bug #927028 also fixed Debian bug #672661
	  along the way.  Document this.

Fri May  4 15:36:58 BST 2012  Martin Eberhard Schauer  <Martin.E.Schauer@gmx.de>

	* man/po4a/po/de.po: Update from Translation Project.

Thu Apr 26 09:28:44 BST 2012  Arun Persaud  <arun@nubati.net>

	* po/de.po: Update from Translation Project.

Thu Apr 19 11:19:19 BST 2012  Arun Persaud  <arun@nubati.net>

	* po/de.po: Update from Translation Project.
	* man/THANKS: Update.

Sun Apr  8 09:43:11 BST 2012  Marek Černocký  <marek@manet.cz>

	* po/cs.po: Update from Translation Project.

Mon Mar 19 10:57:16 GMT 2012  Joe Hansen  <joedalton2@yahoo.dk>

	* po/da.po: Update from Translation Project.

Mon Feb 27 13:26:47 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (main): Move locale manpath expansion to ...
	  (locale_manpath): ... here (new function).
	  (suitable_manpath): New function.
	  (do_whatis): If a page contains a slash and is a path to an
	  executable on $PATH, then look up its base name only in
	  appropriate manual hierarchies.
	  (search): Pass current manpath entry to do_whatis.
	* src/tests/whatis-1: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add whatis-1.
	* NEWS: Document this.

Wed Feb 22 03:04:45 GMT 2012  Colin Watson  <cjwatson@debian.org>

	Optimise apropos when given many arguments (Ubuntu bug #927028).

	* src/whatis.c (use_grep, do_whatis, parse_name, parse_whatis,
	  do_apropos, search): Operate on multiple pages.
	  (use_grep, do_whatis, do_apropos): Update an output array rather
	  than returning an int.
	  (parse_name, parse_whatis): Update an output array as well as
	  returning an int.
	  (display, do_whatis_section): Constify page argument.
	  (match): Constify lowpage and whatis arguments.
	  (main): Process all arguments using a single call to search.
	* NEWS: Document this.

Wed Feb 22 02:46:22 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* lib/encodings.c (fallback_source_encoding, fallback_roff_encoding,
	  fallback_less_charset): Save memory by declaring as const char[]
	  rather than const char * (see http://glandium.org/blog/?p=2361).
	  (find_charset_locale): Likewise for supported_path.
	* src/man.c (default_roff_warnings): Likewise.

Sat Feb 18 09:34:42 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* lib/hashtable.c (hashtable_lookup_structure): Make return type
	  more precise.
	* lib/hashtable.h (hashtable_lookup_structure): Update prototype.

Thu Feb 16 10:55:05 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Add gnulib/m4/math_h.m4.

Tue Feb 14 12:18:50 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.1.
	* man/po4a/po/man-db-manpages.pot, po/man-db.pot, po/*.po: Update.

Thu Feb  9 08:44:09 GMT 2012  Colin Watson  <cjwatson@debian.org>

	Upgrade to Automake 1.11.3.

Thu Feb  9 08:16:12 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l, src/zsoelim.l: Ensure that config.h is included at
	  the very top of the scanner, before any other headers.  This
	  should fix a compilation problem on Solaris reported by Clark J.
	  Wang.

Wed Feb  8 14:07:41 GMT 2012  Joe Hansen  <joedalton2@yahoo.dk>

	* po/da.po: Update from Translation Project.

Tue Feb  7 00:20:51 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* docs/INSTALL.quick: Document requirement for libiconv >= 1.8 on
	  non-glibc systems.

Mon Feb  6 23:00:33 GMT 2012  David Prévot  <david@tilapin.org>

	* man/po4a/po/fr.po, po/fr.po: Update from Translation Project.

Mon Feb  6 22:57:12 GMT 2012  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po, po/ru.po: Update from Translation Project.

Mon Feb  6 10:45:22 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* FAQ: New file.
	* Makefile.am (dist_noinst_DATA): Add FAQ.

Sun Feb  5 21:59:39 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* README (Notice to users of man-db version 2.2 or 2.2.1): Remove
	  this section.  The chances of anyone still running man-db versions
	  from 1995 seem remote in the extreme.

Sun Feb  5 21:57:49 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* release.sh: Make sure that src/lexgrog.c and src/zsoelim.c are
	  fresh.

Sun Feb  5 15:36:52 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* README (Copyright and licensing): New year.

Sun Feb  5 13:14:42 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* manual/README: Fix spelling mistake.

Sun Feb  5 02:11:04 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.1-pre1.
	* man/po4a/po/man-db-manpages.pot, po/man-db.pot, po/*.po: Update.

Sun Feb  5 01:34:14 GMT 2012  Colin Watson  <cjwatson@debian.org>

	Fix 'make distcheck' to pass with Automake 1.11.2.

	* Makefile.am (distuninstallcheck_listfiles): Ignore the
	  configuration file, which is deliberately left in place on
	  uninstall.
	* configure.ac (AM_INIT_AUTOMAKE): Add -Wno-override.
	* src/Makefile.am (EXTRA_DIST): Force distribution of lexgrog.c and
	  zsoelim.c.

Sun Feb  5 00:53:23 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Revision control): Recommend 'bzr branch' rather
	  than 'bzr get'; the latter is apparently deprecated in bzr 2.4.

Sat Feb  4 23:38:15 GMT 2012  David Prévot  <taffit@debian.org>

	* man/man1/apropos.man1 (SEE ALSO), man/man1/lexgrog.man1 (SEE
	  ALSO), man/man1/man.man1 (SEE ALSO), man/man1/manconv.man1 (SEE
	  ALSO), man/man1/manpath.man1 (SEE ALSO), man/man1/whatis.man1 (SEE
	  ALSO), man/man1/zsoelim.man1 (SEE ALSO), man/man8/catman.man8 (SEE
	  ALSO), man/man8/mandb.man8 (SEE ALSO): Alphabetise references and
	  remove trailing full stops, per man-pages(7) (Debian bug #651482).
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.

Sat Feb  4 23:27:39 GMT 2012  Marek Černocký  <marek@manet.cz>

	* po/cs.po: Update from Translation Project.
	* man/THANKS: Update.

Sat Feb  4 23:10:58 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* libdb/db_lookup.c (split_data): Use ngettext to translate strings
	  containing plural forms (Savannah bug #34968).
	* src/lexgrog.l (too_big): Likewise.
	* src/mandb.c (main): Likewise.
	* po/man-db.pot, po/*.po: Update.

Sat Feb  4 21:44:47 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* src/man.c (options): Add --path as an alias for -w.
	  (main): Running 'man -w' (etc.) without a name now prints the
	  manpath, for compatibility with other man implementations.
	* NEWS: Document this.

Thu Feb  2 18:05:16 GMT 2012  Colin Watson  <cjwatson@debian.org>

	* include/comp_src.h.in (comp_list): Don't handle .lzma files using
	  lzip.  Requested by Matias A. Fonzo.

Thu Feb  2 01:51:18 GMT 2012  Colin Watson  <cjwatson@debian.org>

	Fix some errors spotted by the clang static analyser.  Some just
	needed to be suppressed, but there were two real bugs.

	* src/manconv.c (try_iconv): Make sure outptr is always initialised,
	  even in the corner case where we convert some input text but don't
	  get any UTF-8 text in return.
	* src/manp.c (get_catpath): Handle manpaths not containing a slash.

	* src/convert_name.c: Mark as non-returning, and add an abort after
	  error (FATAL) to help the compiler prove this.
	* src/man.c (format_display): Add an assert to help clang prove that
	  old_cwd is always non-NULL when used.
	* src/ult_src.c: Add asserts to help clang prove that buf is always
	  non-NULL when used.

Thu Feb  2 00:02:07 GMT 2012  Matias A. Fonzo  <selk@dragora.org>

	Add support for Lzip-compressed manual pages.

	* configure.ac: Check for lzip.  Don't test for lzma if lzip is
	  present, as was already the case for xz.
	* include/comp_src.h.in (comp_list): Add lzip.
	* include/manconfig.h.in: Define UNLZIP.
	* NEWS: Document this.

Wed Feb  1 23:25:03 GMT 2012  Colin Watson  <cjwatson@debian.org>

	Upgrade to Automake 1.11.2 and Gnulib 20111211-stable.

	* gnulib: Import closedir, fstat, and opendir modules.

Wed Nov  2 14:33:18 GMT 2011  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: Update from Translation Project.

Sun Oct  9 23:32:41 BST 2011  Colin Watson  <cjwatson@debian.org>

	* lib/hashtable.c (null_hashtable_free): Use ATTRIBUTE_UNUSED to
	  appease compiler warnings rather than assigning an argument to
	  itself.
	* src/mandb.c (cleanup_sigsafe, cleanup): Likewise.

Sun Oct  9 23:14:11 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/man.c (get_roff_line_length, add_roff_line_length): Only
	  compile if either TROFF_IS_GROFF or HEIRLOOM_NROFF is defined.
	  Spotted by cppcheck.

Sun Oct  9 22:50:36 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (add_to_dirlist): Read lines from configuration file
	  using getline rather than fgets with a fixed-size buffer.

Sun Oct  9 22:42:00 BST 2011  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import getline module (used in lib/encodings.c).

Sun Oct  9 22:26:15 BST 2011  Colin Watson  <cjwatson@debian.org>

	* man/es/man8/accessdb.man8: Remove; this is simply an out-of-date
	  copy of the English page.  Reported by Křištof Želechovski.
	* man/es/Makefile.am (man8_MANS): Remove man8/accessdb.8.

Sun Oct  9 22:21:19 BST 2011  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20110908-stable.

Sun Oct  9 00:24:22 BST 2011  Peter Schiffer  <pschiffe@redhat.com>

	* src/filenames.c (filename_info): Zero-initialise the contents of
	  info to avoid a double-free in store_descriptions (Fedora bug
	  #702904).
	* src/tests/mandb-6: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add mandb-6.
	* NEWS: Document this.

Sun Oct  9 00:16:25 BST 2011  Colin Watson  <cjwatson@debian.org>

	* NEWS: Update.

Sat Oct  8 23:34:26 BST 2011  Colin Watson  <cjwatson@debian.org>

	Convert the German manual pages translation to po4a.

	* man/po4a/po/de.po: New from Translation Project (thanks, Martin
	  Eberhard Schauer).
	* man/LINGUAS: Remove de.
	* man/LINGUAS.po4a: Add de.
	* man/de/man1, man/de/man5, man/de/man8: Remove.
	* man/de/Makefile.am (PO4A_LINGUA): Set to yes.
	  (EXTRA_DIST): Add translator.add.
	  (man1_MANS): Add man1/lexgrog.1 and man1/manconv.1.
	* man/po4a/Makefile.am (POFILES): Add po/de.po.
	* man/po4a/po4a.cfg (po4a_langs): Add de.
	* man/THANKS: Credit Martin Schauer with man/de as well as de.po.
	* .bzrignore: Add man/de/man1, man/de/man5, and man/de/man8.

Sat Oct  8 17:11:08 BST 2011  Yasuaki Taniguchi  <yasuakit@gmail.com>

	* po/ja.po: Update from Translation Project.

Sat Oct  8 17:09:41 BST 2011  Colin Watson  <cjwatson@debian.org>

	* man/THANKS: Consolidate duplicated credit.

Sat Oct  8 17:07:17 BST 2011  Colin Watson  <cjwatson@debian.org>

	Convert the Japanese manual pages translation to po4a.

	* man/po4a/po/ja.po: New from Translation Project (thanks, Yasuaki
	  Taniguchi).
	* man/LINGUAS: Remove ja.
	* man/LINGUAS.po4a: Add ja.
	* man/ja/man1, man/ja/man5, man/ja/man8: Remove.
	* man/ja/Makefile.am (PO4A_LINGUA): Set to yes.
	  (EXTRA_DIST): Add translator.add.
	  (man1_MANS): Add man1/lexgrog.1 and man1/manconv.1.
	* man/po4a/Makefile.am (POFILES): Add po/ja.po.
	* man/po4a/po4a.cfg (po4a_langs): Add ja.
	* man/THANKS: Add Yasuaki Taniguchi.
	* .bzrignore: Add man/ja/man1, man/ja/man5, and man/ja/man8.

Sun Sep 18 18:28:37 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/tests/mandb-5: Make executable.

Sat Sep 17 13:28:33 BST 2011  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Revision control): man-db's Bazaar repository now
	  requires bzr 1.16 or later.

Mon Sep  5 11:29:53 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c: Include "xvasprintf.h" for xasprintf.

Mon Aug  8 14:00:32 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (mandb): Create a cache directory tag, per
	  http://www.brynosaurus.com/cachedir/ ("Cache Directory Tagging
	  Standard").  Suggested by Josh Triplett (Debian bug #637046).

Fri Jul  8 13:27:41 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (xcopy): Use a 32KiB buffer when copying files, rather
	  than a 1KiB buffer.  This seems somewhat faster (although it's
	  hard to tell on an SSD!).

Fri Jul  8 12:49:46 BST 2011  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20110609-stable.

Thu Jun 16 12:18:08 BST 2011  Colin Watson  <cjwatson@debian.org>

	* libdb/db_btree.c, libdb/db_ndbm.c: Stop including "flock.h",
	  removed in 2.6.0.  Reported by Maciej Mrozowski.  Include
	  <sys/file.h> unconditionally, since Gnulib now provides it.
	* NEWS: Document this.

Mon Jun  6 11:25:28 BST 2011  Colin Watson  <cjwatson@debian.org>

	* man/po4a/Locale/Po4a/Manext.pm (translate): Exclude a number of
	  untranslatable table entries from translation.

Mon Jun  6 10:36:01 BST 2011  David Prévot  <david@tilapin.org>

	* man/po4a/po/fr.po: Update from Translation Project.

Mon Jun  6 10:34:26 BST 2011  Colin Watson  <cjwatson@debian.org>

	* man/man8/accessdb.man8 (NAME): Remove trailing full stop
	  (suggested by David Prévot).  Unfuzzy all translations.

Mon Jun  6 10:06:09 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/straycats.c (check_for_stray): Pass mandir_base as base
	  argument to store_descriptions, not mandir.  Regression introduced
	  in man-db 2.6.0 (r1309).

Sat Jun  4 07:33:36 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/straycats.c (check_for_stray): When invoking col, try to
	  ensure that LC_CTYPE is set to a UTF-8 locale (Arch Linux bug
	  #18722).

Fri Jun  3 10:05:45 BST 2011  David Prévot  <david@tilapin.org>

	* man/po4a/po/fr.po: Update from Translation Project.

Tue May 31 01:04:26 BST 2011  Colin Watson  <cjwatson@debian.org>

	* lib/encodings.c (get_locale_charset): Eliminate ctype variable,
	  which was set but not used.
	* src/man.c (make_roff_command): Preprocess out code to set
	  using_tbl if GNU_NROFF is defined, since that code is only used if
	  it is not defined.

Tue May 31 00:59:01 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/man.c (locale_macros): Add a backslash to the end of the .if
	  line, to avoid adding a blank line to the output (Debian bug
	  #628639).

Fri May 20 16:35:02 BST 2011  Yasuaki Taniguchi  <yasuakit@gmail.com>

	* po/ja.po: Update from Translation Project.

Wed May 18 17:25:46 BST 2011  Yasuaki Taniguchi  <yasuakit@gmail.com>

	* po/ja.po: Update from Translation Project.
	* man/THANKS: Update.

Fri May 13 16:11:07 BST 2011  Martin Eberhard Schauer  <Martin.E.Schauer@gmx.de>

	* po/de.po: Update from Translation Project.

Sat Apr 23 18:54:06 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/Makefile.am (SUBDIRS): Build this directory before tests/, so
	  that 'make check' works even if 'make' has not been run.

Sat Apr 23 18:00:34 BST 2011  Colin Watson  <cjwatson@debian.org>

	Upgrade to Autoconf 2.68 and Gnulib 20110412-stable.

Wed Apr 13 11:22:39 BST 2011  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.0.2.
	* man/po4a/po/man-db-manpages.pot, po/man-db.pot, po/*.po: Update.

Wed Apr 13 10:26:07 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/descriptions.c (parse_descriptions): Once we've seen at least
	  one record, ignore any further records that don't include a whatis
	  description, as they tend to be noise (Arch Linux bug #22866).
	* NEWS: Document this.

Tue Apr 12 14:10:17 BST 2011  Jordi Mallach  <jordi@gnu.org>

	* po/ca.po: Update from Translation Project.

Tue Apr 12 14:03:38 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/check_mandirs.c (test_manfile): whatis->whatis may be NULL in
	  the case of an empty page.  Guard against this (Debian bug
	  #622104).
	* src/tests/mandb-5: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add mandb-5.
	* NEWS: Document this.

Sun Apr 10 22:09:10 BST 2011  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.0.1.
	* man/po4a/po/man-db-manpages.pot, po/man-db.pot, po/*.po: Update.

Sun Apr 10 14:45:52 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (read_config_file): Read a user-specified configuration
	  file even if HOME is unset.
	* NEWS: Document this.

Sun Apr 10 02:10:56 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/descriptions_store.c (store_descriptions): Ensure that the
	  target of a symlink or .so chain is always recorded as a real
	  page.  Fixes mandb-2 test failures.
	* NEWS: Document this.

Sun Apr 10 01:55:28 BST 2011  Colin Watson  <cjwatson@debian.org>

	* src/tests/mandb-2: Test the case where a manual page changes from
	  a symbolic link to a regular file, as well as vice versa.

Sat Apr  9 13:30:16 BST 2011  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.0.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po, po/man-db.pot,
	  po/*.po: Update.

Sat Apr  9 13:21:08 BST 2011  Colin Watson  <cjwatson@debian.org>

	Upgrade to Libtool 2.4.

Sat Apr  9 12:56:02 BST 2011  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (Controlling formatted output): Wrap first cell
	  in --ascii translation table.
	* man/man8/mandb.man8 (DATABASE CACHES): Wrap second cell in
	  database type table.
	* man/po4a/Locale/Po4a/Manext.pm (shiftline): Fix T} detection.
	* man/po4a/po/ru.po: Don't translate "\\*[softhyphen]".

Sat Apr  9 11:52:20 BST 2011  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (DESCRIPTION): Typeset ellipses in roman rather
	  than bold (thanks, David Prévot).
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.
	  Manually unfuzzy translations.

Sat Apr  9 11:42:51 BST 2011  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: Update from Translation Project.
	* po/pl.po: Likewise.

Sat Apr  9 11:38:52 BST 2011  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po: Update from Translation Project.

Thu Apr  7 12:46:34 BST 2011  Colin Watson  <cjwatson@debian.org>

	* lib/cleanup.c (do_cleanups): Set tos and nslots to 0 before
	  freeing stack, in case do_cleanups_sigsafe is called again from a
	  signal handler (Fedora bug #694332).
	* NEWS: Document this.

Sat Apr  2 12:20:30 BST 2011  David Prévot  <david@tilapin.org>

	* po/fr.po: Update from Translation Project.

Mon Mar 28 17:59:45 BST 2011  Yuri Kozlov  <yuray@komyakino.ru>

	* po/ru.po: Update from Translation Project.

Mon Mar 28 17:40:36 BST 2011  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import flock module.
	* lib/Makefile.am (libman_la_SOURCES): Remove flock.h.
	* lib/README: Remove flock.*.
	* lib/flock.c, lib/flock.h: Remove.

Mon Mar 28 13:07:50 BST 2011  Colin Watson  <cjwatson@debian.org>

	* libdb/mydbm.h (btree_close, btree_exists, btree_fetch,
	  btree_firstkey, btree_nextkey, btree_replace, btree_nextkeydata):
	  Drop inline specifier; these functions are typically used from
	  different translation units from their definitions.

Mon Mar 28 12:59:54 BST 2011  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Add support for db5.
	* NEWS: Document this.

Mon Mar 28 12:26:54 BST 2011  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Apply correct M4 quotation throughout.
	* m4/man-bdb.m4: Likewise.
	* m4/man-gnu-nroff.m4: Likewise.
	* m4/man-linguas.m4: Likewise.
	* m4/man-trans-subst.m4: Likewise.

	* m4/man-bdb.m4: Use AS_VAR_IF rather than AS_IF plus AS_VAR_GET.

Mon Mar 28 11:15:16 BST 2011  Joe Hansen  <joedalton2@yahoo.dk>

	* po/da.po: Update from Translation Project.

Mon Mar 28 11:12:38 BST 2011  David Prévot  <david@tilapin.org>

	* man/po4a/po/fr.po: Update from Translation Project.
	* man/THANKS: Update.

Mon Mar 28 11:09:19 BST 2011  David Prévot  <david@tilapin.org>

	* po/fr.po: Update from Translation Project.

Mon Mar 28 11:06:04 BST 2011  Colin Watson  <cjwatson@debian.org>

	* m4/man-gcc-warning.m4: Remove.
	* gnulib: Import warnings module.
	* configure.ac: Replace MAN_GCC_WARNING with gl_WARN_ADD.

Sun Mar 27 18:25:25 BST 2011  Colin Watson  <cjwatson@debian.org>

	* Version: 2.6.0-pre1.
	* po/man-db.pot, po/*.po: Update.
	* man/po4a/po/man-db-manpages.pot: Update.

Thu Mar 24 12:46:38 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* lib/security.c (do_system_drop_privs_child): Remove unused
	  variable.

Thu Mar 24 12:43:51 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/man.c (lang): Make non-const.
	  (local_man_loop): Free lang after calling display.
	  (display_filesystem): Likewise.
	  (display_database): Likewise.
	  (do_global_apropos_section): Ensure lang is set while calling
	  display.
	* NEWS: Document this.

Thu Mar 24 01:22:00 GMT 2011  Colin Watson  <cjwatson@debian.org>

	Help novices find their way around.  See
	http://brainstorm.ubuntu.com/idea/25975.

	* src/man.c (main): Add "(press h for help or q to quit)" to the
	  default less prompt string.
	* man/man1/man.man1 (Controlling formatted output): Update
	  documentation.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.
	* NEWS: Document this.

Thu Mar 24 01:03:13 GMT 2011  Colin Watson  <cjwatson@debian.org>

	Rewrite all remaining subprocess handling in terms of libpipeline.

	* lib/security.c (do_system_drop_privs_child): New function.
	  (do_system_drop_privs): Rewrite using libpipeline.
	* src/catman.c (post_fork): New function.
	  (catman): Rewrite using libpipeline.
	  (add_arg): Rewrite as a wrapper around pipecmd_arg.
	  (do_catman): Remove.
	  (reset_cursor): Remove.
	  (parse_for_sec): Use libpipeline for subprocess handling.
	  (main): Install custom post-fork handler.
	* src/man.c (gripe_no_man) [_AIX || __sgi]: Rewrite vendor fallback
	  using libpipeline.
	* src/Makefile.am (catman_LDADD): Add $(libpipeline_LIBS).

	* src/catman.c (main): Duplicate the output of setlocale if
	  non-NULL.

	* configure.ac (AC_FUNC_VFORK): Remove.
	  (AC_REPLACE_FUNCS): Remove waitpid.
	* gnulib: Remove waitpid module.
	* lib/README: Remove waitpid.c.
	* lib/waitpid.c: Remove.

Sun Mar 20 12:58:42 GMT 2011  Colin Watson  <cjwatson@debian.org>

	Remove the need for our patched version of xstrdup.

	* lib/encodings.c (get_locale_charset): Check return value of
	  setlocale before passing to xstrdup.
	  (find_charset_locale): Likewise.
	* lib/pathsearch.c (pathsearch): Check return value of getenv before
	  passing to xstrdup.
	  (pathsearch_executable): Likewise.
	* lib/tempfile.c (create_tempdir): Adjust appendstr call to avoid
	  needing to pass return value of path_search to xstrdup.
	* src/check_mandirs.c (test_manfile): Don't pass NULL lg.whatis to
	  xstrdup.
	* src/descriptions.c (parse_descriptions): Don't pass NULL
	  head->whatis to xstrdup.
	* src/man.c (main): Check return value of setlocale before passing
	  to xstrdup.
	  (add_col): Only call find_charset_locale if locale_charset is
	  non-NULL.
	  (add_candidate): Don't pass NULL ult to xstrdup.
	* src/manp.c (read_config_file): Adjust appendstr call to avoid
	  needing to pass return value of getenv to xstrdup.
	* src/whatis.c (do_apropos): Don't pass NULL info.whatis to xstrdup.
	  (main): Check return value of setlocale before passing to xstrdup.
	* src/zsoelim.l (zsoelim_stdin_data_new): Don't pass NULL path to
	  xstrdup.

	* Makefile.am (EXTRA_DIST): Remove gnulib/lib/xmalloc.c.orig and
	  gnulib/lib/xmalloc.patch.
	* autogen.sh: Stop applying gnulib/lib/xmalloc.patch.
	* gnulib/lib/xmalloc.c.orig, gnulib/lib/xmalloc.patch: Remove.

Sun Mar 20 01:39:41 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import waitpid module.

Sun Mar 20 01:31:33 GMT 2011  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20110216-stable.

Tue Mar 15 10:55:52 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* include/manconfig.h.in (STD_SECTIONS): Add section 0 between 3 and
	  2, matching a change in man-db 2.5.6.

Tue Mar 15 10:52:58 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/man.c (compare_candidates): If the user asked for an explicit
	  section, sort exact matches first (Fedora bug #684977).
	* src/tests/man-3: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add man-3.
	* NEWS: Document this.

Tue Mar 15 10:48:19 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (add_sections): Put user entries in a separate list.
	  (get_sections): If any user entries are present, use them rather
	  than system entries.
	  (add_to_dirlist): Pass user to add_sections.
	* NEWS: Document this.

Mon Mar 14 10:55:39 GMT 2011  Joe Hansen  <joedalton2@yahoo.dk>

	* po/da.po: Update from Translation Project.
	* man/THANKS: Update.

Wed Mar  2 11:12:13 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (main): Reset SIGPIPE to SIG_DFL on startup, to avoid
	  noisy output in the event that mandb was started from a context
	  where SIGPIPE was ignored (e.g. Fedora bug #649674).
	* NEWS: Document this.

Tue Jan 25 00:20:29 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (MAN_NAME): Consider .PD requests as paragraph
	  breaks, to work around poor lexical analysis that causes them to
	  be matched as .P and emit a stray trailing "D" (Debian bug
	  #611012).

Sun Jan 23 23:50:38 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Remove gnulib/m4/sockpfaf.m4, which was
	  removed along with the internal copy of libpipeline.
	* man/po4a/Makefile.am (EXTRA_DIST): Add Locale/Po4a/Manext.pm.
	  (PO4A_ENVIRONMENT): Set PERL5LIB to $(srcdir), not `pwd`.

Sun Jan 23 17:01:51 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* man/man1/apropos.man1 (OPTIONS), man/man1/lexgrog.man1 (OPTIONS),
	  man/man1/man.man1 (OPTIONS), man/man1/manconv.man1 (OPTIONS),
	  man/man1/manpath.man1 (OPTIONS), man/man1/whatis.man1 (OPTIONS),
	  man/man1/zsoelim.man1 (OPTIONS), man/man8/accessdb.man8 (OPTIONS),
	  man/man8/catman.man8 (OPTIONS), man/man8/mandb.man8 (OPTIONS):
	  Print commas in roman rather than bold.  Based on a patch from
	  David Prévot (Debian bug #600002).
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.
	  Manually unfuzzy translations.

Mon Jan 10 20:08:03 GMT 2011  Colin Watson  <cjwatson@debian.org>

	If mandb sees that A is a symlink to B, it should never store a
	whatis reference for B (Debian bug #204249).

	* src/check_mandirs.c (whatis_hashtable_free): New function.
	  (test_manfile): Change whatis_hash free function to
	  whatis_hashtable_free.  Fetch an ult_trace structure from ult_src,
	  record it in whatis_hash in the case of a cache miss, and pass it
	  to store_descriptions.
	* src/descriptions_store.c (is_prefix): New function.
	  (store_descriptions): Add path and trace parameters.  Update all
	  callers.
	* src/descriptions.h (store_descriptions): Update prototype.  Count
	  a match for any name in the provided ult_trace structure as
	  indicating that we shouldn't create a whatis reference.  If a name
	  matches a trace entry outside the current manual hierarchy, skip
	  that name entirely.
	* src/ult_src.c (ult_trace, free_ult_trace): New functions.
	  (ult_src): Add trace parameter.  Record each file name we
	  encounter in the trace.  Update all callers.
	* src/ult_src.h (ult_src): Update prototype.
	  (free_ult_trace): Add prototype.
	* src/Makefile.am (lexgrog_SOURCES): Add filenames.c and
	  filenames.h.

	* src/tests/mandb-2: Test two-level symlinks.
	* src/tests/mandb-4: New file.
	* src/tests/Makefile.am (ALL_TESTS): Add mandb-4.

Mon Jan 10 16:20:22 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (DESCRIPTION), man/de/man1/man.man1
	  (BESCHREIBUNG), man/es/man1/man.man1 (DESCRIPCIÓN),
	  man/it/man1/man.man1 (DESCRIZIONE), man/ja/man1/man.man1 (説明):
	  Enclose long table cells in T{ T}.
	* man/po4a/Locale/Po4a/Manext.pm: New file, to let us translate
	  individual table cells separately.
	* man/po4a/Makefile.am: Run po4a with PERL5LIB=`pwd`.
	* man/po4a/po4a.cfg: Change type to manext.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.
	* man/check-man: Stop ignoring "table wider than line width"
	  warnings.
	* NEWS: Document this.

Sat Jan  8 18:21:07 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* po/POTFILES.in: Remove lib/pipeline.c (file removed) and
	  src/descriptions.c (no translatable strings).
	* po/man-db.pot, po/*.po: Update.

Sat Jan  8 18:14:18 GMT 2011  Colin Watson  <cjwatson@debian.org>

	Remove obsolete cat* subdirectories as well as NLS subdirectories.

	* src/mandb.c (process_manpath): Store the manpath in tried_catdirs
	  along with whether it has been seen.
	  (tried_catdirs_free): New function.
	  (purge_catdir): Improve message.
	  (purge_catsubdirs): New function.
	  (purge_catdirs): Adjust tried_catdirs handling.  Call
	  purge_catsubdirs for both top-level catdirs and NLS catdirs.
	  (main): Set tried_catdirs free function to tried_catdirs_free.
	* NEWS: Document this.

Sat Jan  8 11:42:13 GMT 2011  Colin Watson  <cjwatson@debian.org>

	Remove obsolete NLS subdirectories of cat directories (Debian bug
	#558804).

	* lib/hashtable.c (hashtable_iterate): New function.
	* lib/hashtable.h (hashtable_iterate): Add prototype.

	* lib/util.c (remove_directory): Add recurse parameter.  Add missing
	  closedir calls.
	* include/manconfig.h.in (remove_directory): Update prototype.
	* src/man.c (format_display): Update remove_directory callers.

	* src/mandb.c (process_manpath): Add catpath to tried_catpath hash.
	  Check that manpath exists and is a directory here rather than in
	  the caller.
	  (is_lang_dir, purge_catdir, purge_catdirs): New functions.
	  (main): Create and free tried_catdirs.  Move manpath stat checks
	  to process_manpath.  Call purge_catdirs after all manpath entries
	  have been processed.

	* NEWS: Document this.

Fri Jan  7 23:49:55 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/man.c (format_display_and_save): Drop SIGPIPE handling.
	  pipeline_pump handles this itself, and doing it here means that
	  SIGPIPE is incorrectly ignored in subprocesses (Debian bug
	  #597756).

Fri Jan  7 23:25:39 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_roff_command): Use running_setuid.
	* src/manp.c (get_def): Likewise.

Tue Jan  4 11:09:00 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* lib/security.c (running_setuid): New function.
	* lib/security.h (running_setuid): Add prototype.
	* src/manconv_client.c (manconv_stdin): If running setuid, exec
	  manconv as an external process, since iconv_open is not guaranteed
	  to work correctly in setuid processes.

	* configure.ac: Require libpipeline >= 1.1.0.
	* docs/INSTALL.quick: Document increased version requirement.

	* NEWS: Document this.

Mon Jan  3 03:02:50 GMT 2011  Colin Watson  <cjwatson@debian.org>

	Add basic support for the Heirloom Documentation Tools.

	* m4/man-heirloom-nroff.m4: New file.
	* configure.ac: Call MAN_PROG_HEIRLOOM_NROFF.  If successful and an
	  nroff macro was found, prepend -mg -msafe -mpadj to the nroff and
	  troff options.
	* lib/encodings.c (charset_table) [HEIRLOOM_NROFF]: Disable latin1
	  and nippon devices.
	  (device_table) [HEIRLOOM_NROFF]: Add locale device.
	* src/man.c (heirloom_line_length) [HEIRLOOM_NROFF]: New function.
	  (add_roff_line_length): Optionally return a command, which should
	  be inserted before troff.
	  (add_roff_line_length) [HEIRLOOM_NROFF]: Support Heirloom, which
	  needs text inserted at the start of the input.
	  (make_roff_command) [HEIRLOOM_NROFF]: Use locale device instead of
	  utf8 in UTF-8 locales.  Handle add_roff_line_length return value.
	  Unset TROFFMACS if running setuid.
	  (make_browser): Compile only if TROFF_IS_GROFF.
	  (format_display): Only declare variables related to HTML output if
	  TROFF_IS_GROFF.
	* src/tests/zsoelim-1: Ignore .ll and .lt lines inserted by
	  heirloom_line_length.
	* NEWS: Document this.

Mon Jan  3 00:56:55 GMT 2011  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (get_manpath_from_path): Return an empty string rather
	  than asserting if no path elements with corresponding manpaths
	  were found (Debian bug #608490).
	* src/man.c (local_man_loop): Skip executable processing if no
	  useful manpath was returned.
	* src/tests/man-2: New test for this bug.
	* src/tests/Makefile.am (ALL_TESTS): Add man-2.

	* README (Copyright and licensing): New year.

Thu Dec 23 16:00:06 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/check_mandirs.c (testmandirs): Make output neater when stderr
	  is not a tty.  Suggested by C W Rose.
	* NEWS: Document this.

Thu Dec 23 15:50:39 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (glyphs, perldocs): Remove terminating NULL entries;
	  these arrays are handled using bsearch with an explicit length,
	  and NULL-terminating them causes crashes.

Mon Dec 20 00:41:04 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/catman.c (main): Initialise locale using the LC_MESSAGES
	  category rather than LC_ALL.  glibc returns a composite name for
	  the latter.
	* lib/util.c (init_locale): Return void instead of returning the
	  result of setlocale.
	* include/manconfig.h.in (init_locale): Update prototype.

Sun Dec 19 16:10:35 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import idpriv-drop and idpriv-droptemp modules.
	* configure.ac: Stop checking for seteuid, setreuid, and setresuid.
	* lib/security.c (POSIX_SAVED_IDS, SET_EUID, SWAP_UIDS): Remove in
	  favour of idpriv.h.
	  (drop_effective_privs): Use idpriv_temp_drop.
	  (regain_effective_privs): Use idpriv_temp_restore.
	  (do_system_drop_privs): Use idpriv_drop.  Drop saved-IDs case;
	  avoiding a fork doesn't justify having two code paths.

Sun Dec  5 20:58:10 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Provide byte positions in manconv errors (Debian bug #562789).

	* src/manconv.c (locate_error): New function.
	  (try_iconv): Skip over processed input data after handling errors.
	  Use locate_error to produce exact byte positions for conversion
	  errors.

Thu Dec  2 23:54:03 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Allow passing multiple sections to whatis and apropos (Debian bug
	#571285).

	* src/whatis.c (options): Allow spelling --section as --sections;
	  this is now the preferred long spelling.  Document that the
	  argument may be colon-separated.
	  (split_sections): New function.
	  (parse_opt): Pass -s argument through split_sections.
	  (do_whatis): Move most logic to ...
	  (do_whatis_section): ... here.
	  (do_whatis): Iterate over sections, calling do_whatis_section for
	  each.
	  (do_apropos): Test all requested sections.
	* man/man1/apropos.man1 (SYNOPSIS, OPTIONS), man/man1/whatis.man1
	  (SYNOPSIS, OPTIONS): Document new semantics.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.
	* NEWS: Document this.

Thu Dec  2 23:32:07 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (parse_opt): Make -f and -k force program identity to
	  whatis and apropos respectively.  This is useful when running
	  directly from the build tree, since libtool makes it hard to
	  detect the program name correctly.

Thu Dec  2 19:28:06 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/catman.c (parse_for_sec): Format ARG_MAX - arg_size using %zd.
	* src/manp.c (has_mandir): Cast printf field precisions to int.
	  (create_pathlist): Use %td to format pointer differences.

Thu Dec  2 19:23:36 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_display_command): Make sure the returned pipeline
	  is never NULL; this causes crashes later.

Thu Dec  2 12:33:43 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_display_command): Don't start a pager if standard
	  output is not a tty (Fedora bug #658132).
	* NEWS: Document this.

Thu Dec  2 00:31:31 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Handle roff named glyphs and perldoc strings in NAME sections
	(Debian bug #601025).

	* src/lexgrog.l (glyphs, perldocs): New arrays.
	  (MAN_NAME): Call newline_found on encountering \& at the start of
	  a line.  Call add_glyph_to_whatis on roff named glyphs, and
	  add_perldoc_to_whatis on perldoc strings.
	  (compare_macro, add_macro_to_whatis, add_glyph_to_whatis,
	  add_perldoc_to_whatis): New functions.
	* NEWS: Document this.

Wed Dec  1 22:24:51 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Improve .so searching (Debian bug #503472).

	* src/Makefile.am (zsoelim_SOURCES): Add manp.c and manp.h.
	* src/zsoelim.l (zsoelim_parse_file): Take manpathlist and
	  parent_path arguments, and save those to pass on to
	  zsoelim_open_file.
	  (try_compressed): New function, split out from zsoelim_open_file.
	  (zsoelim_open_file): Take manpathlist and parent_path arguments.
	  Rearrange search logic as follows: (1) if there is no parent_path,
	  try opening directly; (2) look up filename within each manpath
	  entry, treating filenames without directory parts as full manual
	  page lookups; (3) if there is a parent_path, try opening directly.
	  (zsoelim_stdin): Pass path and manpathlist from input data to
	  zsoelim_open_file and zsoelim_parse_file.
	  (zsoelim_stdin_data_new, zsoelim_stdin_data_free): New functions.
	* src/zsoelim.h (zsoelim_open_file, zsoelim_parse_file): Update
	  prototypes.
	  (zsoelim_stdin_data_new, zsoelim_stdin_data_free): Add prototypes.
	* src/zsoelim_main.c (main): Initialise locale and manpath.  Pass
	  manpath to zsoelim_open_file and zsoelim_parse_file.
	* src/man.c (main): Calculate manpath before handling -l option.
	  (make_roff_command): Pass dir and manpathlist to zsoelim_stdin.
	* src/tests/zsoelim-1: New test.
	* src/tests/Makefile.am (ALL_TESTS): Add zsoelim-1.
	* NEWS: Document this.

	* src/manp.c (get_def): If not setuid, make this identical to
	  get_def_user.
	* src/manp.h (get_def): Likewise.

Wed Dec  1 14:15:34 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* lib/security.c (do_system_drop_privs): Copy-edit header comment,
	  and update it for libpipeline.

Mon Nov 29 17:48:29 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Remove obsolete versions of lexgrog.  They're still available in
	revision control if people want them.

	* src/Makefile.am (EXTRA_DIST): Remove.
	* src/README.lexgrog, src/lexgrog.l-2.3.8, src/lexgrog.l-2.4a,
	  src/lexgrog.l.new: Remove.

Sun Nov 28 15:01:21 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Remove internal copy of libpipeline.

	* configure.ac: Remove --enable-socketpair-pipe and
	  --with-external-pipeline options.  Remove INTERNAL_PIPELINE
	  Automake conditional.  Check for libpipeline unconditionally.
	* docs/INSTALL.quick: Mention the need to install libpipeline.
	* gnulib: Remove strsignal and sys_select modules.
	* lib/Makefile.am (libman_la_SOURCES): Never add pipeline.c or
	  pipeline.h.
	* lib/pipeline.c, lib/pipeline.h: Remove.
	* m4/man-socketpair.m4: Remove.
	* NEWS: Document this.  Bump to 2.6.0.

Thu Nov 18 13:46:04 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Reducing linkage when we switched to libtool caused build failures
	with versions of GNU ld that default to --no-copy-dt-needed-entries.
	Partially revert these changes, this time taking care to directly
	link programs against libraries if and only if they use symbols from
	those libraries directly (otherwise, the linkage from libman.la and
	libmandb.la should be sufficient).

	* src/Makefile.am (LIBMAN): Add $(top_builddir)/gnulib/lib/libgnu.la
	  and @LTLIBINTL@.
	  (LIBMANDB): Add $(LIBMAN) and $(DBLIBS).
	  (lexgrog_LDADD, man_LDADD, manconv_LDADD, mandb_LDADD): Add
	  $(libpipeline_LIBS) and $(LTLIBICONV).
	  (whatis_LDADD, zsoelim_LDADD): Add $(libpipeline_LIBS).
	* NEWS: Document this.

Wed Nov 17 11:43:30 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.9.
	* man/po4a/po/man-db-manpages.pot, po/man-db.pot, po/*.po: Update.

Wed Nov 17 11:34:36 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* lib/util.c (init_locale): Avoid warnings if configured with
	  --disable-nls.  Remove arguments, since this was only ever called
	  as 'init_locale (LC_ALL, "")' anyway, and that required callers to
	  explicitly include <locale.h>.  Update all callers.
	* include/manconfig.h.in (init_locale): Update prototype.

Wed Nov 17 11:22:28 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/check_mandirs.c (test_manfile): Revert changes to this
	  function from 2010-11-14.  Explicitly deleting bad links from the
	  database was overly sensitive to directory ordering, and caused
	  test failures on some systems.
	* NEWS: Document this.

Mon Nov 15 22:34:57 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.8.
	* man/po4a/po/man-db-manpages.pot, po/man-db.pot, po/*.po: Update.

Mon Nov 15 22:22:47 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man (distclean-hook): Rename to ...
	  (distclean-local): ... this, and fix syntax so that it actually
	  works.

Mon Nov 15 21:38:04 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (local_man_loop): Simplify and improve code to make a
	  temporary copy of manpathlist, in order that it can't free
	  unallocated memory (may fix Savannah bug #31633).

Mon Nov 15 13:48:26 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* man/po4a/Makefile.am (clean-local): Remove; distclean-hook in
	  man/Rules.man already takes care of this (thanks, Denis Barbier).

Sun Nov 14 22:12:21 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Prevent repeated rescans when a link is broken.  Thanks to Daniel
	Isenmann for debugging information.

	* src/check_mandirs.c (test_manfile): Explicitly delete bad links
	  from the database.
	  (count_glob_matches, purge_whatis, purge_missing): Extract the
	  database mtime, and ignore any pages at least as old as that for
	  the purposes of deciding whether a whatis entry has been replaced
	  by a real page.
	* src/tests/mandb-3: New test.
	* src/tests/Makefile.am (ALL_TESTS): Add mandb-3.
	* NEWS: Document this.

Wed Nov  3 23:40:25 GMT 2010  Jordi Mallach  <jordi@gnu.org>

	* po/ca.po: Update from Translation Project.

Wed Nov  3 20:27:46 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/catman.c (parse_for_sec): Explicitly pass -S before section
	  number, to reduce ambiguity.
	* src/man.c (main): In catman mode, never try to guess whether a
	  page argument is a section, as it's too easy to get this wrong
	  (Ubuntu bug #664211).

Fri Oct 29 07:25:44 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.h (pipeline_install_post_fork): Clarify that this is
	  run in the child process.
	  (pipeline_wait_all): Clarify that SIGPIPE is considered equivalent
	  to exiting zero.

Fri Oct 29 06:18:31 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipecmd_new_sequencev): New function.
	  (pipecmd_new_sequence): Rewrite in terms of pipecmd_new_sequence.
	  (pipeline_new_command_argv): New function.
	  (pipeline_new_command_args): Rewrite in terms of
	  pipeline_new_command_argv.
	  (pipeline_command_argv): New function.
	  (pipeline_command_args): Rewrite in terms of
	  pipeline_command_argv.
	* lib/pipeline.h (pipecmd_new_sequencev, pipeline_new_command_argv,
	  pipeline_command_argv): Add prototypes.

Fri Oct 29 05:28:33 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_wait): Rename to ...
	  (pipeline_wait_all): ... this.  Return 127 rather than 1 if
	  closing the pipeline output fails.  Return 127 if a command other
	  than the last one fails.  Return the statuses and the number of
	  statuses in new output parameters if they are non-NULL.
	  (pipeline_wait): Add new wrapper function.
	* lib/pipeline.h (pipeline_wait_all): Add prototype.

Fri Oct 29 03:50:16 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_new): Default ignore_signals to 0.
	* lib/decompress.c (decompress_open, decompress_fdopen): Remove
	  redundant calls to pipeline_ignore_signals.
	* src/man.c (make_browser): Explicitly ignore SIGINT and SIGQUIT
	  when running the browser.
	  (make_display_command): Explicitly ignore SIGINT and SIGQUIT when
	  running the pager.

Fri Oct 29 03:28:57 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c, lib/pipeline.h: Rename command to pipecmd,
	  command_* to pipecmd_*, and COMMAND_* to PIPECMD_*.  Update all
	  callers.

Fri Oct 29 03:24:10 BST 2010  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/nl.po: Use I<> rather than U<>.

Tue Oct 26 12:43:45 BST 2010  Erwin Poeze  <erwin.poeze@gmail.com>

	* man/po4a/po/nl.po: Update from Translation Project.

Tue Oct 26 12:40:12 BST 2010  Martin Schauer  <Martin.E.Schauer@gmx.de>

	* po/de.po: Update from Translation Project.
	* man/THANKS: Update.

Mon Oct 25 17:59:01 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_install_post_fork): New function.
	  (pipeline_start): Call post-fork handler rather than hardcoding
	  pop_all_cleanups.
	* lib/pipeline.h (pipeline_install_post_fork): Add prototype.

	* src/lexgrog_test.c (main), src/man.c (main), src/manconv_main.c
	  (main), src/mandb.c (main), src/whatis.c (main),
	  src/zsoelim_main.c (main): Install pop_all_cleanups as a post-fork
	  handler.

Mon Oct 25 16:18:08 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (command_unsetenv): New function.
	  (command_dup, command_dump, command_tostring): Check for NULL
	  cmd->env[i].value.
	  (command_start_child): If cmd->env[i].value is NULL, call unsetenv
	  rather than setenv.
	* lib/pipeline.h (command_unsetenv): Add prototype.

Sun Oct 24 23:37:08 BST 2010  Colin Watson  <cjwatson@debian.org>

	Allow building with an external libpipeline.

	* configure.ac: Add --with-external-pipeline option.
	* lib/Makefile.am (libman_la_CPPFLAGS): Add $(libpipeline_CFLAGS).
	  (libman_la_SOURCES): Include pipeline.c and pipeline.h only
	  conditionally.
	  (libman_la_LDFLAGS): Add $(libpipeline_LIBS).
	* src/Makefile.am (AM_CPPFLAGS): Add $(libpipeline_CFLAGS).
	* NEWS: Document this.

Sun Oct 24 21:15:07 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (command_start_child): Add trailing newline to
	  "nice failed" debug message.

Sun Oct 24 21:10:20 BST 2010  Colin Watson  <cjwatson@debian.org>

	Make command and pipeline opaque types.

	* lib/pipeline.c (command_nice, command_discard_err,
	  pipeline_get_ncommands, pipeline_get_command,
	  pipeline_set_command, pipeline_want_in, pipeline_want_out,
	  pipeline_want_infile, pipeline_want_outfile,
	  pipeline_ignore_signals): New functions.
	* lib/pipeline.h (command_nice, command_discard_err,
	  pipeline_get_ncommands, pipeline_get_command,
	  pipeline_set_command, pipeline_want_in, pipeline_want_out,
	  pipeline_want_infile, pipeline_want_outfile,
	  pipeline_ignore_signals): Add prototypes.

	* lib/pipeline.h (enum command_tag, struct command_env, struct
	  command, struct pipeline): Move to ...
	* lib/pipeline.c (enum command_tag, struct command_env, struct
	  command, struct pipeline): ... here.

	Redirections are now handled slightly differently internally,
	allowing redirection from/to fd 0.

	* lib/pipeline.c (pipeline_new, pipeline_join): Set redirect_in and
	  redirect_out.
	  (pipeline_connect): Use pipeline_want_in and pipeline_want_out.
	  Check source->redirect_out.
	  (pipeline_start): Handle new redirection semantics.

	* lib/decompress.c (decompress_open, decompress_fdopen): Use new
	  accessor functions rather than accessing pipeline fields directly.
	* src/man.c (make_display_command, discard_stderr, open_cat_stream,
	  format_display, display_catman, display): Likewise.

Sun Oct 24 21:04:45 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_run): This would be a more convenient
	  wrapper for the common case if it freed the pipeline as well, so
	  do that.  (Callers that don't want this should call pipeline_start
	  and pipeline_wait separately.)
	* lib/pipeline.h (pipeline_run): Update comment.
	* lib/security.c (do_system_drop_privs): Consistently free the
	  supplied pipeline, and document doing so.
	* src/man.c (format_display): Remove pipeline_free after
	  do_system_drop_privs.
	* src/whatis.c (use_grep): Remove pipeline_free after pipeline_run.

Sun Oct 24 21:03:25 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_new_command_args): New function.
	* lib/pipeline.h (pipeline_new_command_args): Add prototype.
	* src/man.c (make_browser): Use it.

Sun Oct 24 20:59:27 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_run): New function.
	* lib/pipeline.h (pipeline_run): Add prototype.
	* lib/security.c (do_system_drop_privs): Use it.
	* src/man.c (do_extern, run_mandb): Likewise.
	* src/whatis.c (use_grep): Likewise.

Sun Oct 24 20:56:00 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.h (pipeline_pump): Mention in comment that arguments
	  must be NULL-terminated.

Sun Oct 24 20:55:10 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.h (pipeline_new_commandv): Fix comment.

Sat Oct 23 20:52:24 BST 2010  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AC_TYPE_SIGNAL): Remove (unused).

Tue Oct 12 11:16:31 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/util.c (init_locale): New function.
	* include/manconfig.h.in (init_locale): Add prototype.
	* src/Makefile.am (AM_CPPFLAGS): Move -DLOCALEDIR to ...
	* lib/Makefile.am (libman_la_CPPFLAGS): ... here.

	* src/accessdb.c (main), src/catman.c (main), src/globbing_test.c
	  (main), src/lexgrog_test.c (main), src/man.c (main),
	  src/manconv_main.c (main), src/mandb.c (main), src/manpath.c
	  (main), src/whatis.c (main), src/zsoelim.c (main): Use
	  init_locale.

	* lib/util.c (init_locale): Suppress warning message if
	  DPKG_RUNNING_VERSION is set in the environment.
	* NEWS: Document this.

Mon Oct 11 09:38:03 BST 2010  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Revision control): Update for restored bzr+ssh
	  access.

Mon Oct 11 09:36:55 BST 2010  Colin Watson  <cjwatson@debian.org>

	* .bzrignore: Remove tools/config.rpath.*, which hasn't been needed
	  here since 2009-04-14.

Tue Oct  5 11:48:57 BST 2010  Colin Watson  <cjwatson@debian.org>

	* man/po4a/Makefile.am (clean-local): Don't use 'po4a
	  --rm-translations', since it sometimes updates PO/POT files and
	  the obvious workaround for that breaks 'make distcheck'.
	  Reimplement it by hand instead.

Tue Oct  5 10:59:02 BST 2010  Colin Watson  <cjwatson@debian.org>

	* man/check-man: Use libtool to run man from the build tree.

Tue Oct  5 10:36:35 BST 2010  Colin Watson  <cjwatson@debian.org>

	It turns out that AM_GNU_GETTEXT([use-libtool]) is unsupported.
	Switch to external libintl instead.

	* configure.ac (AM_GNU_GETTEXT): Set external.
	  (AC_CONFIG_FILES): Remove intl/Makefile.
	* Makefile.am (SUBDIRS): Remove intl.
	  (EXTRA_DIST): Add gnulib/m4/glibc2.m4, gnulib/m4/intdiv0.m4,
	  gnulib/m4/intl.m4, gnulib/m4/intmax.m4, gnulib/m4/inttypes-pri.m4,
	  gnulib/m4/lcmessage.m4, gnulib/m4/printf-posix.m4,
	  gnulib/m4/uintmax_t.m4, and gnulib/m4/visibility.m4.
	* intl: Remove.
	* lib/Makefile.am (libman_la_CPPFLAGS): Remove
	  -I$(top_builddir)/intl.
	* libdb/Makefile.am (libmandb_la_CPPFLAGS): Likewise.
	* src/Makefile.am (AM_CPPFLAGS): Likewise.
	* .bzrignore: Remove intl/Makefile, intl/charset.alias,
	  intl/libgnuintl.h, intl/libintl.h, intl/ref-add.sed, and
	  intl/ref-del.sed.
	* NEWS: Document this.

Tue Oct  5 01:05:24 BST 2010  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AM_GNU_GETTEXT): Set use-libtool.

Tue Oct  5 00:11:23 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/Makefile.am (libman_la_LIBADD): Include @LTLIBINTL@ rather
	  than @LIBINTL@.
	* src/Makefile.am (whatis_LDADD): Include $(LTLIBICONV) rather than
	  $(LIBICONV).

Mon Oct  4 23:56:36 BST 2010  Colin Watson  <cjwatson@debian.org>

	* po/POTFILES.in: Add lib/security.c.  Remove src/fake_security.c
	  and src/security.c.
	* po/man-db.pot, po/*.po: Update.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.

Sun Oct  3 23:57:45 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (command_argf): New function.
	* lib/pipeline.h (command_argf): Add prototype.
	* src/man.c (add_roff_line_length): Use it, reducing need for
	  temporary local variables.
	  (make_roff_command): Likewise.

Sun Oct  3 23:30:06 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (setenv_less): Take a command argument.  Set environment
	  variables only for that command, not globally.
	  (make_display_command): Call setenv_less on the command
	  constructed from pager.

Sun Oct  3 22:34:13 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (reap_children, pipeline_sigchld,
	  pipeline_install_sigchld): Move above pipeline_start.
	  (pipeline_install_sigchld): Make static.  Return immediately if
	  already installed.
	  (pipeline_start): Call pipeline_install_sigchld.
	* lib/pipeline.h (pipeline_start): Document that this installs a
	  SIGCHLD handler.
	  (pipeline_install_sigchld): Remove prototype.
	* src/lexgrog_test.c (main), src/man.c (main), src/manconv_main.c
	  (main), src/mandb.c (main), src/whatis.c (main),
	  src/zsoelim_main.c (main): Stop calling pipeline_install_sigchld.

Thu Sep 30 16:01:22 BST 2010  Colin Watson  <cjwatson@debian.org>

	Convert the French manual pages translation to po4a.

	* man/LINGUAS: Remove fr.
	* man/LINGUAS.po4a: Add fr.
	* man/fr/man1, man/fr/man5, man/fr/man8: Remove.
	* man/fr/Makefile.am (PO4A_LINGUA): Set to yes.
	  (EXTRA_DIST): Add translator.add.
	  (man1_MANS): Add man1/manconv.1.
	* man/po4a/Makefile.am (POFILES): Add po/fr.po.
	* man/po4a/po4a.cfg (po4a_langs): Add fr.
	* man/THANKS: Add David Prévot.
	* .bzrignore: Add man/fr/man1, man/fr/man5, and man/fr/man8.

Thu Sep 30 15:44:46 BST 2010  David Prévot  <david@tilapin.org>

	* po/fr.po: Update from Translation Project.
	* man/po4a/po/fr.po: New from Translation Project.
	* man/fr/translator.add: New file.

Mon Sep 27 19:06:10 BST 2010  Colin Watson  <cjwatson@debian.org>

	Move util to libman.

	* src/util.c: Move to ...
	* lib/util.c: ... here.
	* lib/Makefile.am (libman_la_SOURCES): Add util.c.
	* src/Makefile.am (accessdb_SOURCES, catman_SOURCES,
	  globbing_SOURCES, lexgrog_SOURCES, man_SOURCES, mandb_SOURCES,
	  manpath_SOURCES, whatis_SOURCES, zsoelim_SOURCES): Remove util.c.
	* lib/README: Add util.c.

Mon Sep 27 00:50:37 BST 2010  Colin Watson  <cjwatson@debian.org>

	* gnulib/m4/gnulib-cache.m4: Remove obsolete modules atexit, memcmp,
	  and strcspn.

Mon Sep 27 00:24:50 BST 2010  Colin Watson  <cjwatson@debian.org>

	Move security to libman.

	* src/security.c: Move to ...
	* lib/security.c: ... here.
	* src/security.h: Move to ...
	* lib/security.h: ... here.
	* lib/Makefile.am (libman_la_SOURCES): Add security.c and
	  security.h.
	* src/Makefile.am (lexgrog_SOURCES): Remove fake_security.c and
	  security.h.
	  (man_SOURCES, mandb_SOURCES): Remove security.c and security.h.
	* lib/README: Add security.*.
	* src/lexgrog_test.c: Call init_security, so that we can use generic
	  security functions rather than fake_security.
	* src/fake_security.c: Remove.

	* lib/security.c (do_system_drop_privs): Unroll calls to do_system
	  into calls to pipeline_start and pipeline_wait.
	* src/whatis.c (use_grep): Likewise.
	* src/util.c (do_system): Remove.
	* include/manconfig.h.in (do_system): Remove.

	* src/*.c: Update #include grouping for movements to libman.

Sun Sep 26 23:53:08 BST 2010  Colin Watson  <cjwatson@debian.org>

	Get the tests working again following the switch to libtool.

	* src/tests/Makefile.am (TESTS_ENVIRONMENT): Remove CLEANPATH.
	* src/tests/man-1, src/tests/mandb-1, src/tests/mandb-2: Set MANPATH
	  rather than using run_clean_path; running with a stripped-down
	  PATH is risky in general and breaks libtool in particular.
	* src/tests/testlib.sh (run_clean_path): Remove.

	* src/tests/Makefile.am (TESTS_ENVIRONMENT): Add top_builddir.
	* src/tests/testlib.sh (run): New function.
	* src/tests/lexgrog-1, src/tests/man-1, src/tests/manconv-1,
	  src/tests/manconv-2, src/tests/manconv-3, src/tests/mandb-1,
	  src/tests/mandb-2, src/tests/testlib.sh (accessdb_filter): Use run
	  when running programs from the build tree.

Sun Sep 26 23:25:31 BST 2010  Colin Watson  <cjwatson@debian.org>

	Move encodings to libman.

	* src/encodings.c: Move to ...
	* lib/encodings.c: ... here.
	* src/encodings.h: Move to ...
	* lib/encodings.h: ... here.
	* lib/Makefile.am (libman_la_SOURCES): Add encodings.c and
	  encodings.h.
	* src/Makefile.am (lexgrog_SOURCES, man_SOURCES, manconv_SOURCES,
	  mandb_SOURCES, manpath_SOURCES): Remove encodings.c and
	  encodings.h.
	* lib/README: Add encodings.*.

Sun Sep 26 23:15:00 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (struct manconv_codes, manconv_stdin,
	  free_manconv_codes, add_manconv): Move to ...
	* src/manconv_client.c: ... here (new file).
	* src/encodings.h (add_manconv): Move to ...
	* src/manconv_client.h: ... here (new file).
	* src/lexgrog.l, src/man.c, src/straycats.c: Include
	  manconv_client.h.
	* src/Makefile.am (lexgrog_SOURCES, man_SOURCES, mandb_SOURCES): Add
	  manconv_client.c and manconv_client.h.

	* src/manp.c: Remove unnecessary inclusion of encodings.h.

Sun Sep 26 22:59:54 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/compression.c: Remove unnecessary inclusion of security.h.
	* src/ult_src.c: Likewise.

Sun Sep 26 22:47:02 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (mkcatdirs): Move to ...
	* src/check_mandirs.c (mkcatdirs): ... here, as it's only used by
	  testmandirs.  Removes dependency of manp.c on security.h.
	* src/manp.h (mkcatdirs): Remove prototype.
	* src/Makefile.am (catman_SOURCES, manpath_SOURCES, whatis_SOURCES):
	  Remove fake_security.c.

Sun Sep 26 22:34:17 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/security.c (remove_with_dropped_privs): Remove; no longer
	  used.
	* src/fake_security.c (remove_with_dropped_privs): Likewise.
	* src/security.h (remove_with_dropped_privs): Likewise.

Sun Sep 26 22:23:26 BST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/Makefile.am (libman_la_LIBADD): Use $(LTLIBOBJS) rather than
	  $(LIBOBJS).

Sun Sep 26 22:08:39 BST 2010  Colin Watson  <cjwatson@debian.org>

	Build libman and libmandb as shared libraries, reducing our
	installed footprint by about 200K.

	* configure.ac: Add LT_INIT.  Move AC_GNU_SOURCE up to above it.
	  Remove redundant AC_PROG_RANLIB.
	* gnulib/m4/gnulib-cache.m4: Enable libtool support.
	* gnulib/m4/libtool.m4, gnulib/m4/ltoptions.m4,
	  gnulib/m4/ltsugar.m4, gnulib/m4/ltversion.m4,
	  gnulib/m4/lt~obsolete.m4, tools/ltmain.sh: New files, created by
	  libtoolize.
	* autogen.sh: Export LIBTOOLIZE_OPTIONS=--quiet.
	* lib/Makefile.am: Switch to libtool.  Add ../gnulib/lib/libgnu.la,
	  $(LIBCOMPRESS), and @LIBINTL@ to LIBADD.  Install the library in
	  $(pkglibdir), and instruct libtool to set an RPATH on binaries
	  built against this library.
	* libdb/Makefile.am: Switch to libtool.  Add ../lib/libman.la to
	  LIBADD.  Install the library in $(pkglibdir), and instruct libtool
	  to set an RPATH on binaries built against this library.
	* src/Makefile.am (LIBMAN): Reduce to libman.
	  (LIBMANDB): Reduce to libmandb.
	  (accessdb_LDADD, catman_LDADD, globbing_LDADD, lexgrog_LDADD,
	  man_LDADD, manconv_LDADD, mandb_LDADD, manpath_LDADD,
	  whatis_LDADD, zsoelim_LDADD): Remove dependencies of libman and
	  libmandb.
	* .bzrignore: Add **/*.la, **/*.lo, **/.libs, and ./libtool.
	* NEWS: Document this.

	Avoid symbol clashes between libgnu and libman.

	* lib/hashtable.c (null_hash_free, plain_hash_free, hash_create,
	  hash_lookup_structure, hash_lookup, hash_install, hash_remove,
	  hash_free): Rename to ...
	  (null_hashtable_free, plain_hashtable_free, hashtable_create,
	  hashtable_lookup_structure, hashtable_lookup, hashtable_install,
	  hashtable_remove, hashtable_free): ... these.  Update all callers
	  and prototypes.
	* lib/hashtable.h (hash_free_ptr): Rename to ...
	  (hashtable_free_ptr): ... this.  Update all users.

Thu Sep 16 13:53:11 BST 2010  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: Update from Translation Project.

Tue Aug 17 15:31:38 BST 2010  Colin Watson  <cjwatson@debian.org>

	* man/po4a/Makefile.am (clean-local): Make sure not to change PO or
	  POT files when removing generated translations.

Tue Aug 17 15:26:12 BST 2010  Colin Watson  <cjwatson@debian.org>

	Upgrade to Autoconf 2.67.

Tue Aug 17 14:29:53 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display_catman): Add iconv to format_cmd before adding
	  a compressor.
	* NEWS: Document this.

Tue Aug 17 14:22:06 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (add_output_iconv): Make static.

Tue Jul 20 08:18:41 BST 2010  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20100704.

	* configure.ac (AM_GNU_GETTEXT_VERSION): Upgrade to gettext 0.18.1.

Wed May 19 12:38:31 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/descriptions.c (parse_descriptions): Free record.
	* src/encodings.c (check_preprocessor_encoding): Free directive.
	  (manconv_stdin): Free p.
	* src/lexgrog_test.c (main): Free lg.filters and lg.whatis.

Thu May 13 11:45:02 CEST 2010  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Mon May 10 09:42:41 CEST 2010  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po: Update from Translation Project.

Sun May  9 07:37:14 BST 2010  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.8-pre1.
	* release.sh: Remove man/po4a/po/man-db-manpages.pot before running
	  'make distcheck', to force it to be regenerated with the current
	  version number.
	* man/po4a/Makefile.am: Make po/man-db-manpages.pot depend on
	  update-po, rather than using dist-hook which is too late.
	* po/man-db.pot, po/*.po: Update.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.

Sat May  8 15:39:49 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/filenames.c (filename_info): Explicitly fail if the extension
	  is zero-length.

Sat May  8 15:35:17 BST 2010  Colin Watson  <cjwatson@debian.org>

	* src/filenames.c (filename_info): Allow section and extension to
	  differ as long as the first character is the same.  (This is my
	  understanding of what the code was originally meant to do, but it
	  only worked if the section was exactly one character long.)

Tue Apr 27 11:02:48 BST 2010  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20100424.

Fri Apr  2 20:44:11 BST 2010  Ville Skyttä  <ville.skytta@iki.fi>

	* configure.ac: Only test for lzma if xz is missing.  Add xz to list
	  of compressors checked when deciding whether to define COMP_CAT or
	  COMP_SRC.
	* include/comp_src.h.in (comp_list): If xz is available, use it for
	  .lzma files in preference.

Fri Apr  2 20:26:41 BST 2010  Ville Skyttä  <ville.skytta@iki.fi>

	* include/comp_src.h.in (comp_list): If compress is not available,
	  use gzip to handle .Z files.

Mon Mar 29 09:36:00 BST 2010  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Wed Mar 24 11:04:46 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Fix build regression when GNU_NROFF is undefined (Savannah bug
	#29318).

	* src/man.c (add_col): New function, split out from
	  make_display_command.
	  (make_roff_command): Reinstate tbl/col logic here, as by the time
	  we get to make_display_command we've forgotten whether tbl was
	  used.
	  (make_display_command): Remove tbl/col logic, useless here.  Use
	  add_col.

Sun Mar 21 21:59:54 GMT 2010  Tanguy Ortolo  <tanguy+debian@ortolo.eu>

	* src/man.c (main): Try underscore-separated subpages as well as
	  hyphen-separated ones (Debian bug #574641).
	* man/man1/man.man1 (Finding manual pages): Document this.
	* NEWS: Document this.

Wed Mar 17 10:26:44 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import localcharset module.
	* src/encodings.c (struct charset_entry): Rename locale_charset to
	  charset_from_locale.  Update all users.
	  (struct less_charset_entry): Likewise.
	  (get_locale_charset): Use locale_charset function from Gnulib,
	  rather than dealing with nl_langinfo and the fallback ourselves.
	  (get_default_device): Rename locale_charset parameter to
	  charset_from_locale.
	  (get_less_charset): Likewise.
	  (get_jless_charset): Likewise.
	* src/tests/Makefile.am (TESTS_ENVIRONMENT): Add
	  @LOCALCHARSET_TESTS_ENVIRONMENT@.

Sat Mar 13 22:15:54 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* man/check-man: Ignore "table wider than line width" warnings for
	  Dutch too.

Sat Mar 13 21:33:48 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20100308.

Thu Mar 11 01:26:56 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Add AM_MAINTAINER_MODE.  In the modern world,
	  timestamps are often just too fragile for those make targets to
	  work well; use ./autogen.sh instead.

Tue Mar  2 19:11:44 GMT 2010  Darren Salt  <linux@youmustbejoking.demon.co.uk>

	Add support for XZ-compressed manual pages (Debian bug #572233).

	* configure.ac: Check for xz.
	* include/comp_src.h.in (comp_list): Add xz.
	* include/manconfig.h.in: Define UNXZ.
	* NEWS: Document this.

Tue Mar  2 10:04:54 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Fix assertion failure on 'man -l' with an uncompressed page and
	prefixed input (no-hyphenation, no-justification, or a non-English
	page).

	* lib/pipeline.c (command_new_passthrough): New function.
	* lib/pipeline.h (command_new_passthrough): Add prototype.
	* src/man.c (display): Allow zero-command decompression pipelines
	  with prefix sequences.  In that case, append a passthrough command
	  to the prefix sequence, and append the prefix sequence to the
	  decompression pipeline rather than replacing its first command.
	* NEWS: Document this.

Tue Mar  2 09:31:36 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/nl.po: New from Translation Project (thanks, Erwin
	  Poeze).
	* configure.ac (AC_CONFIG_FILES): Add man/nl/Makefile.
	* man/LINGUAS.po4a: Add nl.
	* man/Makefile.am (DIST_SUBDIRS): Add nl.
	* man/nl/Makefile.am, man/nl/translator.add: New files.
	* man/po4a/Makefile.am (POFILES): Add po/nl.po.
	* man/po4a/po4a.cfg (po4a_langs): Add nl.
	* man/THANKS: Credit Erwin Poeze with man/nl as well as nl.po.
	* .bzrignore: Add man/nl/man1, man/nl/man5, and man/nl/man8.

Thu Feb 18 01:38:04 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (locale_macros): Explicitly set groff's hyphenation
	  language, to ensure that it only hyphenates languages it knows
	  about (Debian bug #570247).

Tue Feb 16 23:11:58 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.7.
	* po/man-db.pot, po/*.po: Update.

Tue Feb 16 23:09:11 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (get_catpath): Fix handling of non-translated cat
	  paths.

Sun Feb 14 00:19:47 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Always save cat pages in UTF-8 (Debian bug #446741).

	* src/encodings.c (struct directory_entry): Remove
	  standard_output_encoding member.
	  (directory_table): Likewise.
	  (get_standard_output_encoding): Remove.
	* src/encodings.h (get_standard_output_encoding): Remove prototype.
	* src/man.c (my_locale_charset): New function, with code moved from
	  make_roff_command.
	  (make_roff_command): Return pipeline output encoding in a new
	  output parameter.  Remove enforcement that cat pages could only be
	  saved for the manual hierarchy's default character set.  Move
	  post-cat-page pipeline elements to ...
	  (add_output_iconv, make_display_command): ... here.
	  (make_display_command): Remove code for handling a named input
	  file, which has been unused for some time.  New encoding argument.
	  (open_cat_stream): New encoding argument.  Convert from it to
	  UTF-8 while saving the cat page.
	  (format_display_and_save): New encoding argument, passed to
	  open_cat_stream.
	  (display_catman): New encoding argument.  Convert from it to UTF-8
	  while saving the cat page.
	  (display): Get formatted encoding from make_roff_command and pass
	  it to display_catman, make_display_command, and
	  format_display_and_save.  Assume UTF-8 when displaying an existing
	  cat page.
	* NEWS: Document this.

Sat Feb 13 14:25:42 GMT 2010  Vincent Lefèvre  <vincent@vinc17.net>

	* lib/decompress.c (decompress_open): Fix sense of directory check
	  (Debian bug #537434).

Mon Feb  8 07:01:35 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (get_catpath): Handle man -> cat substitution correctly
	  for translated cat pages.

Mon Feb  8 04:57:09 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/man.c (format_display_and_save): Use sigaction, not signal.

Mon Feb  8 04:29:42 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import getopt-gnu module rather than the obsolete getopt.

Mon Feb  1 12:18:36 PST 2010  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_wait): Don't bother printing error
	  messages for SIGINT and SIGQUIT, since these correspond to
	  explicit user actions (Debian bug #568000).

Sun Jan 31 03:44:59 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): Don't lose iconv errors from converting
	  to UTF-8 when the target encoding is not UTF-8.

Sun Jan 31 03:33:33 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Upgrade to Automake 1.11.1 and Gnulib 20100109.

Thu Jan 14 11:51:59 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (search): "%s: nothing appropriate." is an error;
	  write it to stderr, not stdout (Debian bug #565255).

Wed Jan 13 23:42:00 GMT 2010  Werner Fink  <werner@suse.de>

	Add support for using socketpair(2) as a replacement for pipe(2),
	which is faster on some systems (Savannah patch #6741).

	* configure.ac: Add --enable-socketpair-pipe option.
	* m4/man-socketpair.m4: New file.
	* lib/pipeline.c [USE_SOCKETPAIR_PIPE]: Redefine pipe() to a
	  construction based on socketpair().
	* NEWS: Document this.

Wed Jan 13 22:04:23 GMT 2010  Colin Watson  <cjwatson@debian.org>

	Upgrade to Autoconf 2.65 and Gnulib 20091120.

Wed Jan 13 18:26:47 GMT 2010  Diego Pettenò  <flameeyes@gentoo.org>

	Add support for heirloom-doctools (Savannah patch #6933).

	* configure.ac: Substitute TROFF.
	* manual/Makefile.am (.pp.dvi, .pp.ps, .pp.tdvi, .pp.html): Use
	  $(TROFF) rather than groff or troff.
	* src/man.c (options, parse_opt): Just ignore the --warnings option
	  when troff is not groff, rather than compiling it out entirely.
	  (make_roff_command): Only use gxditview variable when troff is
	  groff.
	* NEWS: Document this.

Tue Jan 12 13:33:51 GMT 2010  Samuel Thibault  <sthibault@debian.org>

	* lib/pipeline.c (pipeline_pump): Fix off-by-one error when write
	  returns EAGAIN (Debian bug #564818).

Fri Jan  1 17:03:18 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* README (Copyright and licensing): Update copyright years.

Fri Jan  1 13:26:21 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): Only handle iconv errors when iconv
	  returned -1.

Fri Jan  1 11:37:13 GMT 2010  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): Handle iconv errors when attempting to
	  convert the last input encoding to UTF-8 (Debian bug #562503).
	* src/tests/manconv-3: Add test for this.
	* src/tests/Makefile.am (TESTS): Add manconv-3.

Tue Dec 15 14:10:19 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (main): Fix possible crash when MAN_MUST_CREATE is
	  unset.
	* NEWS: Document this.

Tue Dec 15 13:47:50 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* lib/debug.c (init_debug): New function: check for MAN_DEBUG=1 in
	  the environment.
	* include/manconfig.h.in (init_debug): Add prototype.
	* src/accessdb.c (main), src/catman.c (main), src/globbing_test.c
	  (main), src/lexgrog_test.c (main), src/man.c (main),
	  src/manconv_main.c (main), src/mandb.c (main), src/manpath.c
	  (main), src/whatis.c (main), src/zsoelim_main.c (main): Call
	  init_debug.
	* NEWS: Document this.

Sat Dec 12 00:36:14 GMT 2009  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: Update from Translation Project.

Tue Dec  1 17:01:19 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (do_extern): Pass section through to external program
	  (Savannah bug #28145). Fix passing of alternate system name to use
	  -m rather than -s.

Tue Nov 24 18:27:59 GMT 2009  Robert Luberda  <robert@debian.org>

	* po/pl.po: Update from Translation Project.

Wed Nov 18 14:58:52 GMT 2009  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po: Update from Translation Project.

Wed Nov 18 14:55:31 GMT 2009  Yuri Kozlov  <yuray@komyakino.ru>

	* po/ru.po: Update from Translation Project.

Wed Nov 18 14:52:43 GMT 2009  Erwin Poeze  <erwin.poeze@gmail.com>

	* po/nl.po: Update from Translation Project.

Sun Nov 15 22:49:35 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* README (Non-generic arguments to configure): Use more readable
	  formatting.
	* manual/options-only.me, manual/print-options: New file.
	* manual/intro.me (Arguments to configure): Add hooks for
	  options-only.me.
	* manual/Makefile.am (dist_noinst_DATA): Add options-only.me and
	  print-options.

Sun Nov 15 16:15:56 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Revision control): Savannah has disabled bzr+ssh for
	  the time being; update push URL.

Sun Nov 15 16:05:26 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.7-pre1.
	* po/man-db.pot, po/*.po: Update.

Sun Nov 15 14:30:27 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* NEWS: Document previous change.

Sun Nov 15 14:18:35 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (compare_candidates): Prefer getting a page from the
	  best manual section over getting a page in the correct language; I
	  have my reservations about this, but it seems to be what people
	  are requesting (Debian bug #519547).

Sun Nov 15 14:02:11 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Search man<sec><ext> directories in the GNU layout (Debian bug
	#519807, Arch Linux bug #13734).

	* src/globbing.c (match_in_directory): Optionally take allocated
	  count from caller. If it's non-zero, don't clear the glob.
	  (look_for_file): In the GNU layout, search all subdirectories of
	  hier that begin with the first character of the section.
	* NEWS: Document this.

Sun Nov 15 13:32:58 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/globbing.c (match_in_directory): Make this void; checking
	  whether any glob matches were returned is sufficient. Move
	  glob-clearing code to ...
	  (clear_glob): ... here (new function).
	  (look_for_file): Simplify since we now only need to check
	  gbuf.gl_pathc == 0, not the return value of match_in_directory as
	  well. Clear gbuf on entry.

Sun Nov 15 13:18:38 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/lexgrog-1, src/tests/man-1, src/tests/manconv-1,
	  src/tests/manconv-2, src/tests/mandb-1, src/tests/mandb-2: Use
	  'diff -u', which produces more helpful output on failures.

Sat Nov 14 20:10:57 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* README (System specific notes): Remove entirely. The notes about
	  Linux here only pertain to thoroughly obsolete systems.

Sat Nov 14 20:08:40 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Handle Ultrix-4.3a -YPOSIX requirement
	  automatically.
	* README (System specific notes): Remove note about Ultrix-4.3a.

Sat Nov 14 19:14:02 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* lib/README: Copyright is not the same as licensing; fix confusion.

Sat Nov 14 18:57:42 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (options): Add --nh and --nj aliases for
	  --no-hyphenation and --no-justification respectively.
	* man/man1/man.man1 (Controlling formatted output): Document new
	  aliases.

Sat Nov 14 18:52:15 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (argstr_get_word): Fix a small memory leak.

Sat Nov 14 18:51:37 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Do what the user probably means when the full path to an executable
	is given as an argument (Debian bug #505465).

	* lib/pathsearch.c (directory_on_path): New function.
	* lib/pathsearch.h (directory_on_path): Add prototype.
	* src/manp.c (get_manpath_from_path): Make external. Add 'mandatory'
	  argument to control the addition of MANDATORY_MANPATH entries.
	  (guess_manpath): Update caller.
	* src/manp.h (get_manpath_from_path): Add prototype.
	* src/man.c (main): Move locale manpath expansion to ...
	  (locale_manpath): ... here (new function).
	  (local_man_loop): If the argument is an executable, try looking up
	  the corresponding manual page in the appropriate part of the
	  manpath, rather than just trying to format the text of the
	  executable as a manual page.
	* NEWS: Document this.

Sat Nov 14 10:28:29 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Add option to disable justification (Debian bug #440047).

	* src/man.c (options, parse_opt): Accept --no-justification. Reset
	  corresponding variable with -D.
	  (disable_justification): New function.
	  (display): Append disable_justification to the decompressor
	  pipeline if --no-justification is used.
	* man/man1/man.man1 (SYNOPSIS, Controlling formatted output):
	  Document --no-justification.
	* NEWS: Document this.

Sat Nov 14 10:23:28 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* include/manconfig.h.in (ATTRIBUTE_NORETURN): Define to an
	  attribute marking a function as non-returning if using GCC 2.5 or
	  newer.
	* lib/pipeline.c (command_new_sequence, command_sequence_command):
	  New functions.
	  (command_dup, command_dump, command_tostring, command_free):
	  Handle commands of type COMMAND_SEQUENCE.
	  (pipeline_start): Move command execution to ...
	  (command_start_child): ... here (new function). Handle commands of
	  type COMMAND_SEQUENCE.
	* lib/pipeline.h (enum command_tag): Add COMMAND_SEQUENCE.
	  (struct command): Add support for commands that consist of a
	  sequence of commands.
	  (command_new_sequence, command_sequence_command): Add prototypes.
	* src/man.c (disable_hyphenation, locale_macros): Drop passthrough
	  code.
	  (display): Create a command sequence for hyphenation and
	  locale-macro decompressor prefixes if necessary.

Mon Nov  9 16:59:47 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Define a CROSS_COMPILING conditional if
	  cross-compiling.
	* man/Rules.man, src/tests/Makefile.am: Don't run tests if
	  cross-compiling.
	* NEWS: Document this.

Mon Nov  9 16:53:10 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Upgrade to Gnulib 20090915.

Mon Nov  9 16:27:44 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (find_charset_locale): New function.
	* src/encodings.h (find_charset_locale): Add prototype.
	* src/man.c (make_roff_command): When invoking col, ensure that
	  LC_CTYPE is set to an appropriate locale for the selected
	  character set (Debian bug #555331).
	* NEWS: Document this.

Thu Oct  8 23:22:57 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c: Include <unistd.h> for dup and STDIN_FILENO.

Thu Oct  1 01:08:40 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/accessdb.c (parse_opt), src/lexgrog_test.c (parse_opt),
	  src/whatis.c (parse_opt): Turn off ARGP_HELP_PRE_DOC to avoid
	  problems with translations of documentation strings beginning with
	  a vertical tab separator (i.e. no pre-option documentation).

Thu Sep 24 12:32:48 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_pump): When a source pipeline dies, make
	  sure to drain its output before discarding its output file
	  descriptor (Debian bug #548153). We still record the death to
	  avoid duplicate debugging messages.
	* NEWS: Document this.

Tue Sep 22 00:53:42 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (get_default_device): If the locale encoding is
	  ASCII, then use the ascii device even if preconv is available; it
	  will do a better job than producing UTF-8 output and then recoding
	  that to ASCII (Debian bug #547695).

Sat Sep 19 15:02:20 BST 2009  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Fri Sep 11 01:19:41 BST 2009  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/id.po: Fix syntax error.

Wed Sep  9 14:42:18 BST 2009  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (General options): Refer to the "Warnings" node
	  in 'info groff' for a list of available warning names (Debian bug
	  #545805).

Wed Sep  9 14:36:39 BST 2009  Arif E. Nugroho  <arif_endro@yahoo.com>

	* man/po4a/po/id.po: Update from Translation Project.

Tue Sep  8 19:14:23 BST 2009  Arif E. Nugroho  <arif_endro@yahoo.com>

	* po/id.po: Update from Translation Project.

Wed Aug 26 01:12:20 BST 2009  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.6.
	* po/man-db.pot, po/*.po: Update.

Wed Aug 26 01:07:16 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (display): Include the section in the hash key used
	  to determine whether a page has already been displayed.

Wed Aug 26 00:20:45 BST 2009  Colin Watson  <cjwatson@debian.org>

	* libdb/db_store.c (compare_ids): Fix documentation of return
	  values.
	  (replace_if_necessary): Don't replace ULT_MAN or SO_MAN with
	  lesser ids just because the mtime is newer. (This still satisfies
	  Debian bug #490582, but doesn't cause the database to be rebuilt
	  every time mandb runs on hierarchies with both symlinks and whatis
	  entries for the same name.)

Tue Aug 25 17:07:05 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (zh_CN_name, zh_TW_name): Add alternative
	  translation "名字", seen in testprns(1).

Tue Aug 25 17:05:51 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/man-1: Restrict manpath to test directories.

Tue Aug 25 10:30:58 BST 2009  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Add .bzrignore,
	  gnulib/lib/xmalloc.c.orig, gnulib/m4/intldir.m4,
	  gnulib/m4/sockpfaf.m4, and release.sh, for consistency between
	  revision control and the distribution.

Tue Aug 25 09:48:39 BST 2009  Colin Watson  <cjwatson@debian.org>

	* po/POTFILES.in: Remove src/wrapper.c.

Sun Aug 23 15:49:45 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (command_dup): Fix newcmd->nenv assertion.

Sun Aug 23 15:41:32 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (command_dup, command_setenv): cmd->env does not
	  need to be { NULL, NULL }-terminated.

Sun Aug 23 11:25:50 BST 2009  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Distribute gnulib/m4/gnulib-tool.m4.

Sun Aug 23 11:21:40 BST 2009  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Distribute gnulib/lib/xmalloc.patch.

Sun Aug 23 11:15:53 BST 2009  Colin Watson  <cjwatson@debian.org>

	* docs/man-db.lsm (Keywords): Add accessdb and lexgrog.

Sun Aug 23 11:14:04 BST 2009  Colin Watson  <cjwatson@debian.org>

	* docs/INSTALL.autoconf: Update to instructions from Autoconf 2.64.

Sun Aug 23 11:11:02 BST 2009  Colin Watson  <cjwatson@debian.org>

	* m4/man-bdb.m4: Bump serial, forgotten in most recent change.

Sun Aug 23 11:07:26 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/README: Update.

Sun Aug 23 10:56:50 BST 2009  Colin Watson  <cjwatson@debian.org>

	* docs/TODO: Remove entry about the other 'man' package; 'man -K'
	  was the last major missing feature relative to it.
	* docs/HACKING (Testing): Document new test suite.

Sun Aug 23 10:51:33 BST 2009  Colin Watson  <cjwatson@debian.org>

	* tools/README: Don't bother describing files installed here by the
	  autotools.

Sun Aug 23 10:47:16 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/README.zsoelim: Remove, merging text into ...
	* src/zsoelim.l: ... here.
	* src/Makefile.am (EXTRA_DIST): Remove README.zsoelim.

Sun Aug 23 10:36:28 BST 2009  Colin Watson  <cjwatson@debian.org>

	Remove the old set-id wrapper, which hasn't been recommended for
	several years now.

	* src/wrapper.c: Remove.
	* src/Makefile.am (noinst_PROGRAMS, wrapper_LDADD, wrapper_SOURCES):
	  Remove.

Sun Aug 23 10:26:32 BST 2009  Colin Watson  <cjwatson@debian.org>

	* README: Various minor updates.

Sun Aug 23 00:13:56 BST 2009  Colin Watson  <cjwatson@debian.org>

	* manual/Makefile.am (noinst_DATA): Move $(MANUAL).dvi to ...
	  (CLEANFILES): ... here.
	  (install-data-hook): Stop installing the DVI version of the manual
	  by default.

Sun Aug 23 00:07:03 BST 2009  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Add --enable-automatic-create,
	  --disable-automatic-update, and --disable-cats options.
	* include/manconfig.h.in (MAN_DB_CREATES, MAN_DB_UPDATES, MAN_CATS):
	  Remove.
	* manual/intro.me (Arguments to configure): Document new options.
	* manual/misc.me (Modes of operation): Adjust configuration advice
	  to use new configure options.
	* README (Non-generic arguments to configure): Update.
	* NEWS: Document this.

Sun Aug 23 00:04:56 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (command_setenv): New function, allowing
	  application code to ask for environment variables to be set when a
	  command is executed.
	  (command_new, command_new_function, command_dup, command_dump,
	  command_tostring, command_free): Handle new nenv, env_max, and env
	  members of 'struct command'.
	  (argstr_get_word): Add TODO comment for environment variable
	  support.
	  (pipeline_start): Set environment variables as requested.
	* lib/pipeline.h (struct command_env): New structure.
	  (struct command): Add nenv, env_max, and env members.
	  (command_setenv): Add prototype.
	* src/man.c (run_mandb): Set MAN_MUST_CREATE=1 environment variable
	  if create is true.
	* src/mandb.c (main): If --create was passed and no databases were
	  created, only exit non-zero if MAN_MUST_CREATE=1.

Sat Aug 22 15:34:15 BST 2009  Colin Watson  <cjwatson@debian.org>

	Cope with some more cases of database corruption (Debian bug
	#187750).

	* libdb/db_store.c (dbstore): Always replace existing keys once
	  we've decided we ought to. If the key already exists in the
	  database, then that probably indicates some kind of database
	  corruption, but our new key is almost certainly better.
	* src/check_mandirs.c (sanity_check_db): New function, checking
	  dbver_rd and ensuring that all keys have non-NULL content.
	  (update_db): Use sanity_check_db to decide whether an existing
	  database is OK.

	* src/accessdb.c (main): If we encounter a key with no content,
	  print a debugging message and continue as far as we can before
	  exiting non-zero, rather than just silently exiting non-zero
	  immediately.

Sat Aug 22 14:58:39 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/mandb-2: Run mandb with a clean path, and only on the
	  test manual page hierarchy (already done for the second instance,
	  but not the first).

Sat Aug 22 14:51:25 BST 2009  Yuri Kozlov  <yuray@komyakino.ru>

	* po/ru.po: Update from Translation Project.

Sat Aug 22 14:42:49 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): When trying the last source encoding in
	  the list, ignore characters not representable in UTF-8 (which
	  almost certainly means codepoints that do not exist in the source
	  encoding).
	* src/tests/manconv-2: Add test for this.

Thu Aug 20 23:52:28 BST 2009  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po: Update from Translation Project.

Thu Aug 20 15:17:54 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (MAX_NAME): Increase from 2048 to 8192, since some
	  manual pages with NAME sections exceeding 2048 bytes have been
	  observed in the wild (Debian bug #489907).

Thu Aug 20 15:05:38 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (check_preprocessor_encoding): Break coding tag
	  search loop if pp_search is NULL, fixing a segfault (introduced by
	  the fix for Debian bug #496604) if there is a preprocessor comment
	  line with no coding tag.
	* src/tests/manconv-1: Add a test for this bug.

Thu Aug 20 09:52:23 BST 2009  Colin Watson  <cjwatson@debian.org>

	* libdb/db_store.c (replace_if_necessary): Always replace if the
	  mtime of the new data is newer than that of the old data,
	  regardless of the id (Debian bug #490582).

	* src/tests/testlib.sh (next_second): New function.
	* src/tests/mandb-2: New test for this bug.
	* src/tests/Makefile.am (TESTS): Add mandb-2.

	* src/tests/mandb-1: Run mandb with a clean path, and only on the
	  test manual page hierarchy.

Thu Aug 20 07:47:02 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (run_mandb): If -C was given, pass it through to mandb.
	  (main): Treat the main configuration file as optional if -C was
	  given.

	* src/tests/testlib.sh (fake_config): Take the manual page
	  hierarchies to use as arguments.
	  (run_clean_path): New function.
	* src/tests/man-1: New test, for Debian bug #163347 (apparently
	  fixed some time back).
	* src/tests/Makefile.am (TESTS_ENVIRONMENT): Set CLEANPATH, so that
	  run_clean_path can run commands with a reduced PATH.
	  (TESTS): Add man-1.

Wed Aug 19 20:23:00 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (main): Treat the main configuration file as optional
	  if we're only producing user databases. This makes testing easier.

	* configure.ac, m4/man-bdb.m4 (MAN_CHECK_BDB): Define DBTYPE to
	  gdbm, ndbm, or btree, indicating the database type in use.

	* src/tests/testlib.sh (fake_config, db_ext, accessdb_filter): New
	  functions.
	* src/tests/mandb-1: New test.
	* src/tests/Makefile.am (TESTS_ENVIRONMENT): Set DBTYPE
	  appropriately in the test environment.
	  (TESTS): Add mandb-1.

Wed Aug 19 12:17:25 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/testlib.sh (write_page): New function.
	* src/tests/lexgrog-1: New (fairly trivial) test.
	* src/tests/Makefile.am (TESTS): Add lexgrog-1.

Wed Aug 19 00:10:58 BST 2009  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.6-pre1.
	* po/man-db.pot, po/*.po: Update.

Tue Aug 18 23:53:50 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/Makefile.am (dist_check_SCRIPTS): Distribute test files.

Tue Aug 18 23:39:28 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/Makefile: Remove; accidentally added to revision
	  control.
	* .bzrignore: Ignore src/tests/Makefile.

Tue Aug 18 09:47:50 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): Convert text to UTF-8 and then (if
	  necessary) to the target encoding. This allows us to distinguish
	  between "text not in input encoding" and "characters not
	  representable in output encoding" (Debian bug #514963).
	* src/tests/manconv-2: Add test for this and some other possible
	  encoding-handling bugs in manconv.
	* src/tests/Makefile.am (TESTS): Add manconv-2.
	* NEWS: Document this.

Mon Aug 17 18:32:04 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/testlib.sh (init): New function.
	  (finish): Honour TEST_FAILURE_KEEP environment variable.
	* src/tests/manconv-1: Use init function. Reverse diff arguments so
	  that failure output makes more sense.

Mon Aug 17 00:56:20 BST 2009  Colin Watson  <cjwatson@debian.org>

	* NEWS: Update.

Mon Aug 17 00:38:12 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (conversion_table): New table, with contents
	  mostly borrowed from groff's preconv.
	  (convert_encoding): New function.
	  (check_preprocessor_encoding): Loop through semicolon-separated
	  tags, and convert Emacs coding tags to ones that libiconv
	  understands (Debian bug #496604).
	* src/tests/manconv-1: Test multiple tags. Test coding aliases.

Sun Aug 16 23:52:38 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/testlib.sh: Add a simple test library, to be extended as
	  necessary.
	* src/tests/manconv-1: Use it.

Sun Aug 16 23:37:11 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/tests/manconv-1: Simple test for manconv's handling of
	  Emacs-style coding: tags.
	* src/tests/Makefile.am: New file.
	* src/Makefile.am (SUBDIRS): Add tests.
	* configure.ac (AC_CONFIG_FILES): Add src/tests/Makefile.
	* .bzrignore: Ignore src/tests/tmp-*.

Fri Aug 14 16:09:56 BST 2009  Colin Watson  <cjwatson@debian.org>

	* tools/chconfig: Make executable.

Fri Aug 14 12:20:16 BST 2009  Colin Watson  <cjwatson@debian.org>

	* manual/Makefile.am (install-data-hook, uninstall-hook):
	  Install/uninstall the manual into/from $(docdir).

Fri Aug 14 12:18:43 BST 2009  Colin Watson  <cjwatson@debian.org>

	* docs/Makefile.am (dist_noinst_DATA): Move NEWS to ...
	* Makefile.am (dist_noinst_DATA): ... here.

Fri Aug 14 11:50:27 BST 2009  Colin Watson  <cjwatson@debian.org>

	Move ChangeLog and NEWS to their more conventional location at the
	top level.

	* docs/ChangeLog: Move to ...
	* ChangeLog: ... here.
	* docs/NEWS: Move to ...
	* NEWS: ... here.
	* README, docs/HACKING (Revision control, Release process),
	  src/check_mandirs.c: Update references.

Fri Aug 14 11:43:41 BST 2009  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Use silent rules by default if Automake 1.11 is
	  available.
	* man/Rules.man (replace.sed, .man1.1, .man5.5, .man8.8): Be quieter
	  in silent mode.

	Upgrade to Autoconf 2.64, Automake 1.11, and Gnulib 20090801.

Mon Aug  3 17:13:19 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (less_charset_table): Add CP1251 -> windows, per
	  less(1) (Debian bug #539690).

Wed Jul 22 10:48:10 BST 2009  Colin Watson  <cjwatson@debian.org>

	Make whatis/apropos only display any given manual page, or pointers
	to it, once (Ubuntu bug #27113).

	* lib/hashtable.c (hash_lookup_structure): Make external.
	* lib/hashtable.h (hash_lookup_structure): Add prototype.
	* src/whatis.c (get_whatis): Split pointer resolution out to ...
	  (resolve_pointers): ... here. Only accept info->pointer == page if
	  info->name == page too.
	  (display): Use resolve_pointers so that we have the resolved name
	  to hand. Only display any given resolved name once.
	  (main): Initialise display_seen hash table.
	* docs/NEWS: Document this.

Tue Jul 21 22:05:01 BST 2009  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Fix typo.

Tue Jul 21 15:17:49 BST 2009  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (Controlling formatted output, ENVIRONMENT):
	  Explicitly state that -P/$PAGER/$MANPAGER identifies a single
	  command with no pipes (Debian bug #363250).

Mon Jul 20 10:59:00 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (locale_macros): Fix groff version test not to think
	  that 1.20.1 >= 1.20.2.

Tue Jul 14 22:48:56 BST 2009  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Add -Wredundant-decls to CFLAGS.
	* lib/tempfile.c: Remove redundant declarations of mkstemp and
	  mkdtemp.
	* src/manp.c: Remove redundant and unused declaration of
	  program_name.
	* src/zsoelim.l: Add never-interactive option, partly because that's
	  reasonably accurate anyway and partly to suppress flex's redundant
	  declaration of isatty.

Mon Jul 13 13:40:17 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (options, parse_opt): New --no-subpages option.
	  (main): Try pairing up manual page names with hyphens unless
	  --no-subpages was given.
	* ma/man1/man.man1 (SYNOPSIS, Finding manual pages): Document
	  --no-subpages.
	* docs/NEWS: Document this.

Mon Jul 13 01:17:41 BST 2009  Colin Watson  <cjwatson@debian.org>

	* README (Copyright and licensing): Update copyright years.

Mon Jul 13 00:48:32 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (get_less_charset, get_jless_charset): Cope with
	  locale_charset being NULL; loosely based on a patch posted to
	  mingw-msys by Mark Junker
	  (http://osdir.com/ml/gnu.mingw.msys/2005-06/msg00012.html).

Sun Jun 28 17:56:49 BST 2009  Colin Watson  <cjwatson@debian.org>

	Don't create unnecessary database directories (Debian bug #472919).

	* src/check_mandirs.c (testmandirs): Add catpath and create
	  arguments. Create the database when it first seems to be needed.
	  Use mkcatdirs rather than make_database_directory.
	  (make_database_directory): Remove.
	  (create_db): Add catpath argument. Don't create the database here;
	  let testmandirs do it when needed instead.
	  (update_db): Add catpath argument. Don't create the database
	  directory; either it exists already in which case there's nothing
	  to do, or it's missing in which case there'll be no database to
	  update anyway.
	* src/check_mandirs.h (create_db, update_db): Update prototypes.
	* src/mandb.c (update_db_wrapper): Add catpath argument.
	  (mandb): Update calls to functions that now take the catpath too.
	* src/manp.c (add_mandb_map): Don't create the cat hierarchy here;
	  testmandirs will do it on demand.
	  (mkcatdirs): Make external for use by check_mandirs.c.
	* src/manp.h (mkcatdirs): Add prototype.
	* docs/NEWS: Document this.

Sun Jun 28 16:33:24 BST 2009  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (DESCRIPTION): Note that the exact rendering of
	  (e.g.) italic text may vary depending on the output device (Debian
	  bug #516808).

Sun Jun 28 16:21:34 BST 2009  Colin Watson  <cjwatson@debian.org>

	Implement 'man -K', which was the last major remaining missing
	feature when comparing man-db with the man package (Debian bug
	#135926, Ubuntu bug #390575).

	* src/man.c (options, parse_opt): New -K/--global-apropos option.
	  (main): Handle --global-apropos.
	  (locate_page): Skip database lookups in --global-apropos mode.
	  (grep, do_global_apropos_section, do_global_apropos): New
	  functions.
	* src/man.h (do_global_apropos): Add prototype.
	* man/man1/man.man1 (SYNOPSIS, Main modes of operation): Document
	  -K/--global-apropos.
	* docs/NEWS: Document this.

Sun Jun 28 10:31:16 BST 2009  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: po4a 0.36 tags
	  "type:" comments as extracted comments rather than translator
	  comments. Upgrade our .pot and .po files to match.

Sun Jun 28 02:04:55 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (get_nls_manpath): Close mandir, fixing a memory leak.

Sun Jun 28 01:47:51 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_free): Free buffer and line_cache.

Sun Jun 28 01:40:24 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (get_line): Limit newline search to the data length
	  returned by get_block, fixing an assertion failure.
	* docs/NEWS: Document this.

Mon Jun 22 08:02:55 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/descriptions.c (parse_descriptions): Strip leading and
	  trailing whitespace from name tokens before checking whether they
	  contain whitespace.
	* docs/NEWS: Document this.

Sun Jun 21 02:55:56 BST 2009  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Document previous change.

Sun Jun 21 02:20:22 BST 2009  Colin Watson  <cjwatson@debian.org>

	* libdb/db_lookup.c (dblookup): In exact mode, make sure extensions
	  match exactly, rather than merely that the extension found is a
	  prefix of that which was requested (Arch Linux bug #14467).

Sun Jun 21 02:00:31 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/ult_src.c (ult_src): Keep a copy of base before passing it to
	  decompress_open, as that function doesn't keep its own copy and we
	  may change base later.

Sat Jun 20 21:26:02 BST 2009  Colin Watson  <cjwatson@debian.org>

	* libdb/db_store.c (replace_if_necessary): Prevent misleading
	  debugging message: don't say "ignoring differing ids" if the new
	  id was preferred and we attempted a replacement.

Sat May 30 12:50:44 BST 2009  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_start): Check the return value of nice.

	* include/manconfig.h.in (create_tempdir): Warn if the result is not
	  used.
	* lib/tempfile.c (create_tempdir): Check the return value of
	  mkdtemp.
	* src/man.c (format_display): Check the return value of
	  create_tempdir.

Sat May 30 13:37:58 CEST 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_roff_command): Initialise page_encoding.

Wed May 13 18:28:44 BST 2009  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to 20090501.
	* tools/config.guess, tools/config.sub: Update.

Wed Apr 22 15:50:51 BST 2009  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (lt_name): Add.

Wed Apr 15 00:34:06 BST 2009  Colin Watson  <cjwatson@debian.org>

	* man/it/man1/whatis.man1 (STATI D'USCITA): Fix section heading
	  (formerly "STATI D?USCITA") to match man(1) and apropos(1).
	  Reported by Ken Moffat.

Wed Apr 15 00:33:16 BST 2009  Colin Watson  <cjwatson@debian.org>

	* man/check-man: Set MAN_KEEP_FORMATTING=1, since a UTF-8-aware col
	  (such as that in util-linux-ng) will object to being asked to
	  process non-ASCII text under LC_ALL=C. Reported by Ken Moffat.
	* docs/NEWS: Document this.

Wed Apr 15 00:31:00 BST 2009  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Start 2.5.6.

Wed Apr 15 00:22:54 BST 2009  Colin Watson  <cjwatson@debian.org>

	* .bzrignore: Ignore gnulib/lib/glthread/.deps and
	  gnulib/lib/glthread/.dirstamp.

Wed Apr 15 00:20:45 BST 2009  Colin Watson  <cjwatson@debian.org>

	Upgrade to Autoconf 2.63, Automake 1.10.2, and Gnulib 20090401.

Tue Apr 14 23:59:40 BST 2009  Colin Watson  <cjwatson@debian.org>

	Call gnulib-tool after autopoint, and only use the gettext macros
	supplied via gnulib. This is required to work properly with current
	versions of gettext and gnulib; see
	http://lists.gnu.org/archive/html/bug-gnulib/2009-03/msg00154.html
	and thread.

	* autogen.sh: If gnulib-tool is installed, call autopoint first and
	  prevent autoreconf from calling it later. Remove special handling
	  of tools/config.rpath, which is not necessary with this approach.
	* Makefile.am (ACLOCAL_AMFLAGS): Put gnulib/m4 before m4, so that
	  autopoint puts its macros in gnulib/m4 (later overwritten by
	  gnulib-tool).

Mon Mar 23 14:32:25 GMT 2009  Arif E. Nugroho  <arif_endro@yahoo.com>

	* po/id.po, man/po4a/po/id.po: Update from Translation Project.

Wed Mar 18 01:10:50 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Revision control): Moved bzr archive to Savannah;
	  update URLs and note that this now allows access to other members
	  of the man-db group on Savannah.

Mon Mar 16 11:42:35 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* Makefile.am (EXTRA_DIST): Distribute gnulib/m4/gnulib-cache.m4.

Mon Mar 16 10:39:40 GMT 2009  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po: Update from Translation Project.

Sun Mar 15 13:13:40 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Apparently some packages ship section 0 manual pages documenting C
	library header files. See http://bugs.archlinux.org/task/13734 and
	http://en.wikipedia.org/wiki/Manual_page_(Unix).

	* configure.ac (--with-sections): Add section 0 between 3 and 2.
	* man/man5/manpath.man5 (FORMAT): Update documentation of SECTION.
	* src/man_db.conf.in (SECTION): Update documentation.

Sun Mar 15 01:08:16 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import the sigaction, signal, and sigprocmask modules.

Sat Mar 14 22:44:33 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.5.

Sat Mar 14 22:42:39 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* man/check-man: Ignore "cannot adjust line" and "can't break line"
	  groff warnings for all languages, not just CJK; long
	  %manpath_config_file% values during 'make distcheck' cause
	  problems here at the moment.

Sat Mar 14 18:51:22 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* man/check-man: Force MANWIDTH to 80. Ignore "table wider than line
	  width" warnings from groff >= 1.20 for now.

Sat Mar 14 18:34:26 GMT 2009  Arif E. Nugroho  <arif_endro@yahoo.com>

	* man/po4a/po/id.po: Update from Translation Project.

Sat Mar 14 13:54:13 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* man/Makefile.am (EXTRA_DIST): Distribute check-man.

	* src/manp.c (read_config_file): Add argument to control whether the
	  main configuration file is optional. Use a static variable to
	  track whether we've been called already.
	  (get_manpath): read_config_file will keep track of whether it's
	  been called already for itself. Pass new argument.
	* src/manp.h (read_config_file): Update prototype.
	* src/man.c (main): Treat the main configuration file as optional if
	  -l was given, since in that case we can get by well enough without
	  it. This makes it easier to run 'make check' without first running
	  'make install'.

Sat Mar 14 12:07:58 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Start 2.5.5.

Sat Mar 14 00:29:51 GMT 2009  Dustin Marquess  <dmarquess@gmail.com>

	* src/man.c (sort_candidates): Initialise count (Debian bug
	  #519647).

Tue Mar 10 23:46:08 GMT 2009  Will Day  <wd+debianbugs@hpgx.net>

	* man/man1/man.man1 (Controlling formatted output): Fix missing
	  backslash in -r default (Debian bug #519162).
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po: Update.

Tue Mar 10 23:24:27 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Fix handling of pages that declare a non-default encoding in their
	preprocessor lines. Thanks to Hugo Herbelin for some of the ideas
	here (Debian bug #519095).

	* src/encodings.c (get_source_encoding): Note that this function
	  should only be called if the page encoding is UTF-8. Add another
	  example.
	* src/manconv.c (check_preprocessor_encoding): Move to ...
	* src/encodings.c (check_preprocessor_encoding): ... here.
	* src/encodings.h (check_preprocessor_encoding): Add prototype.
	* src/man.c (make_roff_command): Use preprocessor-declared encoding
	  as page_encoding if known. Set source_encoding to page_encoding
	  unless the latter is UTF-8.
	* src/Makefile.am (manconv_SOURCES): Add encodings.c.

	* src/encodings.c (charset_table): Use ISO-8859-15 -> latin1 entry
	  only in the !MULTIBYTE_GROFF case; true ISO-8859-15 pages are
	  better handled using ascii8 or preconv if possible.

Tue Mar 10 14:11:14 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/zsoelim.l (zsoelim_parse_file): Put the initial .lf request
	  after any initial comment line, so that manconv can find encoding
	  instructions more easily.

Mon Mar  9 11:32:19 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* man/check-man: Check that a manual page formats without errors;
	  inspired by Lintian.
	* man/Rules.man: Run check-man over all manual pages during 'make
	  check'.

Mon Mar  9 10:47:08 GMT 2009  Arif E. Nugroho  <arif_endro@yahoo.com>

	* man/po4a/po/id.po: Update from Translation Project.

Tue Feb 24 01:06:46 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.4.
	* po/man-db.pot, po/*.po: Update.

Tue Feb 24 01:00:56 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/id.po: Fix groff syntax error.

Mon Feb 23 22:37:36 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Sending patches): Refer to new man-db-devel mailing
	  list.

Mon Feb 23 22:29:43 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Things to do): Improve bug tracking system link.

Mon Feb 23 22:17:50 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (locale_macros, display): Only load per-locale groff
	  macros if preconv is available, since those macros may change the
	  assumed input encoding.

Mon Feb 23 22:11:56 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Update.

Sat Feb 21 12:01:55 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Load per-locale groff macros if possible. This only works with groff
	1.20.2 (as yet unreleased) or better, since that introduces
	facilities to allow us to avoid an error message if there is no
	macro file for the relevant locale.

	* src/man.c (locale_macros): New function.
	  (display): Check the page language, and add locale_macros to the
	  formatting pipeline provided that the language is not empty or
	  "C".

Fri Feb 20 09:58:13 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Partially rewrite building of manpath according to locale. The
	previous code was completely wrong: as well as handling duplicates
	rather oddly, it effectively handled LANGUAGE in reverse order
	(Debian bug #516133).

	* src/manp.c (add_nls_manpath): Rename to ...
	  (get_nls_manpath): ... this. Some minor adjustments. Make
	  manpathlist argument const and always return a freshly-allocated
	  string. Explicitly add the top-level directory to the string in
	  the case of English locales (although we still look for
	  subdirectories in case of things like en_GB.UTF-8); C and POSIX
	  already just return a copy of manpathlist.
	  (add_nls_manpaths): New function to iterate over a colon-separated
	  list of locales, concatenating the result of get_nls_manpath for
	  each. Stop worrying about deduplication at this point as we used
	  to; instead, we let create_pathlist sort that out.
	  (create_pathlist): Keep the first of any set of duplicates rather
	  than the last, in order to keep item order stable.
	* src/manp.h (add_nls_manpath): Remove prototype.
	  (add_nls_manpaths): Add prototype.
	* src/man.c (main), src/whatis.c (main): Call add_nls_manpaths
	  rather than add_nls_manpath, with appropriate adjustments.

	* src/man.c (main), src/whatis.c (main): Don't set internal_locale
	  to the first component of multiple_locale. We will account for
	  this in search paths, but shouldn't forget about internal_locale
	  entirely.

Thu Feb 19 21:50:44 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (add_to_manpath): Remove; this just called pathappend
	  with the same arguments and so is pointless cruft.
	  (add_nls_manpath): Update all callers.

Tue Feb 17 00:49:28 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Check for gpreconv/preconv properly, i.e. by using
	  AC_CHECK_PROGS rather than by using 'which'.

Mon Feb 16 01:45:59 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Update.

Mon Feb 16 00:49:47 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_roff_command): If we have preconv, it's silly to
	  recode to the assumed page encoding and risk problems with
	  characters unrepresentable in that encoding; we might as well just
	  recode to UTF-8 and feed that to preconv.

Mon Feb 16 00:39:22 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_roff_command): Append //TRANSLIT to iconv -t
	  argument (specifically, so that hyphens get properly
	  transliterated when using preconv and groff -Tutf8 in a non-UTF-8
	  locale; thanks, Matthew Burgess and Alexander Patrakov).

Mon Feb 16 00:20:07 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Check for gpreconv/preconv, which is evidence of a
	  version of groff supporting Unicode input, and therefore good
	  enough to assume --enable-mb-groff (thanks, Matthew Burgess).

Sun Feb 15 23:48:51 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/man.c (compare_candidates): Remove obsolete first-pass
	  language code comparison. Language codes are already handled by
	  later code here, and this comparison caused English pages to be
	  preferred over pages for languages whose names sort later than
	  "man".

Thu Feb 12 11:23:19 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* src/manconv_main.c (main): Correct error message if the given
	  filename cannot be opened.

Wed Feb  4 13:53:47 CET 2009  Yuri Kozlov  <yuray@komyakino.ru>

	* man/po4a/po/ru.po: Update from Translation Project (trivial).

Sun Feb  1 16:40:16 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Directory layout): Mention gnulib.

Sun Feb  1 16:36:01 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* lib/linelength.c (get_line_length): Use line length from standard
	  input, but only if standard output is not a terminal; this allows
	  commands such as 'MAN_KEEP_STDERR=1 man foo >/dev/null' to report
	  errors based on the current line length.

Sat Jan 31 12:20:42 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Update.

Sat Jan 31 12:14:10 GMT 2009  Arif E. Nugroho  <arif_endro@yahoo.com>

	* po/id.po: Update from Translation Project.

Tue Jan 27 09:54:25 GMT 2009  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project (trivial).

Tue Jan 27 09:52:18 GMT 2009  Erwin Poeze  <erwin.poeze@gmail.com>

	* po/nl.po: Update from Translation Project.
	* man/THANKS: Update.

Mon Jan 26 13:40:30 GMT 2009  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Mon Jan 26 13:38:11 GMT 2009  Robert Luberda  <robert@debian.org>

	* po/pl.po, man/po4a/po/pl.po: Update from Translation Project.

Sun Jan 18 23:27:11 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* lib/linelength.c (get_line_length): Line length is a property of
	  output, not input, so only check whether standard output is a
	  terminal, not also standard input (Debian bug #512233).

Thu Jan 15 16:04:01 GMT 2009  Colin Watson  <cjwatson@debian.org>

	* po/Makevars (XGETTEXT_OPTIONS): Add --flag=debug:1:c-format
	  --flag=debug_error:1:c-format.

Thu Jan 15 00:00:05 GMT 2009  Colin Watson  <cjwatson@debian.org>

	Update manual page search order to permit FHS-compliant installation
	of packages in /opt. Reported by Matt Domsch.

	* src/manp.c (has_mandir): Use xasprintf rather than clumsier
	  xmalloc/strncpy/strcpy combination. Try ../share/man and share/man
	  subdirectories too.
	  (get_manpath_from_path): Update header comment and debug output.
	* manual/files.me (Determination of the internal manpath): Update
	  description of directory search order.
	* docs/NEWS: Document this.

Mon Jan  5 17:47:55 GMT 2009  Yuri Kozlov  <kozlov.y@gmail.com>

	* po/ru.po, man/po4a/po/ru.po: Update from Translation Project.

Mon Jan  5 17:35:02 GMT 2009  Arif E. Nugroho  <arif_endro@yahoo.com>

	* man/po4a/po/id.po: Update from Translation Project.

Wed Dec 31 12:28:55 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Trust the database if it tells us that a page is ULT_MAN (i.e. not a
	hard link, symbolic link, or .so link), and avoid passing the
	SO_LINK flag to ult_src which requires it to open the page to look
	for .so links. Produces roughly a threefold speed improvement for
	searches with thousands of results.

	* src/man.c (get_ult_flags): New function.
	  (add_candidate, display_database): Use it.

Wed Dec 31 11:51:41 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Sort manual page candidates in one go just before displaying them,
	rather than insertion-sorting them along the way. Produces, very
	roughly, a 25% speed improvement for searches with many results
	(e.g. with --regex).

	* src/man.c (duplicate_candidates, compare_candidates): Simplify
	  interface by passing 'struct candidate' for both sides.
	  (compare_candidates): Explicitly stabilise the comparison as a
	  last resort, using a new add_index member.
	  (compare_candidates_qsort, free_candidate): New functions.
	  (add_candidate): Adjust calls to duplicate_candidates and
	  compare_candidates, requiring us to create the candidate structure
	  earlier. Note that the search produces quadratic-time behaviour.
	  Only compare candidates in cases of duplicates; otherwise just add
	  them to the end of the list and defer sorting until later. Use
	  free_candidate to free search->ult as well as search when freeing
	  superseded duplicates.
	  (sort_candidates): New function.
	  (man): Sort candidates before displaying them.

Tue Dec 30 13:08:35 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.4-pre2.
	* po/man-db.pot, po/*.po: Update.

Tue Dec 30 12:55:59 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man5/manpath.man5 (FORMAT): Add space between
	  "MINCATWIDTH"/"MAXCATWIDTH"/"CATWIDTH" and "width".
	* man/po4a/po/id.po: Unfuzzy translations.

Tue Dec 30 12:52:26 GMT 2008  Arif E. Nugroho  <arif_endro@yahoo.com>

	* po/id.po, man/po4a/po/id.po: Update from Translation Project.

Sun Dec 28 00:27:23 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.4-pre1.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/*.po, po/man-db.pot,
	  po/*.po: Update.

Sun Dec 28 00:17:45 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/Makefile.am (PO4A_ARGS): Always generate output files
	  even if poorly translated, since Automake's generated rules will
	  get upset otherwise.

Sat Dec 27 23:47:19 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/Makefile.am (dist-hook): Update PO and POT files on 'make
	  dist'.

Sat Dec 27 23:42:53 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (Controlling formatted output): Hide ".B
	  \-\-no\-hyphenation" from po4a.

Sat Dec 27 11:38:43 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Start 2.5.4.

Sat Dec 27 00:00:01 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Add option to disable hyphenation (Debian bug #166701).

	* src/man.c (options, parse_opt): Accept --no-hyphenation. Reset
	  corresponding variable with -D.
	  (disable_hyphenation): New function.
	  (display): Append disable_hyphenation to the decompressor pipeline
	  if --no-hyphenation is used.
	* man/man1/man.man1 (SYNOPSIS, Controlling formatted output):
	  Document --no-hyphenation.

Thu Dec 25 22:09:01 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Add regular expression and shell wildcard search facilities to man
	(Debian bug #461319).

	* src/whatis.c (lower): Move to ...
	* lib/lower.c: ... here, with optimisation from name_to_key. New
	  file.
	* lib/lower.h: New file.

	* src/whatis.c (word_fnmatch): Move to ...
	* lib/wordfnmatch.c: ... here, with more generic argument names. New
	  file.
	* lib/wordfnmatch.h: New file.

	* src/whatis.c (main): Factor regcomp error handling out to ...
	* lib/xregcomp.c: ... here. New file.
	* lib/xregcomp.h: New file.

	* lib/Makefile.am (libman_a_SOURCES): Add lower.c, lower.h,
	  wordfnmatch.c, wordfnmatch.h, xregcomp.c, and xregcomp.h.
	* po/POTFILES.in: Add lib/xregcomp.c; remove src/globbing.c.

	* libdb/db_lookup.c (name_to_key): Use lower.
	  (dblookup_pattern): New function.
	* libdb/db_storage.h (dblookup_pattern): Add prototype.
	* src/globbing.c (end_pattern): Rename to ...
	  (make_pattern): ... this. Create the whole pattern rather than
	  merely appending section or extension components. Handle regexes
	  if the new opts argument has the LFF_REGEX bit set.
	  (match_in_directory): Take an opts disjunction rather than a
	  boolean ignore_case argument; ignore_case is replaced by the
	  LFF_MATCHCASE bit being unset. Handle regexes if opts has the
	  LFF_REGEX bit set.
	  (look_for_file): Take an opts disjunction rather than a boolean
	  match_case argument; match_case is replaced by the LFF_MATCHCASE
	  bit being set. Handle regexes if opts has the LFF_REGEX bit set.
	  Handle shell wildcards if opts has the LFF_WILDCARD bit set (which
	  simply means not shell-escaping unesc_name). Call make_pattern
	  rather than end_pattern (with appropriate adjustments).
	* src/globbing.h (enum look_for_file_opts): New enumeration.
	  (look_for_file): Update prototype.
	* src/globbing_test.c (options, parse_opt): Accept -r/--regex and
	  -w/--wildcard.
	  (main): Update look_for_file arguments, including passing
	  LFF_REGEX or LFF_WILDCARD if the corresponding options are used.
	* src/check_mandirs.c (purge_whatis, purge_missing), src/zsoelim.l
	  (zsoelim_open_file): Update look_for_file arguments.
	* src/whatis.c (main): Only free preg if a regular expression was
	  compiled into it in the first place.

	* src/man.c (options, parse_opt): Accept --regex, --wildcard, and
	  --names-only. Reset corresponding variables with -D. Refuse to
	  accept both --regex and --wildcard.
	  (try_section): Update look_for_file arguments, including passing
	  LFF_REGEX or LFF_WILDCARD if the corresponding options are used.
	  (try_db): Use dblookup_pattern if --regex or --wildcard is used,
	  with corresponding options.
	* man/man1/man.man1 (SYNOPSIS, Finding manual pages): Document
	  --regex, --wildcard, and --names-only.

Tue Dec 23 11:17:01 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Sync supported language list with Fedora's patch to man
	(http://cvs.fedora.redhat.com/viewvc/rpms/man/F-10/man-1.6b-i18n_nroff.patch?view=markup,
	with corrections based on /usr/share/i18n/SUPPORTED).

	* src/encodings.c (directory_table): Add Estonian -> ISO-8859-1,
	  Belarusian -> CP1251, Greek -> ISO-8859-7, Lithuanian ->
	  ISO-8859-13, Latvian -> ISO-8859-13, Macedonian -> ISO-8859-5,
	  Romanian -> ISO-8859-2, Slovenian -> ISO-8859-2, and Ukrainian ->
	  KOI8-U.
	  (charset_alias_table): Map KOI8U to KOI8-U.
	  (less_charset_table): Map KOI8-U to koi8-r (possibly not quite
	  right but with any luck good enough).

Mon Dec  8 13:08:22 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* libdb/db_store.c (compare_ids): If the promote_links argument is
	  true, consider SO_MAN equivalent to ULT_MAN.
	  (replace_if_necessary): Update call to compare_ids.
	* libdb/db_storage.h (compare_ids): Update prototype.
	* src/man.c (compare_candidates): Consider SO_MAN equivalent to
	  ULT_MAN for the purposes of sorting candidate pages for display
	  (Debian bug #384301).

Mon Dec  8 10:08:45 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Improve sorting and de-duplication of manual page candidates (Debian
	bugs #389762 and #496172).

	* src/man.c (struct candidate): Add ult member.
	  (duplicate_candidates): Pare down to only check for duplication
	  rather than trying to compare as well; the latter function is now
	  handled entirely by compare_candidates. Compare the ultimate
	  source file as the first test.
	  (compare_candidates): Compare locale elements in candidate paths
	  before comparing sections.
	  (add_candidates): Look up the ultimate source file if necessary,
	  and save it in the candidate structure. Use duplicate_candidates
	  for duplicate testing only and compare_candidates for comparison.
	  Insert elements at the latest possible position rather than the
	  earliest possible.
	  (try_section): Pass the ultimate source file that was already
	  looked up here.
	  (try_db): Adjust for new add_candidate signature.

Sun Dec  7 17:43:21 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Make handling of terminal widths for cat pages configurable (Debian
	bug #121997).

	* src/manp.c (add_to_dirlist): Recognise new MINCATWIDTH,
	  MAXCATWIDTH, and CATWIDTH directives.
	* src/man_db.conf.in: Add MINCATWIDTH, MAXCATWIDTH, and CATWIDTH.
	* src/man.c (get_roff_line_length): Use CATWIDTH rather than the
	  terminal width if the former is non-zero.
	  (add_roff_line_length): Check the terminal width against
	  MINCATWIDTH and MAXCATWIDTH rather than checking whether it
	  differs from groff's default (via get_roff_line_length). Allow cat
	  page saving regardless in catman mode.
	  (make_roff_command): Forbid saving cat pages in troff mode here
	  rather than via add_roff_line_length/get_roff_line_length.
	* man/man5/manpath.man5 (FORMAT): Document MINCATWIDTH, MAXCATWIDTH,
	  and CATWIDTH.

Sun Dec  7 17:17:34 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man5/manpath.man5 (FORMAT): Document SECTION.

Sat Dec  6 22:57:14 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Reorganise lexgrog to stop on any unrecognised roff request, rather
	than continuing and often littering the database with garbage
	(Debian bug #271402). This also involved extending lexgrog to
	recognise some additional requests.

	* src/lexgrog.l (word): New definition.
	  (typeface): Add .SB and .SM.
	  (MAN_PRENAME): Go straight to MAN_REST on encountering a section
	  request or EOF. Go to MAN_NAME on encountering roff requests that
	  would ordinarily be processed and removed. Skip over any other
	  roff requests, including spacing and comments.
	  (MAN_NAME): Process .Tn and .Nm by handling their arguments as
	  text. Process .At, .Bsx, .Bx, .Fx, .Nx, .Ox, and .Ux by inserting
	  the appropriate text (introducing several new mini-scanners).
	  Process .Dq by surrounding its arguments by double quotes. Go to
	  MAN_REST on encountering any unrecognised roff request.
	  (add_wordn_to_whatis, add_word_to_whatis, mdoc_text): New
	  functions to support scanning of .At and friends.

Fri Dec  5 22:27:03 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man8/mandb.man8 (FILES): List FHS database cache location
	  first, and indicate more clearly that the others are old locations
	  (from a comment in Debian bug #243763).

Fri Dec  5 13:52:14 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Make it possible to override man's default of discarding stderr when
	stdout is a terminal (Debian bug #480996).

	* src/man.c (discard_stderr): Make static.
	  (maybe_discard_stderr): New function, checking MAN_KEEP_STDERR.
	  (format_display_and_save, format_display, display_catman): Use
	  maybe_discard_stderr.
	* man/man1/man.man1 (ENVIRONMENT): Document this.

Thu Dec  4 15:03:08 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Exit as soon as possible if database writes return ENOSPC (Debian
	bug #167159).

	* src/check_mandirs.c (testmandirs, create_db, update_db,
	  purge_normal, purge_whatis, check_multi_key, purge_missing):
	  Return int rather than short, to make space for -errno.
	* src/mandb.c (update_one_file, update_db_wrapper, mandb,
	  process_manpath): Likewise.
	* src/check_mandirs.h (create_db, update_db, purge_missing): Update
	  prototypes.

	* src/check_mandirs.c (create_db): Return -errno for database open
	  errors other than EACCES and EROFS.
	* src/mandb.c (mandb): Return early on errors from create_db and
	  update_db_wrapper. Propagate errors from xcopy as well as
	  returning early.
	  (process_manpath): Return early on errors from mandb.
	  (main): Exit FATAL on errors from process_manpath.

Wed Dec  3 10:54:53 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* libdb/db_lookup.c (make_content): Cast time_t value to long before
	  trying to print as %ld.

	* libdb/db_ndbm.c (ndbm_flclose, ndbm_flopen): Rename dbf to db to
	  avoid shadowing a global variable.
	* libdb/mydbm.h: Update prototypes and gdbm/ndbm macros likewise.

Wed Dec  3 10:45:07 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* lib/Makefile.am (libman_a_CPPFLAGS), libdb/Makefile.am
	  (libmandb_a_CPPFLAGS), src/Makefile.am (AM_CPPFLAGS): Add
	  -I$(top_builddir)/intl.

Wed Dec  3 10:38:33 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import the gettext module. The practical effect of this is
	  to get the intl directory included while compiling files in
	  gnulib/lib.
	* autogen.sh: Prefer gnulib's version of tools/config.rpath over
	  gettext's.

Wed Dec  3 10:17:50 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* m4/man-po4a.m4 (MAN_PO4A): Define a PO4A Automake conditional
	  (again).
	* man/po4a/Makefile.am: Define all-local, update-po, and clean-local
	  rules only if PO4A is set, so that (in particular) distclean works
	  if po4a isn't installed.

Tue Dec  2 16:25:53 GMT 2008  Arif E. Nugroho  <arif_endro@yahoo.com>

	* man/po4a/po/id.po: Update from Translation Project (trivial).

Tue Dec  2 14:50:12 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/id.po: New from Translation Project (thanks, Arif E.
	  Nugroho).
	* configure.ac (AC_CONFIG_FILES): Add man/id/Makefile.
	* man/Makefile.am (DIST_SUBDIRS): Add id.
	* man/id/Makefile.am: New file.
	* man/po4a/Makefile.am (POFILES): Add po/id.po.
	* man/po4a/po4a.cfg (po4a_langs): Add id.
	* man/THANKS: Credit Arif E. Nugroho with man/id as well as id.po.
	* .bzrignore: Add man/id/man1, man/id/man5, and man/id/man8.

Mon Nov 17 19:26:50 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Now that we use the ISO 8601 date format rather than
	  language-specific date variants, there's no reason to call out to
	  date (using options specific to GNU date) to format the date
	  string, so just hardcode it.
	* docs/HACKING (Release process): datemark -> date.

Mon Nov 17 17:55:35 GMT 2008  Colin Watson  <cjwatson@debian.org>

	FreeBSD build fixes.

	* man/Rules.man (replace.sed): Spell out
	  $(top_builddir)/man/replace.sin in full since $< is unspecified in
	  target rules.
	* src/Makefile.am (accessdb_LDADD, catman_LDADD, globbing_LDADD,
	  lexgrog_LDADD, man_LDADD, manconv_LDADD, mandb_LDADD,
	  manpath_LDADD, whatis_LDADD, wrapper_LDADD, zsoelim_LDADD): Add
	  @LIBINTL@.
	  (apropos$(EXEEXT)): Remove target before creating symlink. Spell
	  out whatis$(EXEEXT) in full since $< is unspecified in target
	  rules.

	* src/check_mandirs.c (testmandirs): Cast time_t values to long
	  before trying to print as %ld.
	* src/descriptions.c (parse_descriptions): Rename base_name to base
	  and seen_base_name to seen_base.
	* src/descriptions_store.c (store_descriptions): Rename base_name to
	  base.
	* src/descriptions.h (parse_descriptions, store_descriptions):
	  Update prototypes.

Mon Nov 17 11:44:17 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.3.
	* po/man-db.pot, po/*.po: Update.

Mon Nov 17 11:07:50 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (command_new_function): Initialise discard_err.
	  (pipeline_start): Zero-initialise pids and statuses arrays on
	  allocation, and don't unblock SIGCHLD until after doing so.
	* src/manconv.c (manconv): Don't free elements of from here, as when
	  called from manconv_stdin they will be freed by
	  free_manconv_codes.
	* src/manconv_main.c (main): Free elements of from_code here
	  instead.

Mon Nov 17 10:45:55 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* libdb/db_storage.h (infoalloc): Implement as a macro rather than
	  as an inline function; seems to cause fewer problems when building
	  without optimisation.

Mon Nov 17 10:18:10 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* m4/longdouble.m4: Remove; gettext no longer installs this.
	* man/Makefile.am (EXTRA_DIST): Distribute LINGUAS and LINGUAS.po4a.

Mon Nov 17 09:59:19 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* release.sh: Use 'make distcheck' rather than 'make dist'.

Mon Nov 17 01:13:17 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* po/POTFILES.in: Add src/manconv_main.c and src/zsoelim_main.c.
	* po/man-db.pot, po/*.po: Update.

Mon Nov 17 00:53:33 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Update.

Mon Nov 17 00:39:14 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_wait): Mangle return value into a value
	  suitable for passing to exit (Debian bug #477305).

Mon Nov 17 00:06:28 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Make bare .so includes (e.g. ".so foo.1" rather than ".so
	man1/foo.1") work, although only within the same manual page
	hierarchy for now. Reported by Mike Frysinger; partially fixes
	Debian bug #503472.

	* src/zsoelim.l (zsoelim_open_file): Attempt to handle bare .so
	  includes using look_for_file.
	* src/Makefile.am (zsoelim_SOURCES): Add globbing.c, globbing.h, and
	  util.c.

Sun Nov 16 23:34:02 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Improve handling of systems without internationalisation support.
	Reported by Mike Frysinger.

	* include/manconfig.h.in (locale_changed): New macro.
	* src/man.c (main), src/whatis.c (main): Use it.
	* src/manconv.c (check_preprocessor_encoding, try_iconv): Declare
	  only if HAVE_ICONV is defined.
	  (manconv): If HAVE_ICONV is not defined, supply a replacement that
	  just passes data straight through.
	* src/whatis.c (simple_convert): Declare only if HAVE_ICONV is
	  defined and supply a macro replacement otherwise, since in the
	  latter case iconv_t is not defined.

Sun Nov 16 18:40:09 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* manual/misc.me (Credits): Update with contributors of
	  non-translation patches since I started maintaining man-db;
	  mention man/THANKS for translator credits. Probably still missing
	  some people, as ever ...

Sun Nov 16 18:16:55 GMT 2008  Chusslove Illich  <caslav.ilic@gmx.net>

	* src/encodings.c (directory_table): Add Serbian Latin ->
	  ISO-8859-2.
	* src/lexgrog.l (sr_name): Add another possible translation.
	  (srlatin_name): Add.

Sun Nov 16 18:00:23 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (main), src/whatis.c (main): Tokenise LANGUAGE properly
	  rather than only taking the first two characters of each entry.
	  Based on a suggestion from Chusslove Illich in Savannah patch
	  #6658.

Sun Nov 16 17:57:57 GMT 2008  Chusslove Illich  <caslav.ilic@gmx.net>

	* src/manp.c (add_nls_manpath): Check that modifiers match if set
	  (Savannah patch #6658).

Wed Nov 12 12:32:17 GMT 2008  Arif E. Nugroho  <arif_endro@yahoo.com>

	* po/id.po: New from Translation Project.
	* po/LINGUAS: Add id.
	* man/THANKS: Add translator credit.

Sun Nov  9 16:23:12 GMT 2008  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: Update from Translation Project.

Sun Oct 26 12:44:42 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (create_pathlist): Eliminate duplicates due to
	  symlinks. Reported by Mike Frysinger.
	* src/man.c (main): Emit "manpath search path" debugging message
	  before calling create_pathlist.
	* docs/NEWS: Document this.

Sun Oct 26 11:58:37 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Support LINGUAS environment variable to control installation of
	localised manual pages. Reported by Mike Frysinger.

	* m4/man-po4a.m4, m4/man-linguas.m4: New files.
	* configure.ac: Call MAN_PO4A instead of inline code. Remove NLS and
	  PO4A Automake conditionals, no longer needed. Call MAN_LINGUAS.
	* man/LINGUAS, man/LINGUAS.po4a: New files.
	* man/Makefile.am (SUBDIRS): Set to $(MAN_SUBDIRS) rather than
	  computing the list here.
	  (DIST_SUBDIRS): Add, since we no longer use Automake conditionals.
	* docs/NEWS: Document this.

Sun Oct 26 01:53:36 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Check for lzma.
	* include/comp_src.h.in (comp_list): Add lzma.
	* include/manconfig.h.in: Define UNLZMA.
	* docs/NEWS: Document this.

Wed Oct  1 12:19:29 BST 2008  Colin Watson  <cjwatson@debian.org>

	* docs/TODO: Remove entry about Berkeley DB's error handling, fixed
	  in Berkeley DB 4.1 (see http://bugs.debian.org/180379).

Tue Sep 30 16:39:19 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (directory_table): Add Norwegian Bokmål and
	  Norwegian Nynorsk (following a comment on
	  http://www.linuxfromscratch.org/lfs/view/development/chapter06/man-db.html).

Sun Sep 28 11:35:18 BST 2008  Colin Watson  <cjwatson@debian.org>

	* manual/files.me (NLS manual pages): Describe automatic detection
	  of manual pages encoded in UTF-8. Recommend that character set
	  components not be used in directory names.

Sun Sep 28 11:30:40 BST 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Check for GDBM before Berkeley DB.
	* docs/man-db.lsm: List GDBM before Berkeley DB.
	* manual/db.me (Database types): Explain why GDBM is preferred.
	* manual/intro.me (Arguments to configure), README (Non-generic
	  arguments to configure): Update --with-db description.
	* docs/NEWS: Document this, with a note to distributors on upgrade
	  handling.

Thu Sep 18 02:00:54 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/apropos.man1 (AUTHOR), man/man1/manpath.man1 (AUTHOR),
	  man/man1/whatis.man1 (AUTHOR), man/man8/catman.man8 (AUTHOR): Add
	  my name.

Thu Sep 18 01:42:34 BST 2008  Colin Watson  <cjwatson@debian.org>

	Call zsoelim as an internal function rather than as an external
	process, to improve performance.

	* src/Makefile.am (man_SOURCES): Add zsoelim.h and zsoelim.l.
	  (zsoelim_SOURCES): Add zsoelim.h and zsoelim_main.c.
	* src/man.c (make_roff_command): Call zsoelim_stdin as an internal
	  function.
	* src/zsoelim.l (open_file): Rename to ...
	  (zsoelim_open_file): ... this. Make external. Update all callers.
	  (parse_file): Rename to ...
	  (zsoelim_parse_file): ... this. Make external. Update all callers.
	  (zsoelim_stdin): New function.
	  (parse_opt, main): Move to ...
	* src/zsoelim_main.c: ... here. New file.
	* src/zsoelim.h: New file.
	* docs/NEWS: Document this.

	* man/man1/zsoelim.man1 (AUTHOR): Add my name.

Mon Sep  8 09:21:34 BST 2008  Colin Watson  <cjwatson@debian.org>

	Call manconv as an internal function rather than as an external
	process, to improve performance. Indirectly suggested by Dr. Werner
	Fink in Savannah bug #24043.

	* src/Makefile.am (whatis_LDADD): Add $(LIBCOMPRESS).
	  (lexgrog_SOURCES, man_SOURCES, mandb_SOURCES, whatis_SOURCES): Add
	  manconv.c and manconv.h.
	  (manconv_SOURCES): Add manconv.h and manconv_main.c.
	* src/encodings.c (manconv_stdin, free_manconv_codes): New
	  functions.
	  (add_manconv): Call manconv as an internal function.
	* src/manconv.c (try_iconv): Take the target code as an argument
	  rather than using a global variable.
	  (manconv): New function, split out of main.
	  (split_codes, parse_opt, main): Move to ...
	* src/manconv_main.c: ... here. New file.
	* src/manconv.h: New file.
	* docs/NEWS: Document this.

Mon Sep  8 09:09:06 BST 2008  Colin Watson  <cjwatson@debian.org>

	Add support for freeing command_function data.

	* lib/pipeline.c (command_new_function): Add free_func argument.
	  (command_dup): Copy it.
	  (pipeline_connect): Adjust command_new_function call.
	  (pipeline_start): Free command_function data before exiting.
	  (pipeline_wait): Free command_function data while cleaning up
	  pipeline.
	* lib/pipeline.h: Add command_function_free_type typedef.
	  (struct command [struct command_function]): Add free_func member.
	  (command_new_function): Update prototype.
	* lib/decompress.c (decompress_open, decompress_fdopen): Adjust
	  command_new_function calls.

Sun Sep  7 15:26:25 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): Remove premature optimisation that
	  sometimes caused us to write incomplete output.

	* src/encodings.c (add_manconv): Always use manconv even if iconv
	  could theoretically do the job, as manconv has slightly more
	  permissive behaviour that is generally more suitable for
	  converting manual page source (Debian bug #498082).

Sun Aug 31 18:38:34 BST 2008  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Update.

Sun Aug 31 18:17:14 BST 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to 20080801.

Sun Aug 17 16:42:43 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/accessdb.c (main), src/catman.c (main), src/globbing_test.c
	  (main), src/lexgrog_test.c (main), src/man.c (main), src/manconv.c
	  (main), src/mandb.c (main), src/manpath.c (main), src/whatis.c
	  (main), src/zsoelim.l (main): Suppress locale warning if being
	  called by another man-db program (Debian bug #494989).

Sun Aug 17 00:27:07 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (tmp_cat_fd, man_modtime, discard_stderr): Move
	  definitions outside MAN_CATS guard; these are needed by catman
	  handling and (in the case of discard_stderr) manual page
	  formatting functions as well as cat handling in man itself
	  (Savannah bug #24044).

Thu Aug  7 02:12:09 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display): If we fail to decompress man_file and it
	  matters (i.e. we aren't just displaying a stray cat), then emit an
	  error message and return early (Coverity CID #5, #6).

Wed Aug  6 22:36:48 BST 2008  Colin Watson  <cjwatson@debian.org>

	* libdb/db_lookup.c (infoalloc): Move to ...
	* libdb/db_storage.h (infoalloc): ... here (as inline function).
	  Include "xalloc.h" for this.
	  (dblookup_all, dblookup_exact, gripe_lock, gripe_corrupt_data):
	  Stop declaring inline.
	* src/security.h (drop_effective_privs, regain_effective_privs):
	  Stop declaring inline.

Wed Aug  6 22:23:41 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display): If display_to_stdout is set, assert that
	  man_file is non-NULL; all the stray-cat code paths ensure that
	  neither troff nor recode is set by this point (Coverity CID #5).

Wed Aug  6 21:40:37 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (manopt_to_env): Duplicate options assigned to elements
	  of argv, and free the copy of manopt before returning. This isn't
	  really a bug as such, but it appeases Coverity CID #22.

Thu Jul 31 02:10:06 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (get_section_list): Fix leak of get_sections return
	  value if the configuration file contains no SECTIONS directives
	  (Coverity CID #21).

Thu Jul 31 02:03:46 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (try_section): Free info and info_buffer if there is a
	  failure before adding a candidate (Coverity CID #24).

Thu Jul 31 01:41:17 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (add_nls_manpath): Copy manpathlist to omanpathlist
	  after the initial locale checks, to avoid memory leaks (Coverity
	  CID #20).
	  (get_manpath): Free return value of add_system_manpath (Coverity
	  CID #18) and guess_manpath (Coverity CID #19) when they're simply
	  interpolated into another string.

Thu Jul 31 01:18:59 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display): Check for failure to open the preformatted
	  cat file (Coverity CID #14).

Thu Jul 31 01:01:13 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/util.c (lang_dir): Free ld if returning xstrdup ("C") instead
	  (Coverity CID #17).

Thu Jul 31 00:55:36 BST 2008  Colin Watson  <cjwatson@debian.org>

	* lib/pathsearch.c (pathsearch): Free path if returning early due to
	  being given a qualified name (Coverity CID #16).

Thu Jul 31 00:51:58 BST 2008  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_pump): Free known_source before returning
	  (Coverity CID #15).

Thu Jul 31 00:47:43 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (word_fnmatch): Free lowwhatis on return paths
	  (Coverity CID #25).

Thu Jul 31 00:40:29 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/catman.c (parse_for_sec): Fix initialisation of initial_bit
	  (Coverity CID #28).

Tue Jul 15 15:58:24 BST 2008  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Sat Jul 12 16:47:11 BST 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.3-pre1.
	* po/man-db.pot, po/*.po: Update.

Sat Jul 12 16:43:07 BST 2008  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Start 2.5.3.

Sat Jul  5 11:33:16 BST 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to 20080701.

Mon Jun  9 13:47:50 BST 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to 20080601.

Mon Jun  9 09:31:04 BST 2008  Yuri Kozlov  <kozlov.y@gmail.com>

	* man/po4a/po/ru.po: Update.

Tue Jun  3 09:54:17 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/ru.po: Update with msgmerge.

Tue Jun  3 09:53:59 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/ru/translator.add: Add dummy file.

Tue Jun  3 00:07:47 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/ru.po: New from Translation Project (thanks, Yuri
	  Kozlov).
	* configure.ac (AC_CONFIG_FILES): Add man/ru/Makefile.
	* man/Makefile.am (MAYBE_PO4A_LINGUAS): Add ru.
	* man/ru/Makefile.am: New file.
	* man/po4a/Makefile.am (POFILES): Add po/ru.po.
	* man/po4a/po4a.cfg (po4a_langs): Add ru.
	* man/THANKS: Credit Yuri Kozlov with man/ru as well as ru.po.
	* .bzrignore: Add man/ru/man1, man/ru/man5, and man/ru/man8.

Sun Jun  1 16:40:12 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man8/mandb.man8 (SYNOPSIS): Document -t (thanks, Yuri Kozlov;
	  Debian bug #483951).

Sun Jun  1 04:01:12 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/whatis.man1 (SYNOPSIS): Document -v (thanks, Yuri Kozlov;
	  Debian bug #483862).

Fri May 30 00:11:15 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/manconv.man1 (SYNOPSIS), man/man1/manpath.man1
	  (SYNOPSIS): Document -h and -V here as well as in OPTIONS (thanks,
	  Yuri Kozlov; Debian bug #483589).

Sun May 25 18:51:47 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (SYNOPSIS): Fix minor formatting error in -w|-W
	  synopsis.

Sun May 25 18:46:55 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (SYNOPSIS): Restructure to include all options
	  from the OPTIONS section and to use approximately the same order.
	  Thanks to Yuri Kozlov; Debian bugs #482424, #482791, #482792, and
	  #482810.

Sun May 25 18:29:28 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/lexgrog.man1 (SYNOPSIS): Correct -s to -E.
	  (OPTIONS): Correct -e to -E.
	  Thanks to Yuri Kozlov; Debian bug #481226.

Sun May 25 19:23:00 CEST 2008  Yuri Kozlov  <kozlov.y@gmail.com>

	* man/man1/apropos.man1 (SYNOPSIS): Document -v (Debian bug
	  #480678).

Mon May  5 09:53:19 BST 2008  Colin Watson  <cjwatson@debian.org>

	* lib/cleanup.c: #include <string.h> for memset.

Mon May  5 02:34:52 BST 2008  Colin Watson  <cjwatson@debian.org>

	* docs/man-db.lsm: Update to 2.5.2.
	* docs/HACKING: Note requirement for docs/man-db.lsm update just
	  before release.

Mon May  5 02:11:38 BST 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.2.
	* po/man-db.pot, po/*.po: Update.

Mon May  5 02:07:00 BST 2008  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Document previous commit.

Mon May  5 01:39:22 BST 2008  Colin Watson  <cjwatson@debian.org>

	Fix jless support to avoid breaking less (Debian bug #217519).

	* src/encodings.c (less_charset_table): Add jless_charset members.
	  Move EUC-JP less_charset to jless_charset, falling back to iso8859
	  for less. Use the more explicit japanese-ujis rather than ja.
	* src/encodings.c (get_jless_charset): New function.
	* src/encodings.h (get_jless_charset): Add prototype.
	* src/man.c (make_roff_command): Set JLESSCHARSET to the return
	  value of get_jless_charset if non-NULL.

Mon May  5 01:06:56 BST 2008  Colin Watson  <cjwatson@debian.org>

	Clean up some loose ends of Chinese support (thanks, Wu Songhai;
	Debian bug #354321).

	* src/encodings.c (directory_table): Add zh_SG, defaulting to the
	  GBK encoding.
	  (charset_alias_table): Map EUCTW to EUC-TW.
	  (charset_table): Add EUC-TW, defaulting to the nippon driver.
	  (compatible_encodings): Recognise EUC-TW encoding.

Mon May  5 00:05:19 BST 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to 20080501.

Sun May  4 23:16:59 BST 2008  Colin Watson  <cjwatson@debian.org>

	* lib/cleanup.c (sighandler, trap_signal), lib/pipeline.c
	  (pipeline_start, pipeline_pump): Zero sigaction structures before
	  using them. (I believe we set all required fields anyway; this is
	  just an extra safety catch.)

Mon Apr 28 09:54:48 BST 2008  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Mon Apr 28 09:38:53 BST 2008  Benno Schulenberg  <benno@vertaalt.nl>

	* po/nl.po: Update from Translation Project.

Sun Apr 27 22:41:54 BST 2008  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: Update from Translation Project.

Sun Apr 27 11:47:19 BST 2008  Colin Watson  <cjwatson@debian.org>

	* po/man-db.pot, po/*.po: Update (sync with 2.5.2-pre2 tarball).

Sun Apr 27 11:27:46 BST 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.2-pre2.
	* po/man-db.pot, po/*.po: Update.

Sun Apr 27 11:24:24 BST 2008  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_sigchld): assert is not
	  async-signal-safe, so avoid calling it in a signal handler and use
	  an if guard instead (Ubuntu bug #221635, although exactly why the
	  assertion is failing there is unclear).

Sun Apr 27 01:40:32 BST 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to 20080401.

Sun Apr 27 01:32:58 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (ko_name): Add another possible translation, seen in
	  hdparm(1).

Sun Apr 27 01:31:47 BST 2008  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): Don't handle //IGNORE unless this is
	  the last encoding to be tried.
	* src/encodings.c (add_manconv): Append //IGNORE to the target
	  encoding.
	* docs/NEWS: Document this.

Sun Apr 27 00:54:05 BST 2008  Colin Watson  <cjwatson@debian.org>

	Don't emit encoding conversion errors in mandb's quiet mode (Debian
	bug #473862).

	* src/manconv.c (options, parse_opt): Accept -q/--quiet.
	  (try_iconv): Suppress iconv errors under --quiet.
	* man/man1/manconv.man1 (SYNOPSIS, OPTIONS): Document --quiet.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/pl.po: Update.
	* po/man-db.pot, po/*.po: Update.

	* src/encoding.c (add_manconv): Pass -q to manconv if this is mandb
	  in quiet mode.

Sat Apr 26 14:34:26 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (DESCRIPTION): Bring list of conventional
	  section names more into sync with man-pages(7).
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/pl.po: Update.

Sat Apr 26 13:51:27 BST 2008  Colin Watson  <cjwatson@debian.org>

	* man/de/man1/apropos.man1, man/de/man1/man.man1,
	  man/de/man1/manpath.man1, man/de/man1/whatis.man1,
	  man/de/man1/zsoelim.man1, man/de/man5/manpath.man5,
	  man/de/man8/catman.man8, man/es/man1/man.man1,
	  man/fr/man1/man.man1, man/it/man8/accessdb.man8: Fix various small
	  mistakes that caused warnings from groff.

Sun Mar 30 20:39:34 BST 2008  Benno Schulenberg  <benno@vertaalt.nl>

	* po/nl.po: Update from Translation Project.

Mon Mar 17 19:29:43 GMT 2008  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Fri Mar 14 14:24:58 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Persuade 'make distcheck' to pass again.

	* man/po4a/po4a.cfg: Use paths relative to $(srcdir) and
	  $(builddir).
	* man/po4a/Makefile.am (PO4A_ARGS): Define srcdir and builddir
	  variables.
	  (all-local, update-po, clean-local): Pass $(PO4A_ARGS) to $(PO4A).
	  Read po4a.cfg from $(srcdir).
	* man/po4a/*.pl.add: Consolidate into ...
	* man/pl/translator.add: ... this.
	* man/Rules.man (dist-hook): Only do anything if PO4A_LINGUA is not
	  set to yes.
	  (distclean-hook): Remove man1, man5, and man8 if PO4A_LINGUA is
	  set to yes.
	* man/pl/Makefile.am (PO4A_LINGUA): Set to yes.
	  (EXTRA_DIST): Distribute translator.add.
	* .bzrignore: Ignore man/pl/man1, man/pl/man5, and man/pl/man8,
	  rather than just some files within those directories.

Fri Mar 14 01:06:42 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (Controlling formatted output): Change
	  'soft-hyphen' string to 'softhyphen' to work around Debian bug
	  #470849.
	* man/po4a/po/man-db-manpages.pot, man/po4a/po/pl.po: Update.

Fri Mar 14 00:57:37 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Build Polish manual pages. The method used scales rather poorly and
	will probably need to be revisited at some point.

	* configure.ac (AC_CONFIG_FILES): Add man/pl/Makefile.
	* man/Makefile.am (MAYBE_PO4A_LINGUAS): New, containing pl.
	  (SUBDIRS): Add $(MAYBE_PO4A_LINGUAS) if po4a is present.
	* man/pl/Makefile.am: New file.
	* man/po4a/Makefile.am (POFILES): New, containing po/pl.po.
	  (EXTRA_DIST): Add $(POFILES).
	  (all-local, clean-local): New rules to generate and remove
	  translated documents.
	  (update-po): Add --no-translations option.
	* man/po4a/po4a.cfg (po4a_langs): Replace zh_CN with pl. (zh_CN can
	  come back once it has a translation.)
	* man/THANKS: Credit Robert Luberda with man/pl as well as pl.po.

	* .bzrignore: Add man/pl/man1/*.man1, man/pl/man5/*.man5, and
	  man/pl/man8/*.man8.
	* man/po4a/po/man-db-manpages.pot: Update.

Fri Mar 14 00:55:15 GMT 2008  Robert Luberda  <robert@debian.org>

	* man/po4a/po/pl.po: New from Translation Project.
	* man/po4a/accessdb.pl.add, man/po4a/apropos.pl.add,
	  man/po4a/catman.pl.add, man/po4a/lexgrog.pl.add,
	  man/po4a/man.pl.add, man/po4a/manconv.pl.add,
	  man/po4a/mandb.pl.add, man/po4a/manpath.pl.add,
	  man/po4a/whatis.pl.add, man/po4a/zsoelim.pl.add: New files.

Thu Mar 13 09:56:53 GMT 2008  Robert Luberda  <robert@debian.org>

	* po/pl.po: Update from Translation Project.

Wed Mar 12 18:29:32 GMT 2008  Yuri Kozlov  <kozlov.y@gmail.com>

	* po/ru.po: Update from Translation Project.

Wed Mar 12 13:52:02 GMT 2008  Benno Schulenberg  <benno@vertaalt.nl>

	* po/nl.po: Update from Translation Project.

Wed Mar 12 12:30:09 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (parse_opt): Only set html_pager if arg is non-NULL.
	* docs/NEWS: Document this.

Wed Mar 12 12:20:50 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Check for po4a. Define an Automake conditional based
	  on whether it is present.
	* man/Makefile.am (SUBDIRS): Add the po4a subdirectory only if the
	  po4a program is present.
	* man/po4a/Makefile.am (update-po): Use PO4A variable.

Wed Mar 12 08:53:48 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/Makefile.am (update-po): New target.

Wed Mar 12 08:53:32 GMT 2008  Robert Luberda  <robert@debian.org>

	* man/man1/apropos.man1 (OPTIONS, FILES), man/man1/man.man1
	  (ENVIRONMENT, FILES), man/man1/manconv.man1 (OPTIONS),
	  man/man1/manpath.man1 (OPTIONS, FILES), man/man1/whatis.man1
	  (OPTIONS, EXIT STATUS, FILES), man/man8/mandb.man8 (OPTIONS):
	  Consolidate various nearly-identical strings.
	* man/po4a/po/man-db-manpages.pot: Update.

Tue Mar 11 10:41:05 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.2-pre1 (really this time).

Tue Mar 11 10:39:45 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AC_CONFIG_FILES): Add man/po4a/Makefile.
	* man/Makefile.am (SUBDIRS): Add po4a.
	* man/po4a/Makefile.am: New file. Distribute po4a.cfg and
	  po/man-db-manpages.pot.

Tue Mar 11 10:26:49 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.2-pre1.
	* po/man-db.pot, po/*.po: Update.

Mon Mar 10 19:42:19 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (Controlling formatted output): Quote %pager,
	  since it may expand to multiple words.

Mon Mar 10 16:07:11 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: More updates for 2.5.2.

Mon Mar 10 16:00:15 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/man-db.pot: Rename to ...
	* man/po4a/po/man-db-manpages.pot: ... this, so that the translation
	  domain name stops clashing with that used for program translations
	  (per Benno Schulenberg).
	* man/po4a/po4a.cfg (po4a_paths): Adjust for rename.

Mon Mar 10 01:05:57 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man (.man1.1, .man8.8): Substitute name of manual page
	  being processed as %program%.
	* man/man1/apropos.man1 (OPTIONS), man/man1/man.man1 (Finding manual
	  pages), man/man1/whatis.man1 (OPTIONS): Consolidate
	  nearly-identical descriptions of --locale using %program% (thanks,
	  Robert Luberda).
	* man/po4a/po/man-db.pot: Update.

Tue Mar  4 09:24:40 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to 20080301.

Tue Mar  4 09:18:43 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (options): Force --extension to appear after --sections
	  in --help output.

Mon Mar  3 21:46:36 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/man-db.pot: Update.

Sun Mar  2 12:41:13 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* po/man-db.pot, po/*.po: Update.

Sun Mar  2 12:37:43 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (options): Describe --recode's argument as ENCODING, not
	  CODE (thanks, Benno Schulenberg).

Sun Mar  2 12:35:28 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (options), src/manpath.c (options), src/whatis.c
	  (options): Use a unified description for --systems (thanks, Benno
	  Schulenberg).

Sun Mar  2 12:29:57 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (args_doc, options): Describe argument to -f as
	  "CODE[:...]" rather than "CODE:..." (thanks, Benno Schulenberg).

Sun Mar  2 12:28:40 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1 (OPTIONS): Reorganise into subsections, with
	  options listed in the same order as in 'man --help' output.
	* src/man.c (options, parse_opt): Rearrange a few options slightly
	  so that the ordering makes more sense.

Sun Mar  2 11:56:48 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/man1/man.man1, src/encodings.c, src/encodings.h,
	  src/lexgrog_test.c: Update copyright notices.

Sun Mar  2 11:03:21 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Improve 'man -E' to allow overriding the output encoding explicitly,
	rather than implicitly (and unreliably) by changing the *roff device
	(Debian bug #466396).

	* src/encodings.c (device_table): Add stub entries for troff
	  devices.
	  (is_roff_device): New function.
	* src/encodings.h (is_roff_device): Add prototype.
	* src/man.c (options): Change description of -E to allow general
	  encoding selection.
	  (parse_opt): Only assign the argument of -E to roff_device if it
	  is actually a *roff device; otherwise it is presumed to be a true
	  character encoding and stored in want_encoding. Remove
	  different_encoding, since testing whether want_encoding is set
	  supersedes that.
	  (make_roff_command): If want_encoding is set and is not a *roff
	  device, recode to it rather than to the locale's encoding.
	  (display, try_section, display_filesystem, display_database): Test
	  want_encoding rather than different_encoding.
	* man/man1/man.man1 (OPTIONS): Adjust documentation of -E.
	* docs/NEWS: Document this.

	* src/lexgrog_test.c (options): Bring description of -E into sync
	  with man.

Sat Mar  1 22:14:43 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (get_roff_encoding): In the CJK UTF-8 special
	  case, check the canonicalised encoding in order that locale
	  specifications such as "zh_CN.utf8" work (Debian bug #467249).

Fri Feb 29 09:59:23 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* autogen.sh: Run autoreconf with -f.
	* tools/config.guess, tools/config.sub, tools/depcomp,
	  tools/install-sh, tools/ylwrap: Update.

Thu Feb 28 10:47:22 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l: Terminate MAN_NAME at .ie or .if conditionals
	  (Debian bug #467444).

Sun Feb 17 17:17:16 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (def_path): Fix brace indentation.

Sun Feb 17 17:13:55 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import the strsignal module.
	* lib/pipeline.c (pipeline_wait): Call strsignal rather than
	  xstrsignal.
	* lib/xstrsignal.c: Remove.
	* lib/README (xstrsignal): Remove.
	* lib/Makefile.am (libman_a_SOURCES): Remove xstrsignal.c.
	* include/manconfig.h.in (xstrsignal): Remove.
	* m4/man-strsignal.m4: Remove.
	* configure.ac (MAN_FUNC_STRSIGNAL): Remove.

Sun Feb 17 16:59:22 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Makefile.in, aclocal.m4, config.h.in, configure, docs/Makefile.in,
	  gnulib, lib/Makefile.in, libdb/Makefile.in, man/Makefile.in,
	  man/de/Makefile.in, man/es/Makefile.in, man/fr/Makefile.in,
	  man/it/Makefile.in, man/ja/Makefile.in, manual/Makefile.in,
	  src/Makefile.in, tools/Makefile.in: Upgrade to Automake 1.10.1 and
	  Gnulib 20080201.

Mon Feb  4 08:28:33 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man_db.conf.in: Make /usr/local/share/man mandatory rather
	  than /usr/local/man (thanks, Reuben Thomas; Debian bug #463892).

Fri Feb  1 09:01:34 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/replace.sin.in: Strip off ".if !'po4a'hide' " from input
	  manual pages. It's a no-op except for po4a's purposes, and
	  removing it helps non-groff manual page renderers.

Mon Jan 28 08:54:47 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* docs/man-db.lsm: Update to 2.5.1.

Mon Jan 28 08:47:51 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.1.
	* po/man-db.pot, po/*.po: Update.

Sun Jan 27 22:48:32 GMT 2008  Colin Watson  <cjwatson@debian.org>

	Support Korean when configured with support for the multibyte groff
	patch (thanks, Hansun Lee; Ubuntu bug #176896).

	* src/encodings.c (compatible_encodings): Allow EUC-KR -> UTF-8.
	  (get_roff_encoding): Handle ko_KR.UTF-8 via devutf8.

Sun Jan 27 13:42:31 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_join): Initialise source, buffer, buflen,
	  bufmax, line_cache, and peek_offset.

Sun Jan 27 13:37:17 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.h (struct pipeline): Add ignore_signals member.
	* lib/pipeline.c (pipeline_new): Initialise ignore_signals to 1.
	  (pipeline_join): Set ignore_signals if either input pipeline has
	  it set.
	  (pipeline_start): Only ignore SIGINT and SIGQUIT if ignore_signals
	  is set.
	  (pipeline_wait): Only restore SIGINT and SIGQUIT if ignore_signals
	  is set.
	* lib/decompress.c (decompress_open, decompress_fdopen): Set
	  ignore_signals to 0 so that SIGINT and SIGQUIT are not ignored
	  just because a decompression process is running (Debian bug
	  #462276).
	* docs/NEWS: Document this.

Thu Jan 24 17:12:24 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* include/manconfig.h.in (INTERRUPTED): Remove.
	* src/man.c (int_handler): Remove; this is useless and
	  non-signal-safe.
	  (main): Don't set SIGINT to int_handler.

Thu Jan 17 09:13:04 GMT 2008  Ming Hua  <minghua-guest@users.alioth.debian.org>

	* po/zh_CN.po: Update from Translation Project.

Tue Jan 15 18:45:22 GMT 2008  Yuri Kozlov  <kozlov.y@gmail.com>

	* po/ru.po: Update from Translation Project.
	* man/THANKS: Update e-mail address.

Tue Jan 15 14:37:15 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* m4/man-bdb.m4: Add WITH-DB option; make ACTION-IF-FOUND optional;
	  define BDB_H and BTREE.
	* configure.ac: Make Berkeley DB checks more concise using the
	  above.

Tue Jan 15 12:31:12 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Remove unused AC_HEADER_STDC.

Tue Jan 15 08:42:27 GMT 2008  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Tue Jan 15 08:39:56 GMT 2008  Benno Schulenberg  <benno@vertaalt.nl>

	* po/nl.po: Update from Translation Project.

Tue Jan 15 00:01:39 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* m4/man-compress-lib.m4: New function, MAN_COMPRESS_LIB: like
	  AC_CHECK_LIB but adds the library to LIBCOMPRESS rather than LIBS.
	* configure.ac: Use it for -lz.
	* src/Makefile.am (lexgrog_LDADD, man_LDADD, manconv_LDADD,
	  mandb_LDADD, zsoelim_LDADD): Add $(LIBCOMPRESS).

Mon Jan 14 15:29:55 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Don't check for strerror; Gnulib supplies a
	  replacement now.

Mon Jan 14 13:59:18 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (xcopy): Set the new file's mode to DBMODE in order to
	  try to defend against strange problems with databases being left
	  world-unreadable (Debian bug #430800).

Mon Jan 14 00:55:22 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po/man-db.pot: Update.

Mon Jan 14 00:16:57 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.1-pre2.
	* po/man-db.pot, po/*.po: Update.

Mon Jan 14 00:00:21 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog_test.c (parse_opt): Use argp_error rather than
	  error/argp_usage. Suggested by Ivan Shmakov.
	* src/man.c (parse_opt): Likewise.
	* src/manconv.c (parse_opt): Likewise.

Sun Jan 13 23:35:27 GMT 2008  Ivan Shmakov  <oneingray@gmail.com>

	Add a command-line option to man to enable groff warnings.

	* src/man.c (enum opts, struct string_llist): New types.
	  (default_roff_warnings, roff_warnings): Set defaults.
	  (options, parse_opt): Accept --warnings.
	  (make_roff_command): Add warnings to groff command line.
	* man/man1/man.man1 (SYNOPSIS, OPTIONS): Document --warnings.
	* docs/NEWS: Document this.

Thu Jan 10 09:24:19 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (local_man_loop): Guess language based on absolute path
	  to provided file, rather than relative (Debian bug #460014).

Mon Jan  7 17:28:54 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib/lib/xmalloc.patch: Add commentary.

Mon Jan  7 15:30:56 GMT 2008  Yuri Kozlov  <kozlov.y@gmail.com>

	* po/ru.po: Update from Translation Project.

Mon Jan  7 11:38:19 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/replace.sin: Rename to ...
	* man/replace.sin.in: ... this.
	* configure.ac (AC_CONFIG_FILES): Generate man/replace.sin.
	* man/Rules.man (CLEANFILES, replace.sed, .man1.1, .man5.5,
	  .man8.8): Generate replace.sed at 'make' time so that
	  $(config_file) is substituted properly. Reported by Peter
	  Breitenlohner.
	* .bzrignore: Update.

Mon Jan  7 11:14:04 GMT 2008  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* manual/Makefile.am: Use soelim with -I$(srcdir).

	* man/Rules.man (mandir): Append the language so that Automake can
	  handle translated manual pages.
	  (install-data-local, uninstall-local): Removed in favor of rules
	  generated by Automake.
	  (CLEANFILES, dist-hook): Go back to using man*_MANS.
	  (all-am): Remove explicit dependencies.
	* man/Makefile.am, man/de/Makefile.am, man/es/Makefile.am,
	  man/fr/Makefile.am, man/it/Makefile.am, man/ja/Makefile.am: Go
	  back to using man*_MANS.

	* man/man8/accessdb.man8, man/fr/man8/accessdb.man8: Fix typo (-V,
	  not -v).

	* manual/Makefile.am (.pp.ps): Use groff -Tps, not -Tdvi.

	* src/Makefile.am (install-data-hook): Don't (try to) overwrite
	  existing config files.

	* src/Makefile.am (bin_SCRIPTS, all-am, install-exec-hook,
	  uninstall-hook): Remove apropos from bin_SCRIPTS, explicitly
	  depend on it from all-am, and manually create a whatis->apropos
	  symlink at install time; installing the symlink from the build
	  directory using bin_SCRIPTS would install a second copy (not
	  stripped by "make install-strip").

Mon Jan  7 09:54:12 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Stop checking for memory.h (not used) and limits.h
	  (guaranteed by C89).
	* lib/hashtable.c, libdb/db_ver.c, src/convert_name.c,
	  src/descriptions.c, src/filenames.c: Remove unnecessary #include
	  <stdio.h>.
	* libdb/db_delete.c, libdb/db_lookup.c, libdb/db_store.c,
	  src/manpath.c: Remove unnecessary #include <assert.h>.
	* libdb/mydbm.h, src/catman.c, src/man.c, src/manpath.c: Include
	  <limits.h> unconditionally.
	* src/convert_name.c: Remove unnecessary #include <unistd.h>.
	* src/man.c: Remove unnecessary #include <sys/file.h> and
	  <sys/wait.h>.
	* src/manpath.c: Remove unnecessary #include <termios.h>.
	* src/straycats.c: Remove unnecessary #include <fcntl.h>.
	* src/ult_src.c: Remove S_ISLNK conditionals; Gnulib's <sys/stat.h>
	  wrapper deals with this.

	* lib/linelength.c (get_line_length): Remove trailing newline from
	  message passed to perror.

Mon Jan  7 03:21:49 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* lib/gettext.h: Remove; now provided by Gnulib.
	* lib/Makefile.am (libman_a_SOURCES): Remove gettext.h.
	* lib/README: Remove gettext.h.

Mon Jan  7 03:11:08 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* include/comp_src.h.in: Update header comment.

Mon Jan  7 02:52:25 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/util.c (mkdbname): Replace with ...
	* include/manconfig.h.in (mkdbname): ... a simpler macro.

Mon Jan  7 02:27:59 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* libdb/db_btree.c, libdb/db_storage.h, libdb/mydbm.h, src/catman.c,
	  src/check_mandirs.c, src/convert_name.c, src/globbing.c,
	  src/man.c, src/man.h, src/mandb.c, src/manp.c, src/security.c,
	  src/security.h, src/whatis.c: Replace __inline__ with inline
	  everywhere. Autoconf's handling of the latter is sufficient.
	* include/manconfig.h.in: Remove __inline and __inline__
	  definitions.

Mon Jan  7 02:12:26 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Automatically detect the Debian multibyte patch to
	  groff.

Mon Jan  7 01:14:39 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/accessdb.c (options, parse_opt): Accept -d/--debug.
	* src/lexgrog_test.c (options, parse_opt): Likewise.
	* src/zsoelim.l (options, parse_opt): Likewise.
	* docs/NEWS: Document this.

Mon Jan  7 01:08:39 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/zsoelim.l (options): Fix incorrect description of -C.

Sun Jan  6 15:01:08 GMT 2008  Colin Watson  <cjwatson@debian.org>

	sigaction is specified as non-interruptible; there is no need to
	wrap it with EINTR detection.

	* lib/xsigaction.c: Remove.
	* include/manconfig.h.in (xsigaction): Remove prototype.
	* lib/Makefile.am (libman_a_SOURCES): Remove xsigaction.c.
	* lib/README: Remove xsigaction.c.
	* lib/cleanup.c (sighandler, trap_signal, untrap_signal): Call
	  sigaction rather than xsigaction.
	* lib/pipeline.c (pipeline_start, pipeline_wait,
	  pipeline_install_sigchld, pipeline_pump): Call sigaction rather
	  than xsigaction.

Sun Jan  6 14:46:36 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* po/nl.po: Update with msgmerge.

Sun Jan  6 14:45:09 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man, man/de/Makefile.am, man/es/Makefile.am,
	  man/fr/Makefile.am, man/it/Makefile.am, man/ja/Makefile.am: Use
	  LINGUA rather than LANGUAGE to name the manual page language, as
	  setting LANGUAGE causes 'make' output to be translated.

Sun Jan  6 14:34:15 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/de.UTF-8, man/es.UTF-8, man/fr.UTF-8, man/it.UTF-8,
	  man/ja.UTF-8: Rename to ...
	* man/de, man/es, man/fr, man/it, man/ja: ... these.
	* .bzrignore, configure.ac, man/de/Makefile.am, man/es/Makefile.am,
	  man/fr/Makefile.am, man/it/Makefile.am, man/ja/Makefile.am,
	  man/po4a/po4a.cfg, man/THANKS: Adjust for new directory names.

Sun Jan  6 10:20:19 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Upgrade to Debian 20080104-1. Import the unsetenv module.
	* src/man.c, src/whatis.c: No longer #include "setenv.h".

Sun Jan  6 09:57:51 GMT 2008  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Sat Jan  5 23:15:23 GMT 2008  Ming Hua  <minghua-guest@users.alioth.debian.org>

	* po/zh_CN.po: Update from Translation Project (trivial).

Sat Jan  5 23:06:14 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Define NLS Automake conditional from USE_NLS.
	* man/Makefile.am (SUBDIRS): Define only if NLS.

Sat Jan  5 22:54:05 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* man/Makefile.am, man/de.UTF-8/Makefile.am,
	  man/es.UTF-8/Makefile.am, man/fr.UTF-8/Makefile.am,
	  man/it.UTF-8/Makefile.am, man/ja.UTF-8/Makefile.am: Declare
	  man*_files rather than man*_MANS. Using the MANS primary causes
	  Automake's incorrect manual page rules to be used.
	* man/Rules.man (CLEANFILES, install-data-local, uninstall-local,
	  dist-hook): Expect man*_files rather than man*_MANS.
	  (all-am): Depend on $(man*_files).

	* man/Rules.man (install-data-local, uninstall-local): Stop
	  stripping leading "man*/" from install location.

Sat Jan  5 21:49:40 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* m4/man-gcc-warning.m4: New file.
	* configure.ac: Test whether each -W option (other than -Wall) that
	  we want to add is supported, rather than adding it
	  unconditionally. Reported by Peter Breitenlohner.

Sat Jan  5 14:12:33 GMT 2008  Ivan Shmakov  <oneingray@gmail.com>

	* configure.ac: Test for existence of
	  "$srcdir/gnulib/po/Makefile.in.in" rather than just
	  gnulib/po/Makefile.in.in in order to work for VPATH builds. Also
	  reported by Peter Breitenlohner.

Fri Jan  4 16:03:57 GMT 2008  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* src/man.c (display): Stop -W printing blank lines for manual pages
	  without corresponding cat pages.

Fri Jan  4 15:59:41 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/Makefile.am: Install globbing and manconv in
	  $(libexecdir)/@PACKAGE@ rather than in $(pkglibdir). Reported by
	  Peter Breitenlohner.

Fri Jan  4 12:44:34 GMT 2008  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* libdb/db_btree.c (dbstore): Rename basename argument to base to
	  avoid clashing with the function of the same name.
	* libdb/db_storage.h (dbstore): Update prototype.
	* libdb/mydbm.h (dbver_wr, dbver_rd), src/security.h
	  (do_system_drop_privs): Update prototype argument names to match
	  definition.

Fri Jan  4 11:52:22 GMT 2008  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* src/man.c: Make prompt_string const. Avoids "discards qualifier"
	  warning when building without NLS.

Thu Jan  3 21:39:27 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import the lib-ignore module, to have the linker ignore
	  unused libraries.

Wed Jan  2 23:30:33 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* lib/decompress.c (decompress_zlib), lib/linelength.c
	  (get_line_length), lib/pipeline.c (passthrough), src/lexgrog.l
	  (find_name), src/man.c (set_term, get_term, main,
	  make_roff_command, format_display_and_save, format_display,
	  display_catman, display), src/manconv.c (main), src/zsoelim.l
	  (open_file): Use STDIN_FILENO, STDOUT_FILENO, and STDERR_FILENO
	  macros rather than calling fileno.

Wed Jan  2 16:46:46 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/accessdb.c (main), src/catman.c (main), src/globbing_test.c
	  (main), src/lexgrog_test.c (main), src/man.c (main), src/manconv.c
	  (main), src/mandb.c (main), src/manpath.c (main), src/whatis.c
	  (main), src/wrapper.c (main), src/zsoelim.l (main): Bind the
	  "man-db-gnulib" textual domain as well as "man-db".

Wed Jan  2 00:12:48 GMT 2008  Benno Schulenberg  <benno@vertaalt.nl>

	* po/nl.po: New from Translation Project.
	* po/LINGUAS: Add nl.
	* man/THANKS: Add translator credit.

Tue Jan  1 15:36:23 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* README, src/man.c: Update copyright years.

Tue Jan  1 15:27:51 GMT 2008  Ming Hua  <minghua-guest@users.alioth.debian.org>

	* po/zh_CN.po: Update.

Tue Jan  1 12:34:10 GMT 2008  Colin Watson  <cjwatson@debian.org>

	* src/man.c (options): Add -s as an alias for -S (Debian bug
	  #458499).
	  (parse_opt): Accept it.
	  (get_section_list): Allow the section list to be separated by
	  commas as well as colons.
	* man/man1/man.man1 (OPTIONS): Document -s and comma-separation.
	* docs/NEWS: Document this.

Mon Dec 31 22:13:00 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Coding style): Expand.

Mon Dec 31 22:01:35 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* include/manconfig.h.in: Remove obsolete definitions of VERSION and
	  DATE and declaration of ver.
	* src/zsoelim.l: Remove obsolete definition of STATIC_VER.

Mon Dec 31 17:00:19 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* lib/hashtable.c (hash_lookup_structure): New function; same as
	  previous hash_lookup but returns a struct nlist * rather than the
	  value.
	  (hash_lookup): Rewrite in terms of hash_lookup_structure.
	  (hash_install): Use hash_lookup_structure rather than hash_lookup
	  (thanks, Ivan Shmakov; should fix Debian bug #374708).

Mon Dec 31 16:15:26 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* lib/hashtable.c (hash_install): Fix head comment to match reality
	  (thanks, Ivan Shmakov).

Mon Dec 31 15:45:31 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Revision control): Mention that the bzr archive now
	  requires bzr 0.15 or later.

Mon Dec 31 15:31:08 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.1-pre1.
	* po/man-db.pot, po/*.po: Update.

Mon Dec 31 10:02:28 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (passthrough): New helper function.
	  (pipeline_connect): Add special (kludge) handling for zero-command
	  sinks.
	  (pipeline_pump): Add minor commentary.
	* src/man.c (options, parse_opt): New -R/--recode option.
	  (make_roff_command): If --recode is used, suppress external
	  formatters and all processing filters, and force the output
	  encoding to the argument to --recode.
	  (display): If --recode is used, force display to stdout and
	  suppress cat pages.
	  (try_section, display_filesystem, display_database): Don't show
	  cat pages or follow .so links for --recode.
	* src/util.c (lang_dir): Handle relative filenames starting with
	  "man/".
	* man/man1/man.man1 (OPTIONS): Document --recode.
	* docs/NEWS: Document this.

Fri Dec 14 10:06:21 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (options): Note that --exact is for apropos only.

Fri Dec 14 09:39:06 GMT 2007  Colin Watson  <cjwatson@debian.org>

	Convert from getopt to argp for option parsing. This invalidates
	many translations, but this should be the last time; in future, a
	changes in a single option will only affect translations of the help
	strings for that option, not the program's entire help string.

	* gnulib: Import the argp and lock modules.
	* autogen.sh: Hack around a tools/config.rpath clash between Gnulib
	  and gettext.
	* configure.ac (CFLAGS): Add -Wno-missing-field-initializers for
	  GCC.
	* .bzrignore: Add gnulib/lib/strings.h, po/remove-potcdate.sed, and
	  tools/config.rpath.*.

	* src/version.c: Remove in favour of argp's --version handling.
	* po/POTFILES.in: Remove src/version.c.
	* src/Makefile.am (accessdb_SOURCES, catman_SOURCES,
	  globbing_SOURCES, lexgrog_SOURCES, man_SOURCES, manconv_SOURCES,
	  mandb_SOURCES, manpath_SOURCES, whatis_SOURCES, wrapper_SOURCES,
	  zsoelim_SOURCES): Remove version.c.

	* src/accessdb.c (long_options, args, usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, doc, options, parse_opt,
	  help_filter, argp): Add.
	  (main): Switch from getopt_long to argp_parse. Use error (FATAL)
	  for database read errors rather than error (0); usage (FAIL).
	* src/catman.c (long_options, args, usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, options, parse_opt, argp): Add.
	  (catman, do_catman, parse_for_sec): Rename argp to args.
	  (main): Switch from getopt_long to argp_parse.
	* src/globbing_test.c (long_options, args, usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, options, parse_opt, argp): Add.
	  (main): Switch from getopt_long to argp_parse.
	* src/lexgrog_test.c (long_options, args, usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, doc, options, parse_opt, argp):
	  Add.
	  (main): Switch from getopt_long to argp_parse.
	* src/man.c (long_options, args, usage, man_getopt): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, options, parse_opt, help_filter,
	  argp): Add.
	  (do_extern): Adjust iteration over arguments.
	  (main): Switch from getopt_long to argp_parse. Initialise
	  html_pager early for use in --help.
	* src/man.h (man_getopt): Remove prototype.
	* src/manconv.c (long_options, args, usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, options, parse_opt, argp): Add.
	  (main): Switch from getopt_long to argp_parse.
	* src/mandb.c (long_options, args, usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, options, parse_opt, argp): Add.
	  (main): Switch from getopt_long to argp_parse.
	* src/manpath.c (long_options, args, usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, options, parse_opt, argp): Add.
	  (main): Switch from getopt_long to argp_parse.
	* src/whatis.c (long_options, args, apropos_usage, whatis_usage,
	  usage): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, apropos_doc, options, parse_opt,
	  apropos_argp, whatis_argp): Add.
	  (main): Switch from getopt_long to argp_parse. Suppress --exact
	  and --and options in the whatis case.
	* src/zsoelim.l (long_options, args, usage, ver): Remove.
	  (argp_program_version, argp_program_bug_address,
	  argp_err_exit_status, args_doc, options, parse_opt, argp): Add.
	  (main): Switch from getopt_long to argp_parse.
	* po/POTFILES.in: Add zsoelim.l.

Thu Dec 13 17:20:51 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* autogen.sh: Permit gnulib-tool to be missing; in that case, just
	  run autoreconf.

Thu Dec 13 11:36:26 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Upgrade to gettext 0.17.
	* gnulib: Upgrade to Debian 20071201+dfsg-1.
	* README (Copyright and licensing): New section. Explain the
	  implications of Gnulib components being distributed under GPL v3.
	* .bzrignore: Ignore gnulib/lib/fcntl.h.

Mon Nov 26 08:37:30 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Utility functions to use): Rename to ...
	  (Facilities and portability): ... this. Add comments on Gnulib and
	  C89/C99.

Sun Nov 25 21:11:34 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING (Revision control): Add advice on docs/ChangeLog
	  practice in branches.

Sun Nov 25 21:01:22 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (get_roff_encoding): Just use the fallback
	  encoding if device is NULL, rather than crashing. Bug reported by
	  Ivan Shmakov.

Sun Nov 25 18:51:16 GMT 2007  Ivan Shmakov  <oneingray@gmail.com>

	* man/Rules.man: replace.sed lives in $(top_builddir)/man, not
	  $(top_srcdir)/man.

Sat Nov 24 10:45:50 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_roff_command): If the environment variable
	  MANROFFOPT is set, append its contents to the *roff command line
	  (thanks, Ivan Shmakov; Debian bug #451187).
	* man/man1/man.man1 (ENVIRONMENT): Document MANROFFOPT.
	* docs/NEWS: Document this.

Mon Nov 19 19:41:18 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AM_INIT_AUTOMAKE): Require Automake 1.10. Ming Hua
	  reported that Automake 1.9 doesn't have the MKDIR_P feature we
	  depend on.

Tue Nov 13 22:10:51 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (use_grep, do_whatis, word_fnmatch, search, main):
	  Rename regex to regex_opt, as Solaris' <libgen.h> defines a regex
	  function (thanks to the Nexenta developers).

Mon Nov 12 19:24:00 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* src/accessdb.c (main), src/globbing_test.c (main),
	  src/lexgrog_test.c (main), src/zsoelim.l (main): Enable
	  localisation (Debian bug #448395).

Sun Nov 11 05:43:16 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Issue a useful error message if
	  gnulib/po/Makefile.in.in does not exist (reported by Ming Hua).

Mon Oct 22 00:04:45 BST 2007  Colin Watson  <cjwatson@debian.org>

	Bruno Haible notes in
	http://lists.gnu.org/archive/html/groff/2005-12/msg00061.html that
	setlocale is supported on all known systems, and it is in C89. Use
	it unconditionally.

	* configure.ac: Don't check for setlocale.
	* src/catman.c (parse_for_sec), src/man.c (main), src/manp.c
	  (add_nls_manpath), src/whatis.c (main): Remove HAVE_SETLOCALE
	  conditionals.

Sun Oct 21 21:56:02 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Forbid output tokens beginning with "MAN_".

Sun Oct 21 21:52:43 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Rationalise use of comments. Use more vertical
	  whitespace.

Sun Oct 21 21:12:46 BST 2007  Colin Watson  <cjwatson@debian.org>

	* gnulib: Import .po files (--po-base=gnulib/po --po-domain=man-db).
	* configure.ac (AC_CONFIG_FILES): Generate gnulib/po/Makefile.in.
	* Makefile.am (SUBDIRS): Build gnulib/po.
	* .bzrignore: Ignore gnulib/po. This is contrary to our usual
	  practice, since this is generated by autogen.sh; but gnulib-tool
	  gives us full .po files which are then stripped down to just the
	  parts of Gnulib we use by make, so adding them to bzr is
	  inconvenient.

Sun Oct 21 19:46:26 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (man_getopt): Fix reversed handling of -f and -k in the
	  "incompatible options" message.

Sun Oct 21 19:43:27 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac (CFLAGS): Add -Wformat-security.
	* src/man.c (man_getopt): Use %s as the format string for the
	  "incompatible options" message since the message itself is not a
	  string literal. (This is only a security problem in the presence
	  of hostile translators.)

Sun Oct 21 17:59:13 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man (SED_ARGS): Move to ...
	* man/replace.sin: ... here.
	* man/Rules.man (.man1.1, .man5.5, .man8.8): Use replace.sed to
	  shorten build output.
	* configure.ac (AC_CONFIG_FILES): Generate man/replace.sed from
	  man/replace.sin.
	* .bzrignore: Ignore man/replace.sed.

Sun Oct 21 13:38:09 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/check_mandirs.c (purge_missing): If there is no content, that
	  might just be because the key was already freed while purging an
	  earlier multi key, so skip to the next key rather than breaking
	  out of the loop.

Sun Oct 21 13:33:38 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Check for gdbm_exists in DBLIBS as well as LIBS.
	  Remove unused gdbm_setopt check.

Sun Oct 21 01:25:00 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AC_INIT): Pass a BUG-REPORT argument.

Sat Oct 20 18:27:13 BST 2007  Colin Watson  <cjwatson@debian.org>

	* gnulib/lib/xmalloc.c (xstrdup): Explicitly tolerate a NULL
	  argument, returning NULL in that case. (Also sent to Gnulib
	  upstream.)
	* gnulib/lib/xmalloc.patch: Add, with the above change in patch
	  format.
	* autogen.sh: Apply xmalloc.patch after updating Gnulib.

Sat Oct 20 18:20:07 BST 2007  Colin Watson  <cjwatson@debian.org>

	* gnulib/lib/asnprintf.c, gnulib/lib/asprintf.c,
	  gnulib/lib/float+.h, gnulib/lib/float_.h,
	  gnulib/lib/printf-args.c, gnulib/lib/printf-args.h,
	  gnulib/lib/printf-parse.c, gnulib/lib/printf-parse.h,
	  gnulib/lib/size_max.h, gnulib/lib/stdio_.h,
	  gnulib/lib/vasnprintf.c, gnulib/lib/vasnprintf.h,
	  gnulib/lib/vasprintf.c, gnulib/lib/xasprintf.c,
	  gnulib/lib/xsize.h, gnulib/lib/xvasprintf.c,
	  gnulib/lib/xvasprintf.h, gnulib/m4/eoverflow.m4,
	  gnulib/m4/float_h.m4, gnulib/m4/intmax_t.m4,
	  gnulib/m4/inttypes_h.m4, gnulib/m4/size_max.m4,
	  gnulib/m4/stdarg.m4, gnulib/m4/stdint_h.m4, gnulib/m4/stdio_h.m4,
	  gnulib/m4/vasnprintf.m4, gnulib/m4/vasprintf.m4,
	  gnulib/m4/wchar_t.m4, gnulib/m4/xsize.m4, gnulib/m4/xvasprintf.m4:
	  Import the Gnulib xvasprintf module.
	* .bzrignore: Update.

	* libdb/mydbm.h: Add MYDBM_RESET_DSIZE and MYDBM_SET convenience
	  macros, to obsolete most direct uses of MYDBM_SET_DPTR and
	  MYDBM_DSIZE. Code that just wants to put a string in a datum
	  should use MYDBM_SET.
	* libdb/db_btree.c (dbstore), libdb/db_delete.c (dbdelete): Use
	  MYDBM_SET.
	* libdb/db_lookup.c (make_multi_key): Use MYDBM_SET and xasprintf.
	  (make_content): Likewise. Collapse ANSI_SPRINTF #ifdef, no longer
	  needed.
	  (dblookup): Use MYDBM_SET.
	* libdb/db_ndbm.c (ndbm_flopen): Use xasprintf.
	* libdb/db_store.c (dbstore): Use MYDBM_SET and xasprintf.
	* libdb/db_ver.c (dbver_rd, dbver_wr): Use MYDBM_SET.
	* src/check_mandirs.c (update_db_time): Use MYDBM_SET and xasprintf.
	  (reset_db_time, update_db): Use MYDBM_SET.
	* src/filenames.c (make_filename): Use xasprintf.
	* src/man.c (setenv_less): Use xasprintf.

	* m4/man-ansi-sprintf.m4, configure.ac (MAN_FUNC_ANSI_SPRINTF):
	  Remove.

Sat Oct 20 14:30:44 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Remove redundant check for getcwd.

Thu Oct 18 01:51:06 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/wrapper.c: Include "config.h" right at the top and with a
	  HAVE_CONFIG_H guard, like other files.

Thu Oct 18 01:41:41 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/pathsearch.c, src/man.c, src/mandb.c, src/manp.c: Include
	  "xgetcwd.h" rather than <xgetcwd.h>, as suggested by gnulib-tool.

Thu Oct 18 01:37:22 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (cat_manpath): Whitespace adjustments.

Thu Oct 18 01:15:25 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c: PIPE_BUF is no longer used, so don't define it.

Wed Oct 17 22:34:32 BST 2007  Colin Watson  <cjwatson@debian.org>

	* gnulib/lib/minmax.h, gnulib/m4/minmax.m4: Import the Gnulib minmax
	  module.
	* src/man.c (duplicate_candidates): Use it.
	* src/util.c: Remove unused definition of MAX.

	Regenerate all build system files. (Future ChangeLog entries will
	not mention this.)

Wed Oct 17 22:22:25 BST 2007  Colin Watson  <cjwatson@debian.org>

	* gnulib/lib/strerror.c, gnulib/m4/strerror.m4: Import the Gnulib
	  strerror module.

	Regenerate all build system files.

Wed Oct 17 21:05:50 BST 2007  Colin Watson  <cjwatson@debian.org>

	Use the Gnulib portability library.

	* lib/alloca.c, lib/basename.c, lib/error.c, lib/error.h,
	  lib/fnmatch.c, lib/fnmatch_.h, lib/getcwdalloc.c,
	  lib/getcwdalloc.h, lib/getopt.c, lib/getopt1.c, lib/getopt_.h,
	  lib/glob.c, lib/glob_.h, lib/memcmp.c, lib/mkdtemp.c,
	  lib/mkstemp.c, lib/putenv.c, lib/realpath.c, lib/rename.c,
	  lib/setenv.c, lib/setenv.h, lib/strcspn.c, lib/strnlen.c,
	  lib/strsep.c, lib/tempname.c, lib/unsetenv.c, lib/xmalloc.c,
	  lib/xstrdup.c, lib/xstrndup.c, m4/man-fnmatch.m4, m4/setenv.m4,
	  m4/tempname.m4: Remove.
	* gnulib/*, tools/link-warning.h: Import atexit, canonicalize,
	  dirname, error, fnmatch-gnu, getopt, glob, memcmp, mkdtemp,
	  mkstemp, regex, rename, setenv, strcspn, strsep, sys_select,
	  xalloc, xgetcwd, and xstrndup modules.
	* .bzrignore: Update.
	* Makefile.am (SUBDIRS): Build gnulib/lib.
	  (ACLOCAL_AMFLAGS): Add -I gnulib/m4.
	* autogen.sh: Add gnulib-tool --update.
	* configure.ac: Call gl_EARLY and gl_INIT.
	  Remove calls to AC_AIX and AC_MINIX.
	  Stop checking for unistd.h, regex.h, libgen.h, string.h, and
	  strings.h headers.
	  Stop checking for alloca, memcmp, strcoll, vprintf, getwd, atexit,
	  on_exit, canonicalize_file_name, regcomp, re_comp, globfree,
	  getopt_long, putenv, realpath, rename, basename, strsep, strcspn,
	  strnlen, mkdtemp, mkstemp, setenv, and __gen_tempname functions.
	  Generate gnulib/lib/Makefile.
	* docs/HACKING: Document policy on generated files in revision
	  control.
	* include/manconfig.h.in: Replace xmalloc, xrealloc, xstrdup, and
	  xstrndup declarations with inclusions of xalloc.h and xstrndup.h.
	  Stop defining basename, strsep, and getcwd.
	* lib/Makefile.am (libman_a_CPPFLAGS): Include headers from
	  gnulib/lib.
	  (libman_a_SOURCES): Remove error.c, error.h, getcwdalloc.c,
	  getcwdalloc.h, setenv.h, xmalloc.c, xstrdup.c, and xstrndup.c.
	  (libman_a_LIBADD): Remove $(ALLOCA).
	  (BUILT_SOURCES, MOSTLYCLEANFILES, EXTRA_DIST, fnmatch.h, getopt.h,
	  glob.h): Remove; replaced by Gnulib.
	* lib/README: Alphabetise, update file list, and update authors.
	* libdb/Makefile.am (libmandb_a_CPPFLAGS): Include headers from
	  gnulib/lib.
	* src/Makefile.am (AM_CPPFLAGS): Include headers from gnulib/lib.
	  (LIBMAN): Link with gnulib/lib/libgnu.a.

	* lib/cleanup.c: Assume <unistd.h> and atexit.
	* lib/decompress.c, lib/flock.c: Assume <unistd.h>.
	* lib/pathsearch.c: Assume <unistd.h>.
	  (pathsearch): Use xgetcwd.
	* lib/pipeline.c: Assume <sys/select.h> and <unistd.h>. Remove
	  duplicate <fcntl.h> inclusion.
	  (command_new): Use base_name.
	* lib/tempfile.c, lib/xstrsignal.h: Assume <unistd.h>.
	* libdb/db_btree.c: Assume <unistd.h>.
	* libdb/db_btree.c, libdb/db_lookup.c: Assume <unistd.h> and strsep.
	* libdb/db_ndbm.c: Assume <unistd.h>.
	* libdb/db_store.c: Assume <unistd.h> and strsep.
	* src/accessdb.c (main): Use base_name.
	* src/catman.c: Assume <unistd.h>.
	  (main): Use base_name.
	* src/check_mandirs.c: Assume <unistd.h>, strpbrk, and time.
	  (test_manfile): Use base_name. Rename existing base_name variable
	  to manpage_base.
	  (reset_db_time): Use dir_name.
	* src/compression.c, src/convert_name.c: Assume <unistd.h>.
	* src/filenames.c: Remove unused <libgen.h> inclusion.
	* src/globbing_test.c (main): Use base_name.
	* src/lexgrog.l, src/lexgrog.l-2.3.8, src/lexgrog.l-2.4a,
	  src/lexgrog.l.new: Assume <unistd.h>.
	* src/lexgrog_test.c (main): Use base_name.
	* src/man.c: Assume <unistd.h>.
	  (gripe_no_man): Use unsetenv rather than putenv.
	  (local_man_loop): Use base_name.
	  (main): Use base_name and xgetcwd.
	  (make_roff_command): Use setenv rather than putenv.
	  (format_display): Use xgetcwd and base_name.
	* src/manconv.c: Assume <unistd.h>.
	  (main): Use base_name.
	* src/mandb.c: Assume <unistd.h>.
	  (main): Use base_name and xgetcwd.
	* src/manp.c: Assume <unistd.h>.
	  (add_dir_to_path_list): Use xgetcwd.
	* src/manpath.c: Assume <unistd.h>.
	  (main): Use base_name.
	* src/security.c: Assume <unistd.h>.
	* src/straycats.c: Assume <unistd.h>.
	  (check_for_stray): Use base_name. Assume canonicalize_file_name.
	* src/ult_src.c: Assume <unistd.h>.
	  (ult_softlink): Use canonicalize_file_name.
	* src/ult_src.c: Assume <unistd.h>.
	* src/whatis.c: Assume <unistd.h> and <sys/types.h>.
	  (use_grep, parse_name, parse_whatis, search, main): Assume POSIX
	  regex functions (provided by Gnulib's regex module).
	  (main): Use base_name.
	* src/wrapper.c (main): Use base_name.
	* src/zsoelim.l: Assume <unistd.h>.
	  (main): Use base_name.

	* docs/NEWS: Document this.

	Drop remaining bits of pre-C89 compatibility.

	* lib/ansidecl.h, lib/strspn.c, lib/strstr.c: Remove.
	* configure.ac: Stop checking for strstr and strspn.
	* include/manconfig.h.in: Remove VOID definition.
	* lib/Makefile.am (libman_a_SOURCES): Remove ansidecl.h.
	* lib/appendstr.c, lib/decompress.c, lib/flock.c, lib/hashtable.c,
	  lib/pathsearch.c, lib/tempfile.c, libdb/db_btree.c,
	  libdb/db_delete.c, libdb/db_gdbm.c, libdb/db_lookup.c,
	  libdb/db_ndbm.c, libdb/db_store.c, libdb/db_ver.c, src/accessdb.c,
	  src/catman.c, src/check_mandirs.c, src/compression.c,
	  src/convert_name.c, src/descriptions.c, src/descriptions_store.c,
	  src/encodings.c, src/fake_security.c, src/filenames.c,
	  src/globbing.c, src/globbing_test.c, src/lexgrog.l,
	  src/lexgrog.l-2.3.8, src/lexgrog.l-2.4a, src/lexgrog.l.new,
	  src/lexgrog_test.c, src/man.c, src/manconv.c, src/mandb.c,
	  src/manp.c, src/manpath.c, src/security.c, src/straycats.c,
	  src/ult_src.c, src/util.c, src/version.c, src/whatis.c,
	  src/zsoelim.l: Assume C89 declaration syntax, headers, and
	  functions.
	* docs/NEWS: Document this.

	* configure.ac (--enable-mandirs): Improve grammar.

	Regenerate all build system files using autogen.sh.

Mon Oct 15 10:15:48 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Document previous change.

Mon Oct 15 10:13:57 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (check_preprocessor_encoding): Allow only
	  alphanumerics and "-_/:.()" in encoding names (Debian bug
	  #446055). This matches everything in 'iconv --list' on my system.
	  (try_iconv): Include encoding names in error message if iconv_open
	  fails.

Mon Oct 15 10:06:51 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man (.man1.1, .man5.5, .man8.8): Use $(MKDIR_P) rather
	  than hardcoding mkdir -p.
	* man/Makefile.in, man/de.UTF-8/Makefile.in,
	  man/es.UTF-8/Makefile.in, man/fr.UTF-8/Makefile.in,
	  man/it.UTF-8/Makefile.in, man/ja.UTF-8/Makefile.in: Regenerate.

Sun Oct 14 02:39:43 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/Makefile.am (AM_CPPFLAGS): Fix SOELIM definition.
	* src/Makefile.in: Regenerate.

Sun Oct 14 01:20:07 BST 2007  Colin Watson  <cjwatson@debian.org>

	* .bzrignore: Restore some ignores needed in intl/.

Sun Oct 14 01:16:23 BST 2007  Colin Watson  <cjwatson@debian.org>

	Add most files generated by autogen.sh to revision control, as it
	makes it easier to keep track of what the Autotools are doing.
	autom4te.cache and po/Makevars.template are explicitly still
	ignored; the former is junk and the latter is only necessary in the
	gettext-tools package.

	* ABOUT-NLS, aclocal.m4, config.h.in, configure, intl/ChangeLog,
	  intl/Makefile.in, intl/VERSION, intl/bindtextdom.c,
	  intl/config.charset, intl/dcgettext.c, intl/dcigettext.c,
	  intl/dcngettext.c, intl/dgettext.c, intl/dngettext.c,
	  intl/eval-plural.h, intl/explodename.c, intl/export.h,
	  intl/finddomain.c, intl/gettext.c, intl/gettextP.h, intl/gmo.h,
	  intl/hash-string.c, intl/hash-string.h, intl/intl-compat.c,
	  intl/intl-exports.c, intl/l10nflist.c, intl/langprefs.c,
	  intl/libgnuintl.h.in, intl/loadinfo.h, intl/loadmsgcat.c,
	  intl/localcharset.c, intl/localcharset.h, intl/locale.alias,
	  intl/localealias.c, intl/localename.c, intl/lock.c, intl/lock.h,
	  intl/log.c, intl/ngettext.c, intl/os2compat.c, intl/os2compat.h,
	  intl/osdep.c, intl/plural-exp.c, intl/plural-exp.h, intl/plural.c,
	  intl/plural.y, intl/printf-args.c, intl/printf-args.h,
	  intl/printf-parse.c, intl/printf-parse.h, intl/printf.c,
	  intl/ref-add.sin, intl/ref-del.sin, intl/relocatable.c,
	  intl/relocatable.h, intl/textdomain.c, intl/vasnprintf.c,
	  intl/vasnprintf.h, intl/vasnwprintf.h, intl/version.c,
	  intl/wprintf-parse.h, intl/xsize.h, m4/codeset.m4, m4/gettext.m4,
	  m4/glibc2.m4, m4/glibc21.m4, m4/iconv.m4, m4/intdiv0.m4,
	  m4/intl.m4, m4/intldir.m4, m4/intmax.m4, m4/inttypes-pri.m4,
	  m4/inttypes_h.m4, m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4,
	  m4/lib-prefix.m4, m4/lock.m4, m4/longdouble.m4, m4/longlong.m4,
	  m4/nls.m4, m4/po.m4, m4/printf-posix.m4, m4/progtest.m4,
	  m4/size_max.m4, m4/stdint_h.m4, m4/uintmax_t.m4, m4/ulonglong.m4,
	  m4/visibility.m4, m4/wchar_t.m4, m4/wint_t.m4, m4/xsize.m4,
	  po/Makefile.in.in, po/Rules-quot, po/boldquot.sed,
	  po/en@boldquot.header, po/en@quot.header, po/insert-header.sin,
	  po/quot.sed, po/remove-potcdate.sin, tools/config.rpath,
	  tools/depcomp, tools/missing, tools/ylwrap: New files.
	* .bzrignore: Update.

Sun Oct 14 01:04:41 BST 2007  Colin Watson  <cjwatson@debian.org>

	* autogen.sh: Use 'autoreconf -i' rather than reinventing the wheel.

Sun Oct 14 00:53:14 BST 2007  Colin Watson  <cjwatson@debian.org>

	* po/man-db.pot, po/*.po: Update.

Sun Oct 14 00:49:31 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/Rules.man (clean-local): Remove; we don't need to worry about
	  removing empty directories in separated build trees.
	* man/Makefile.in, man/de.UTF-8/Makefile.in,
	  man/es.UTF-8/Makefile.in, man/fr.UTF-8/Makefile.in,
	  man/it.UTF-8/Makefile.in, man/ja.UTF-8/Makefile.in: Regenerate.

Sun Oct 14 00:40:26 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man-db.lsm: Move to ...
	* docs/man-db.lsm: ... here.
	* Makefile.am, docs/Makefile.am: Move man-db.lsm reference.
	* Makefile.in, docs/Makefile.in: Regenerate.

Sun Oct 14 00:33:10 BST 2007  Colin Watson  <cjwatson@debian.org>

	* README: Remove several restrictions lifted by the conversion to
	  Automake. Remove documentation of how to install native language
	  manual pages, since this is now done unconditionally. Remove
	  documentation of the update target, which no longer exists and
	  should no longer be needed.

	* docs/NEWS: Document conversion to Automake.

Sun Oct 14 00:22:31 BST 2007  Colin Watson  <cjwatson@debian.org>

	Convert to Automake. This fixes VPATH builds, fixes a number of bugs
	in areas such as dependency generation, provides new features such
	as 'make distcheck', moves complexity into autogenerated code, and
	prepares the way for using Gnulib more effectively.

	* makefile.in, include/Defines.in: Remove.
	* GNUmakefile.in, lib/Makefile.in, libdb/Makefile.in,
	  man/Makefile.in, manual/Makefile.in, src/Makefile.in: Translate to
	  Automake and move to ...
	* Makefile.am, lib/Makefile.am, libdb/Makefile.am, man/Makefile.am,
	  manual/Makefile.am, src/Makefile.am: ... here.
	* docs/Makefile.am, tools/Makefile.am: Build these directories
	  separately.
	* man/Rules.man, man/de.UTF-8/Makefile.am, man/es.UTF-8/Makefile.am,
	  man/fr.UTF-8/Makefile.am, man/it.UTF-8/Makefile.am,
	  man/ja.UTF-8/Makefile.am: Build manual pages recursively, as it
	  makes VPATH builds easier.
	* Makefile.in, docs/Makefile.in, lib/Makefile.in, libdb/Makefile.in,
	  man/Makefile.in, man/de.UTF-8/Makefile.in,
	  man/es.UTF-8/Makefile.in, man/fr.UTF-8/Makefile.in,
	  man/it.UTF-8/Makefile.in, man/ja.UTF-8/Makefile.in,
	  manual/Makefile.in, src/Makefile.in, tools/Makefile.in: Add
	  generated files.
	* README: Remove mention of include/Defines.
	* autogen.sh: Call automake-1.10 --add-missing --copy.
	* m4/man-trans-subst.m4: New macro.
	* configure.ac: Various changes for Automake. AC_SUBST man_owner,
	  and set man_mode rather than man_install_flags. Set
	  config_file_dirname. Calculate transformed versions of program
	  names (using MAN_TRANS_SUBST) here for use in Automake variables.
	* docs/HACKING (Directory layout): Mention automake.

	Arrange that each file only needs to be built once.

	* src/globbing.c: Split main program out to ...
	* src/globbing_test.c: ... here.
	* src/lexgrog.l: Split main program out to ...
	* src/lexgrog_test.c: ... here.
	* po/POTFILES.in: Add src/globbing_test.c and src/lexgrog_test.c.
	* src/whatis.c (args, long_options): Include -a/--and
	  unconditionally.
	  (usage): Replace with a wrapper selecting between ...
	  (apropos_usage, whatis_usage): ... these.
	  (apropos, whatis): Rename to ...
	  (do_apropos, do_whatis): ... these, respectively.
	  (use_grep, do_whatis, parse_name, match, do_apropos, search,
	  main): Use run-time conditionals rather than compile-time
	  conditionals.
	  (main): Detect whether we are being invoked as "apropos" or
	  "whatis" and adjust behaviour accordingly.
	* src/Makefile.am: Adjust for the above. Make apropos a symlink to
	  whatis.

	Make VPATH builds work, and simplify some includes.

	* configure.ac, m4/man-fnmatch.m4: Define FNMATCH_H, GETOPT_H, and
	  GLOB_H to the respective header names if system versions do not
	  exist.
	* lib/hashtable.h: Remove unnecessary libdb includes.
	* lib/decompress.h, lib/glob.c, libdb/db_btree.c, libdb/db_delete.c,
	  libdb/db_gdbm.c, libdb/db_lookup.c, libdb/db_ndbm.c,
	  libdb/db_storage.h, libdb/db_store.c, libdb/db_ver.c,
	  src/accessdb.c, src/catman.c, src/check_mandirs.c,
	  src/check_mandirs.h, src/compression.c, src/convert_name.c,
	  src/descriptions.h, src/descriptions_store.c, src/encodings.c,
	  src/fake_security.c, src/filenames.c, src/filenames.h,
	  src/globbing.c, src/lexgrog.l, src/lexgrog.l-2.3.8,
	  src/lexgrog.l-2.4a, src/lexgrog.l.new, src/man.c, src/manconv.c,
	  src/mandb.c, src/manp.c, src/manpath.c, src/security.c,
	  src/straycats.c, src/ult_src.c, src/util.c, src/version.c,
	  src/whatis.c, src/wrapper.c, src/zsoelim.l: Remove lib/ and libdb/
	  prefixes from includes. Include <fnmatch.h>, <getopt.h>, and
	  <glob.h> directly rather than using a forest of #ifdefs, since the
	  copies in lib/ are now not built if a system version exists.

	* .bzrignore: Update.

Sat Oct 13 15:04:06 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/popen.c, m4/man-pclose.m4: Remove; we no longer need popen or
	  pclose.
	* configure.ac: Remove call to MAN_FUNC_PCLOSE.

Sat Oct 13 11:55:21 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Add --with-sections option to change the default
	  value of SECTION.
	* src/man_db.conf.in: Use its output.
	* docs/NEWS: Document this.

Fri Oct 12 12:22:52 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Start 2.5.1.

Fri Oct 12 11:57:50 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): If we need to try the next encoding in
	  the list, make sure to do that before writing the output buffer.

Fri Oct 12 10:21:07 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (use_grep): Add trailing newline to debugging output.

Fri Oct 12 01:47:49 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/manconv.c (try_iconv): Improve debugging output slightly.

Fri Oct 12 01:43:25 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (format_display_and_save, format_display,
	  display_catman): Only discard stderr from formatting processes if
	  stdout is a terminal.

Fri Oct 12 01:32:52 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (device_table): groff's ascii device only supports
	  ASCII input, not ISO-8859-1.
	  (compatible_encodings): If the output is ASCII, this is probably
	  because the caller explicitly asked for it, so allow recoding to
	  it unconditionally.

Fri Oct 12 00:48:42 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (main): locale is a constant pointer; free
	  internal_locale instead (Debian bug #446302).

Thu Oct 11 01:40:51 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display): Free format_cmd on two more early return
	  paths.

Thu Oct 11 00:53:31 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display): I don't think it's possible for decomp to be
	  NULL on the display_to_stdout path, but better safe than sorry.

Thu Oct 11 00:38:56 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display): Connect up the decompression pipeline in the
	  display_to_stdout case too (Debian bug #446189).
	  (checked_system): Remove, no longer used.

Thu Oct 11 00:21:49 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_roff_command): Perform input encoding conversion
	  for troff output as well as nroff output.

Wed Oct 10 09:39:53 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/man8/mandb.man8 (DATABASE CACHES): Fix "occured" typo (thanks,
	  Alfie Costa; Debian bug #446044).

Mon Oct  8 02:24:19 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/popen.c (popen), src/descriptions.c (parse_descriptions),
	  src/man.c (add_candidate), src/manp.c (add_dir_to_path_list): Use
	  xmalloc instead of malloc.
	* lib/pipeline.c (get_block): Use xrealloc instead of realloc.

Mon Oct  8 02:15:47 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/HACKING: Minor release process adjustment now that we're no
	  longer using CVS.

Mon Oct  8 02:13:15 BST 2007  Colin Watson  <cjwatson@debian.org>

	* README: Building the manual requires running ./configure now.

Mon Oct  8 02:09:55 BST 2007  Colin Watson  <cjwatson@debian.org>

	The strappend function is in the namespace reserved by C99
	7.26.10/7.26.11; rename it to appendstr.

	* lib/strappend.c: Rename to ...
	* lib/appendstr.c: ... this. Rename function.
	* lib/Makefile.in (ALLSRCS, ALL): Build appendstr instead of
	  strappend.
	* lib/README: Update credit.
	* include/manconfig.h.in: Update prototype.
	* lib/decompress.c, lib/pathsearch.c, lib/pipeline.c,
	  lib/tempfile.c, libdb/db_delete.c, src/accessdb.c, src/catman.c,
	  src/check_mandirs.c, src/compression.c, src/convert_name.c,
	  src/encodings.c, src/filenames.c, src/globbing.c,
	  src/lexgrog.l.new, src/man.c, src/manconv.c, src/mandb.c,
	  src/manp.c, src/straycats.c, src/ult_src.c, src/util.c,
	  src/whatis.c, src/zsoelim.l: Update all callers.
	* docs/HACKING: Update reference.
	* docs/TODO: Remove item for this.

Mon Oct  8 01:21:10 BST 2007  Colin Watson  <cjwatson@debian.org>

	* GNUmakefile.in (_man): Ship po4a files.
	  (dist): Create the necessary directories.

Mon Oct  8 01:16:07 BST 2007  Colin Watson  <cjwatson@debian.org>

	Build the manual automatically. This avoids problems trying to do a
	distclean (distclean at the top level runs ./config.status --recheck
	and regenerates manual/Makefile, but manual/Makefile requires
	include/Defines to exist, so there is no way to distclean both the
	top level and manual/).

	* GNUmakefile.in (EVERYTHING, ALL): Add manual.
	  (_subdirs): Remove manual, now included in $(EVERYTHING).

Sun Oct  7 17:05:54 BST 2007  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.0.
	* configure.ac, docs/NEWS, man-db.lsm: Update.

Sun Oct  7 17:01:47 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (ja_name): Add another possible translation.

Sun Oct  7 15:19:15 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/Makefile.in (distclean): Remove Makefile.

Sun Oct  7 14:28:27 BST 2007  Colin Watson  <cjwatson@debian.org>

	* po/man-db.pot, po/*.po: Update.

Sun Oct  7 14:24:31 BST 2007  Ming Hua  <minghua-guest@users.alioth.debian.org>

	* po/zh_CN.po: New translation.
	* po/LINGUAS: Add zh_CN.
	* man/THANKS: Add translator credit.

Wed Sep 26 17:57:44 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/util.c (escape_shell): '=' is conceivably a shell
	  metacharacter if used in the first word of a command (although I
	  can't see anywhere in man-db where this might actually happen,
	  barring very unlikely settings of $BROWSER).

Wed Sep 26 17:51:45 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/globbing.c (look_for_file): Don't escape the hierarchy path;
	  it isn't necessary and it causes problems for paths containing
	  metacharacters (Debian bug #444187).
	* src/globbing.h (look_for_file): Update prototype.

Tue Sep 18 11:29:26 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/po4a/po4a.cfg: Add po4a mechanism for manual page translation,
	  as the Simplified Chinese translator would like to use this.
	* man/po4a/po/man-db.pot: Add generated file.

	* man/man1/apropos.man1, man/man1/lexgrog.man1, man/man1/man.man1,
	  man/man1/manconv.man1, man/man1/manpath.man1,
	  man/man1/whatis.man1, man/man1/zsoelim.man1,
	  man/man5/manpath.man5, man/man8/accessdb.man8,
	  man/man8/catman.man8, man/man8/mandb.man8: Some strings should not
	  be translated. Use the ".if !'po4a'hide'" idiom to mark them.
	* man/man1/man.man1 (OVERVIEW): Adjust some spacing.

Tue Sep 18 08:59:55 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (directory_table): Switch Simplified Chinese to
	  GBK by default. Ming Hua points out that GBK is a superset of
	  EUC-CN, and indeed all Simplified Chinese manual pages I can find
	  can be recoded from GBK without hassle. I'm less certain about
	  changing the output encoding, but for CJK encodings it's best for
	  these to be the same at the moment.

Mon Sep 17 16:13:37 BST 2007  Daniel Nylander  <po@danielnylander.se>

	* po/sv.po: Update from Translation Project.

Mon Sep 17 14:27:15 BST 2007  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Mon Sep 17 00:34:17 UTC 2007  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (ja_name): Oops; make the first translation keep
	  working!

Mon Sep 17 00:26:27 UTC 2007  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (ja_name): Add another possible translation.

Mon Sep 17 00:11:38 UTC 2007  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_start): Break after execvp, otherwise we
	  segfault if execvp fails.

Sun Sep 16 23:15:27 BST 2007  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.0-pre2.
	* man-db.lsm (Keywords): Add manconv.

Sun Sep 16 20:41:36 BST 2007  Colin Watson  <cjwatson@debian.org>

	* GNUmakefile.in (__distclean): Remove config.status.lineno.
	* .bzrignore: Ignore ./config.status.lineno.

Sun Sep 16 20:38:32 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/Makefile.in: Deal more neatly with manual pages without
	  complete sets of translations.

Sun Sep 16 20:25:24 BST 2007  Colin Watson  <cjwatson@debian.org>

	Add more intelligent guessing of manual page encodings. Thanks to
	Adam Borowski for discussion leading to this.

	* src/manconv.c: New program.
	* man/man1/manconv.man1: Document it.
	* .bzrignore: Ignore src/manconv.
	* include/Defines.in (manconv): Add.
	* man/Makefile.in (manconv, thmanconv, manconv.1): Add.
	  (process_manpage): Add manconv and thmanconv.
	  (allmanpages): Add ./man1/manconv.1.
	  (nlsinstall): Install manconv.1.
	  (nlsuninstall): Uninstall manconv.1.
	* src/Makefile.in (PRIVTOOLS, all): Add manconv.
	* po/POTFILES.in: Add src/manconv.c.
	* po/man-db.pot, po/*.po: Update.

	* src/man.c (PP_COOKIE): Move to ...
	* include/manconfig.h.in (PP_COOKIE): ... here.

	* src/encodings.c (add_manconv): New function to use manconv instead
	  of iconv where appropriate.
	* src/encodings.h (add_manconv): Add prototype.
	* src/lexgrog.l (find_name): Use it.
	* src/man.c (make_roff_command): Use it. Remove coding: preprocessor
	  string handling, as manconv deals with that now.
	* src/straycats.c (check_for_stray): Use it.
	* src/Makefile.in (DEFS_encodings.o): Add, defining location of
	  manconv.

	* docs/NEWS: Document this.

Sun Sep 16 12:41:05 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/catman.c (main), src/globbing.c (main), src/lexgrog.l (main),
	  src/man.c (man_getopt), src/mandb.c (main), src/manpath.c (main),
	  src/whatis.c (main), src/zsoelim.l (main): Pass NULL as the fifth
	  argument to getopt_long rather than requiring an unused variable.

Tue Sep 11 13:49:33 BST 2007  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Mon Sep 10 10:29:40 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/TODO: Miscellaneous updates.

Mon Sep 10 10:26:57 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/INSTALL.autoconf: Update to instructions from Autoconf 2.61.

Mon Sep 10 10:20:23 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/misc.me (NLS message catalogues): Update Translation
	  Project URL.

Mon Sep 10 10:17:43 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/Makefile: Rename to ...
	* manual/Makefile.in: ... this. Write out a version file with the
	  current version of man-db.
	* manual/man_db.me: Use the automatically-generated version file
	  rather than hardcoding the version. Set the manual version to
	  simply the version of man-db.
	* configure.ac (AC_CONFIG_FILES): Add manual/Makefile.
	* GNUmakefile.in (_manual): Distribute manual/Makefile.in rather
	  than manual/Makefile.
	* .bzrignore: Update.

Mon Sep 10 09:17:17 BST 2007  Colin Watson  <cjwatson@debian.org>

	* Version: 2.5.0-pre1. I mistakenly used version 2.4.5-pre1 earlier.

Mon Sep 10 09:11:05 BST 2007  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Mon Sep 10 00:15:31 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Upgrade to gettext 0.16.1.
	* .bzrignore: Update ignores.

Sun Sep  9 23:49:37 BST 2007  Daniel Nylander  <po@danielnylander.se>

	* po/sv.po: Update from Translation Project.

Sun Sep  9 22:50:22 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/format.me (Format scripts): Adjust for renaming of
	  tools/mandb_[nt]fmt-script to tools/mandb_fmt-script.

Sun Sep  9 21:03:25 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/comp.me (Compressed manual pages): Using compressed manual
	  pages is perfectly reasonable these days; stop recommending
	  against it.

Sun Sep  9 20:57:16 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/files.me (Displaying latin1 characters on a Linux virtual
	  terminal): Rename to ...
	  (Displaying non-ASCII characters on a Linux virtual terminal): ...
	  this. Mention console-tools as an alternative to kbd. Remove
	  detailed advice on configuring kbd as it is now woefully out of
	  date. Recommend the UTF-8 encoding again.

Sun Sep  9 20:49:59 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/files.me (NLS manual pages): Update for new per-locale
	  directory handling. Recommend UTF-8 encoding.

Sun Sep  9 19:39:36 BST 2007  Colin Watson  <cjwatson@debian.org>

	* manual/intro.me (The manual page system): Refer to /usr/share/man
	  rather than /usr/man.
	* manual/sec.me (Package specific manual page sections): Likewise.
	* manual/files.me (Manual page hierarchies, Other OS's manual pages,
	  NLS manual pages): Likewise.
	* manual/leader.me: Update copyright years.

Sun Sep  9 19:24:56 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Reorder, roughly by importance.

Sun Sep  9 09:01:30 BST 2007  Colin Watson  <cjwatson@debian.org>

	* GNUmakefile.in (_root): Add autogen.sh to the distribution; it's
	  useful if you need to change autotools input files.

Sun Sep  9 08:37:04 BST 2007  Colin Watson  <cjwatson@debian.org>

	* Version: 2.4.5-pre1 (for translators).
	* po/man-db.pot, po/*.po: Update.

Mon Sep  3 14:34:06 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/manp.c (add_nls_manpath): Handle the POSIX locale the same way
	  as C.

Mon Sep  3 13:48:13 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/man1/whatis.man1 (OPTIONS): Refer to whatis rather than
	  apropos in description of --manpath.

Mon Sep  3 13:45:30 BST 2007  Nicolas François  <nicolas.francois@centraliens.net>

	* man/man1/apropos.man1 (ENVIRONMENT): Remove stray space in
	  description of POSIXLY_CORRECT. Patch from Debian bug #281811.

Mon Sep  3 13:26:19 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/encodings.c (directory_table): Add Bulgarian -> CP1251 and
	  Vietnamese -> TCVN5712-1.
	* src/lexgrog.l (bg_name, vi_name): Add.

Mon Sep  3 12:15:55 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/check_mandirs.c (test_manfile): Fix comment typos and
	  formatting.

Mon Sep  3 12:01:36 BST 2007  Colin Watson  <cjwatson@debian.org>

	* .bzrignore: Update for manual directory renaming.
	* GNUmakefile.in (nls_man): Likewise.

Mon Sep  3 11:56:58 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/de_DE.88591, man/es_ES.88591, man/fr_FR.88591,
	  man/it_IT.88591, man/ja_JP.eucJP: Rename to ...
	* man/de.UTF-8, man/es.UTF-8, man/fr.UTF-8, man/it.UTF-8,
	  man/ja.UTF-8: ... these. Recode all contents to UTF-8.
	* man/Makefile.in (NLS): Adjust directory search.
	* man/THANKS: Update credits.

Mon Sep  3 11:38:11 BST 2007  Colin Watson  <cjwatson@debian.org>

	Create and use databases for non-English manual hierarchies (Debian
	bug #29448). Extensive changes elsewhere to support this by means of
	better UTF-8 handling and knowledge of more languages.

	* src/check_mandirs.c (make_database_directory): New function.
	  (create_db, update_db): Use it.
	  (purge_missing): Check that the database exists before starting.
	* src/mandb.c (process_manpath): New function, split out from main.
	  Make the single_filename check aware that the file might be in a
	  per-locale subdirectory that we aren't processing right now.
	  (main): Use it. Move man_owner, purged, and strays to file scope.
	  Build databases for all per-locale subdirectories.
	* src/straycats.c (straycats): Constify manpath argument.
	* src/whatis.c (main): Sync locale handling with src/man.c, in order
	  to look up per-locale databases correctly. Based on a patch by
	  Nicolas François (Debian bug #281811).
	* include/manconfig.h.in (straycats): Update prototype.

	* src/man.c (duplicate_candidates): New function to determine
	  whether candidates are substantially duplicated, and if so in
	  which direction. The logic is better than before: it now knows how
	  to compare locales and pick the best available candidate for each
	  language, and prefers UTF-8 candidates if everything else is
	  equal.
	  (add_candidate): Move duplication logic to duplicate_candidates.
	  Adjust insertion handling so that we can drop old candidates in
	  favour of new candidates.
	* src/manp.c (check_and_give): Remove.
	  (unpack_locale_bits): New function, inspired by _nl_explode_name
	  in libintl.
	  (free_locale_bits): New function.
	  (add_nls_manpath): Instead of trying individual directories (which
	  doesn't work so well with character set aliasing), iterate over
	  all subdirectories of each manpath entry and add all those
	  matching the current locale's language and (if specified)
	  territory. This now includes ll.CODESET as well as more
	  conventional locale names.
	* src/manp.h: Declare 'struct locale_bits'. Prototype
	  unpack_locale_bits and free_locale_bits.

	* src/man.c (lang_dir): Move to ...
	* src/util.c (lang_dir): ... here.
	* src/lexgrog.l (long_options, args, main): New -E/--encoding
	  option.
	  (usage): Document it.
	  (cs_name, hu_name, ja_name, ru_name): Recode to UTF-8.
	  (find_name): Add encoding argument. Guess the page's encoding from
	  its filesystem location (or use encoding if supplied), and add an
	  iconv command to recode it to UTF-8.
	* man/man1/lexgrog.man1 (SYNOPSIS, OPTIONS): Document --encoding.
	* src/straycats.c (check_for_stray): Guess the page's encoding from
	  its filesystem location, and add an iconv command to recode it to
	  UTF-8.
	* src/whatis.c (simple_convert): New function to simplify iconv
	  handling.
	  (display): Convert output from UTF-8 to locale charset.
	  (main): Initialise iconv descriptor.
	* include/manconfig.h.in (find_name): Update prototype.
	  (lang_dir): Add prototype.
	* configure.ac: Call AM_ICONV.
	* src/Makefile.in (mandb, lexgrog): Add encodings.o.
	* src/Makefile.in (whatis, apropos): Add encodings.o and
	  $(LIBICONV).

	* src/encodings.c (directory_table): Add Serbian -> ISO-8859-5.
	* src/lexgrog.l (cs_name, hu_name): Expand character classes
	  containing non-ASCII characters into the form (a|b|...); flex
	  doesn't understand Unicode well enough to deal with them
	  otherwise.
	  (cs_name, ru_name): Add more possible translations.
	  (ko_name, sk_name, sr_name, tr_name, zh_CN_name, zh_TW_name): Add.
	  (find_name_decompressed): Ignore exit status from decompressor
	  pipeline; iconv may exit non-zero on misencoded pages, but if we
	  manage to extract a whatis from it anyway then it doesn't really
	  matter.

	* src/whatis.c (usage): Document -L/--locale.
	* man/man1/apropos.man1 (SYNOPSIS, OPTIONS): Likewise.
	* man/man1/whatis.man1 (SYNOPSIS, OPTIONS): Likewise.

	* docs/NEWS: Document this.

Sun Sep  2 01:21:11 BST 2007  Colin Watson  <cjwatson@debian.org>

	Add limited character set aliasing support.

	* src/encodings.c (charset_alias_table): New table for common
	  character set aliases.
	  (get_canonical_charset_name): New function to inspect
	  charset_alias_table.
	  (get_page_encoding): Use get_canonical_charset_name. Adjust FHS
	  commentary, since we now support its craziness.
	  (get_standard_output_encoding): Use get_canonical_charset_name.
	  (get_locale_charset): Likewise.
	* src/encodings.h: Prototype get_canonical_charset_name.

	* src/encodings.c (directory_table): Use EUC-CN rather than GB2312
	  and BIG5HKSCS rather than BIG5-HKSCS (canonical names according to
	  glibc's /usr/lib/gconv/gconv-modules).
	  (charset_table): Likewise.
	  (compatible_encodings): Likewise.

Sun Sep  2 00:49:27 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/decompress.c (decompress_open, decompress_fdopen): Don't start
	  the returned pipeline.
	* lib/decompress.h (decompress_open, decompress_fdopen): Note that
	  the caller must start the returned pipeline.
	* src/lexgrog.l (find_name): Start the decompressor pipeline.
	* src/man.c (display): Likewise.
	* src/ult_src.c (ult_src): Likewise.
	* src/zsoelim.l (open_file): Likewise.
	* src/straycats.c (check_for_stray): Append 'col -bx' to the
	  decompressor pipeline rather than connecting two pipelines
	  together. Don't call pipeline_wait by hand as pipeline_free will
	  do this for us now.

Fri Aug 31 14:52:22 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (maybe_update_file): Only recache pages automatically if
	  --update was given.

Fri Aug 31 04:54:45 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_free): Call pipeline_wait if the pipeline
	  is still running.
	* lib/pipeline.h (pipeline_free): Document that this may happen.

Fri Aug 31 04:46:04 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/zsoelim.l (main): Call pipeline_install_sigchld.

Wed Aug 29 17:12:52 BST 2007  Lars Wirzenius  <liw@iki.fi>

	* po/fi.po: Adjust translation of "No manual entry for %s" (Debian
	  bug #320108).

Wed Aug 29 15:22:54 BST 2007  Clytie Siddall  <clytie@riverland.net.au>

	* po/vi.po: Update from Translation Project.

Wed Aug 29 15:18:34 BST 2007  Daniel Nylander  <po@danielnylander.se>

	* po/sv.po: Update from Translation Project.

Wed Aug 29 12:07:38 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Reorganise slightly. Document mandb --quiet fixes.

Wed Aug 29 11:57:59 BST 2007  Colin Watson  <cjwatson@debian.org>

	Add an option to apropos to display only items matching all keywords
	(thanks, Alfie Costa; Debian bug #259340).

	* src/whatis.c (args, long_options, main): New -a/--and option for
	  apropos.
	  (usage): Document it.
	  (apropos): Store a count of how many times each item has been seen
	  in the hashtable. If --and was given, only display an item if its
	  count equals the number of supplied keywords.
	  (main): Store the number of supplied keywords. Adjust hash free
	  function.
	* man/man1/apropos.man1 (SYNOPSIS, OPTIONS): Document --and.
	* docs/NEWS: Document this.

Wed Aug 29 11:09:31 BST 2007  Colin Watson  <cjwatson@debian.org>

	* m4/man-path-progs.m4: Rename to ...
	* m4/man-check-progs.m4: ... this. Use AC_CHECK_PROGS rather than
	  AC_PATH_PROGS.
	* configure.ac: Use AC_CHECK_PROGS rather than
	  AC_PATH_PROG/AC_PATH_PROGS, and MAN_CHECK_PROGS rather than
	  MAN_PATH_PROGS. This fixes problems due to system utilities moving
	  around on $PATH (Debian bug #385651).

Wed Aug 29 10:42:08 BST 2007  Colin Watson  <cjwatson@debian.org>

	* configure.ac: Move bogus makefile content ...
	* makefile.in: ... here.

Wed Aug 29 10:15:33 BST 2007  Colin Watson  <cjwatson@debian.org>

	* m4/man-path-progs.m4: Define HAVE_WITH-ARG if the program is
	  found.
	* configure.ac: Rely on the above rather than setting HAVE_GZIP,
	  HAVE_COMPRESS, and HAVE_BZIP2 here.

Wed Aug 29 09:41:51 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/mandb.c (main): Revert inadvertently-committed debugging
	  change to straycats logic.

Wed Aug 29 09:34:50 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l: Add Indonesian translation of NAME.

Wed Aug 29 09:29:36 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Document previous apropos change.

Wed Aug 29 09:26:23 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/whatis.c (apropos): Add output keys to a hashtable, and skip
	  any that have already been seen (Debian bug #259338).
	  (main): Create the hashtable on startup and free it on exit.

Tue Aug 28 19:16:18 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (format_display): Wait for the decomp pipeline in the
	  !format_cmd case too.

Tue Aug 28 19:07:53 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (display_catman): Take a decompressor pipeline argument.
	  Connect it to format_cmd.
	  (display): Update call to display_catman.

Tue Aug 28 18:38:31 BST 2007  Colin Watson  <cjwatson@debian.org>

	Add a configuration file flag (NOCACHE) to disable cat page caching
	(thanks, Ralph Corderoy; Debian bug #196642).

	* src/manp.c (add_to_dirlist): Recognise NOCACHE.
	* src/man.c (display): Don't save a cat page if NOCACHE is set.
	* src/man_db.conf.in: Document NOCACHE.
	* man/man5/manpath.man5 (FORMAT): Document NOCACHE.
	* docs/NEWS: Document this.

Tue Aug 28 17:23:26 BST 2007  Colin Watson  <cjwatson@debian.org>

	* docs/NEWS: Bump to 2.5.0; I think there's now enough to justify
	  that.

Tue Aug 28 17:19:16 BST 2007  Colin Watson  <cjwatson@debian.org>

	Implement and use a decompression library. This allows cat pages to
	be saved in the background (Debian bug #18452) and operation with a
	read-only /tmp (Debian bug #165499).

	* lib/pipeline.h (struct command): Add support for commands that
	  consist of calling a function rather than executing a process.
	  (struct pipeline): Add want_infile and want_outfile members. Note
	  that infile and outfile default to NULL. Add source, buffer,
	  buflen, bufmax, line_cache, and peek_offset members.
	  (command_new_function, command_dump, command_tostring,
	  pipeline_connect, pipeline_pump, pipeline_read, pipeline_peek,
	  pipeline_peek_size, pipeline_peek_skip, pipeline_readline,
	  pipeline_peekline): New prototypes.
	  (pipeline_join): Update description for want_infile and
	  want_outfile.
	* lib/pipeline.c (command_new, command_dup, command_arg,
	  command_argv, command_args, command_argstr, command_free): Update
	  for 'struct command' changes.
	  (command_new_function, command_dump, command_tostring): New
	  functions.
	  (pipeline_new, pipeline_join, pipeline_dump, pipeline_tostring):
	  Update for 'struct pipeline' changes.
	  (pipeline_dump): Use command_dump.
	  (pipeline_tostring): Use command_tostring.
	  (pipeline_start): Implement want_infile, want_outfile, and
	  function commands. Make zero-command case work properly (read
	  directly from input file). Flush all pending stdio output so that
	  subprocesses don't inherit it.
	  (pipeline_connect, pipeline_pump, get_block, pipeline_read,
	  pipeline_peek, pipeline_peek_size, pipeline_peek_skip, get_line,
	  pipeline_readline, pipeline_peekline): New functions.

	* lib/decompress.c, lib/decompress.h: New files, implementing a
	  decompression abstraction layer.
	* lib/Makefile.in: Always compile decompress.c.

	* src/lexgrog.l (YY_INPUT): Define to read from a 'struct pipeline'.
	  (find_name): Use decompress_open/decompress_fdopen rather than
	  older decompression methods. Split handling once we have a
	  decompressor pipeline out to ...
	  (find_name_decompressed): ... here.
	* src/check_mandirs.c (test_manfile): Remove decompression code;
	  find_name will handle this itself now.
	* src/compression.c (create_ztemp, decompress, remove_ztemp,
	  get_ztemp): Remove.
	* src/man.c (checked_popen): Remove.
	  (local_man_loop): Remove decompression code.
	  (get_preprocessors_from_file): Convert to peeking the first line
	  from a pipeline.
	  (get_preprocessors): Adjust arguments and
	  get_preprocessors_from_file call.
	  (remove_stdintmp, create_stdintmp): Remove.
	  (make_roff_command): Remove special handling of stdin, now handled
	  by peeking a pipeline.
	  (open_cat_stream): Don't start the returned pipeline.
	  (close_cat_stream): Remove unnecessary COMP_CAT special case.
	  (format_display_and_save): Take a decompressor pipeline argument.
	  Simplify by using pipeline_connect and pipeline_pump.
	  (format_display): Take a decompressor pipeline argument. Use
	  pipeline_connect and pipeline_pump.
	  (display): Use decompress_open/decompress_fdopen rather than older
	  decompression methods.
	  (display_filesystem, display_database): Drop remove_ztemp calls.
	* src/straycats.c (check_for_stray): Use decompression layer.
	  Rearrange control flow a bit to reduce duplication. Remove use of
	  temporary file; use find_name_decompressed instead. Only increment
	  strays if find_name_decompressed succeeds.
	  (straycats): Remove temporary file creation.
	* src/ult_src.c (ult_src): Use pipeline and decompression layers
	  rather than older decompression methods.
	* src/zsoelim.l (YY_INPUT): Define to read from a 'struct pipeline'.
	  (<so>\"?[^ \t\n\"]+\"?): Call open_file only once; let it worry
	  about compression extensions. Decrement so_stack_ptr here if
	  open_file fails rather than having it do it.
	  (<lfname>\"?[^ \t\n\"]+\"?): Free the old value of NAME, if set.
	  (<<EOF>>): Clean up used pipeline and free NAME. Remove so_delete
	  handling.
	  (main): Let open_file handle stdin.
	  (open_file): Use decompress_open/decompress_fdopen rather than
	  older decompression methods. Don't decrement so_stack_ptr here on
	  failure.

	* configure.ac: Remove decompressor variable. Check for gzopen in
	  libz.
	* include/manconfig.h.in (DECOMPRESSOR): Remove.
	  (comp_list): Declare extern here.
	  (create_tempfile): Remove.
	  (decompress, remove_ztemp, get_ztemp): Remove.
	  (find_name_decompressed): Add prototype.
	* lib/tempfile.c (create_tempfile): Remove. We now only need
	  temporary directory creation.
	* src/man_db.conf.in (decompressor): Remove.

	* docs/TODO: Update.
	* docs/NEWS: Document this.

Tue Aug 28 11:14:53 BST 2007  Colin Watson  <cjwatson@debian.org>

	* tools/mandb_[nt]fmt-script: Rename to tools/mandb_fmt-script,
	  which is a rather less hostile filename.
	* tools/README: Update.
	* GNUmakefile.in: Update.

Tue Aug 28 10:36:20 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/straycats.c (check_for_stray): Drop privileges while opening
	  temporary file (previously created with dropped privileges).

Tue Aug 28 10:31:03 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/straycats.c (straycats): Regain privileges on the error path
	  too.

Mon Aug 27 20:13:09 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/compression.c (comp_file): Free compfile if returning NULL.

Mon Aug 27 20:02:17 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_wait): Re-raise SIGINT or SIGQUIT if they
	  terminate a subprocess.

Mon Aug 27 19:58:19 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/pipeline.c (pipeline_wait): Return 1 if we fail to close the
	  pipeline's output.

Sun Aug 26 23:33:23 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (format_display): Check whether format_cmd is NULL
	  before discarding stderr from it.

Sun Aug 26 21:20:45 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (checked_popen): Remove unnecessary SECURE_MAN_UID
	  guard; drop_effective_privs/regain_effective_privs already check
	  this.
	* src/security.c (remove_with_dropped_privs): Likewise. The uid !=
	  ruid check is no longer necessary now that
	  drop_effective_privs/regain_effective_privs handle nesting
	  correctly.

Sun Aug 26 19:40:12 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (make_roff_command): If MAN_KEEP_FORMATTING is set in
	  the environment, don't strip formatting characters with col
	  (Debian bug #340673).
	* man/man1/man.man1 (ENVIRONMENT): Document MAN_KEEP_FORMATTING.
	* docs/NEWS: Document this.

Sun Aug 26 16:40:50 BST 2007  Colin Watson  <cjwatson@debian.org>

	Suppress warnings in --quiet mode (thanks, Martin Dorey; Debian bugs
	#348008, #378428, and #411220).

	* src/check_mandirs.c (test_manfile): Suppress "bad symlink" warning
	  under --quiet.
	* src/ult_src.c (ult_hardlink): Suppress "can't search directory"
	  warning under --quiet.
	  (ult_softlink): Suppress "dangling symlinks" and "can't resolve"
	  warnings under --quiet.
	  (ult_src): Suppress "can't resolve", "is self referencing", and
	  "can't open" warnings under --quiet.
	* src/lexgrog.l: Declare global quiet variable.

Sun Aug 26 16:10:26 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l (main): Skip descriptions with NULL name or whatis.
	  This causes pages with no description to be flagged as parse
	  failures, so that automatic scanners can pick them up more easily.

Sun Aug 26 15:08:45 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (is_section): Disallow sectional extensions of
	  alphabetic sections, e.g. n and l from the default configuration
	  (Debian bug #391977). Also disallow sectional extensions beginning
	  with a digit (Debian bug #421481).

Mon Aug 20 00:10:49 BST 2007  Colin Watson  <cjwatson@debian.org>

	Discard stderr from formatting processes when outputting to a pager,
	to avoid visual corruption from any error messages (thanks, Vincent
	Lefevre; Debian bug #372939).

	* lib/pipeline.h (struct command): Add discard_err member.
	* lib/pipeline.c (command_new, command_dup): Initialise discard_err.
	  (pipeline_start): Redirect the child's stderr to /dev/null if
	  discard_err is set.
	* src/man.c (discard_stderr): New function to set discard_err on all
	  commands in a pipeline.
	  (format_display_and_save, format_display): Use it on format_cmd.
	* docs/NEWS: Document this.

Sun Aug 19 21:04:24 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/descriptions.c (parse_descriptions): Skip name tokens
	  containing whitespace, as they are almost never useful as manual
	  page names.
	* man/man1/lexgrog.1 (WHATIS PARSING), docs/NEWS: Document this.

Sun Aug 19 21:00:20 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l: Skip over .ft font change requests, and the .Vb and
	  .Ve definitions used by pod2man to begin and end verbatim mode.
	  This handles some POD-generated pages better.

Sun Aug 19 20:48:42 BST 2007  Colin Watson  <cjwatson@debian.org>

	Truncate apropos/whatis output to the terminal width by default
	(thanks, Dan Jacobson; Debian bug #411721).

	* lib/linelength.c: New file for terminal line length detection,
	  split out from src/man.c. Unlike the previous implementation, this
	  does its own memoisation rather than requiring explicit
	  initialisation.
	* lib/linelength.h: Prototype get_line_length.
	* lib/Makefile.in: Always compile linelength.c.
	* src/man.c (line_length, store_line_length): Remove.
	  (get_roff_line_length): Use get_line_length.
	  (main): We no longer need to call store_line_length.
	* src/whatis.c (args, long_options, main): New -l/--long option.
	  (usage): Document it.
	  (display): Truncate names and descriptions to fit within the
	  terminal width.
	* man/man1/apropos.man1 (SYNOPSIS, OPTIONS, ENVIRONMENT): Document
	  --long and the MANWIDTH override.
	* man/man1/whatis.man1 (SYNOPSIS, OPTIONS, ENVIRONMENT): Likewise.
	* docs/NEWS: Document this.

Tue Jun 26 10:48:45 BST 2007  Colin Watson  <cjwatson@debian.org>

	* man/de_DE.88591/man1/man.man1 (UMGEBUNG),
	  man/de_DE.88591/man8/catman.man8 (BESCHREIBUNG): MANSEC -> MANSECT
	  (thanks, Holger Kubiak; Debian bug #430635).

Mon Jun 18 10:19:22 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/cleanup.c (do_cleanups): Split out signal-safe processing ...
	  (do_cleanups_sigsafe): ... here.
	  (sighandler): Call do_cleanups_sigsafe rather than do_cleanups.
	  (push_cleanup): Add sigsafe argument to allow cleanup functions to
	  be flagged as non-signal-safe (e.g. freeing memory).
	* lib/cleanup.h: Update prototypes.
	* libdb/db_gdbm.c (man_gdbm_firstkey): hash_free cleanup is not
	  signal-safe.
	* src/globbing.c (update_directory_cache): hash_free cleanup is not
	  signal-safe.
	  (look_for_file): globfree cleanup is not signal-safe.
	* src/man.c (open_cat_stream, display_catman): unlink cleanup is
	  signal-safe.
	* src/mandb.c (cleanup): Split out signal-safe processing ...
	  (cleanup_sigsafe): ... here.
	  (main): Call cleanup_sigsafe as well as cleanup.
	* src/manp.c (read_config_file): free_config_file cleanup is not
	  signal-safe.

Mon Jun 18 08:03:30 BST 2007  Colin Watson  <cjwatson@debian.org>

	* lib/xstrsignal.c: Include config.h.

Mon Jun 18 07:50:56 BST 2007  Colin Watson  <cjwatson@debian.org>

	* libdb/db_btree.c (btree_close, btree_flopen, btree_replace,
	  btree_insert, btree_fetch, btree_exists, btree_findkey,
	  btree_firstkey, btree_nextkey, btree_nextkeydata): Rename dbf to
	  db to avoid shadowing a global variable.
	* libdb/mydbm.h: Update prototypes and btree macros likewise.

Sat May 26 10:58:11 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (gripe_no_name): On reflection, borrowing the error
	  message from gripe_no_man is clearer if a possible section name
	  was specified.
	* po/man-db.pot, po/*.po: Update.

Sat May 26 10:53:58 BST 2007  Colin Watson  <cjwatson@debian.org>

	* po/man-db.pot: Add to revision control.

Sat May 26 10:52:01 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (gripe_no_name): Resolve ambiguous error message when
	  asking for a nonexistent manual page that might also be a section
	  name (Debian bug #421481).
	* po/*.po: Update.

Sat May 26 10:46:56 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/man.c (gripe_no_name): Complete renaming of section to sect.

Fri May 25 21:23:05 BST 2007  Colin Watson  <cjwatson@debian.org>

	Add (untested) zh_HK support. Thanks to Alex Lau for advice.

	* src/encodings.c (directory_table): Add zh_HK, defaulting to the
	  BIG5-HKSCS encoding.
	  (charset_table): Add BIG5-HKSCS, defaulting to the nippon driver.
	  (compatible_encodings): Recognise BIG5-HKSCS encoding.
	  (get_roff_encoding): Add special case for zh_HK.UTF-8 locale.

Wed Apr 11 04:37:35 BST 2007  Colin Watson  <cjwatson@debian.org>

	Add MANPAGER support. Thanks to Faidon Liambotis for the suggestion.

	* src/man.c (main): Support MANPAGER, overriding PAGER.
	* man/man1/man.man1 (OPTIONS, ENVIRONMENT): Document MANPAGER.
	* docs/NEWS: Document this.

Thu Apr  5 18:00:00 BST 2007  Colin Watson  <cjwatson@debian.org>

	* src/lexgrog.l: Break whatis definitions at .IP, .HP, .RS, and .RE
	  (thanks to Ori Avtalion for the report).

Mon Mar  5 10:02:01 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* src/man_db.conf.in (MANDATORY_MANPATH): Remove /usr/X11R6/man
	  (Debian bug #413349).

Sun Mar  4 10:40:49 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* libdb/db_gdbm.c (gdbm_exists): Rename dbf to file.

Sun Mar  4 10:39:14 GMT 2007  Colin Watson  <cjwatson@debian.org>

	* libdb/db_store.c (dbstore): Rename basename to base.

Sun Mar  4 00:51:30 GMT 2007  Colin Watson  <cjwatson@debian.org>

	Eliminate variable and function shadowing.

	* configure.ac (CFLAGS): Add -Wshadow if the compiler is GCC.

	* src/manp.c: Don't declare manpathlist here, as it's never used in
	  this file.
	* src/catman.c, src/man.c, src/mandb.c, src/whatis.c: Declare it
	  here instead.

	* lib/pipeline.c (pipeline_start): Remove duplicate declarations of
	  set and oset.
	* libdb/db_ver.c (dbver): Merge into ...
	  (dbver_rd): ... this, eliminating a global variable.
	  (dbver_rd, dbver_wr): Rename dbf to dbfile.
	* src/accessdb.c (main): Don't redeclare dbf locally.
	* src/check_mandirs.c (gripe_rwopen_failed): Use global database
	  rather than passing it as an argument. Update all callers.
	* src/man.c (gripe_no_name): Rename section to sect.
	  (add_roff_line_length): Rename save_cat to save_cat_p.
	  (make_roff_command): Declare cmd only once.
